﻿<%@ page language="C#" autoeventwireup="true" inherits="CLReport_reportsapihelper, CardioLog_deploy" validaterequest="false" %>
<%
    //Response.ContentType = "text/xml";

	bool realTime;
	try
	{
	    realTime = CardioLog.API.ProductLicense.ProductFeatures.IsValidAnalysisCenter;
	}
	catch
	{
	    realTime = false;
	}
%>
<HTML>
	<HEAD>
		<title></title>
		<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">
		<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/general.css"></LINK>
		<script type="text/javascript" src="/CardioLog/Scripts/dialogCommon.js"></script>
		<SCRIPT type="text/javascript" src="/CardioLog/Scripts/Ajax.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="/CardioLog/Scripts/Status.aspx"></SCRIPT>
		<script>
		    var realTime = "<%=realTime%>";
		    var lastSelectedSource = false;
		    var lastSelectedTimeFrame = false;
		    var lastSelectedGroup = false;
		    var lastSelectedStartDate = false;
		    var lastSelectedEndDate = false;
		    var timeIntervalDefaultValue = false;
		    
		    window.onload = function init() {
		    
		        initPeriods("36000000000"); // This day by default
		        
		        initTimeInterval("36000000000"); // Hour by default
		       
		        document.all["sourceSelect"].selectedIndex = ""; // Home by default
		        document.all["groupSelect"].selectedIndex = ""; // All by default
		        
		        document.all["prefsDiv"].innerText = ""; 
		        
		        drawCategories();
		    }
		      
		    function chooseDateRange() {
			    function cancelCallback() {
				    document.all["timeFrame"].selectedIndex = lastSelectedTimeFrame;
			    }
			    window.showModelessDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Choose Date Range$")%>", href:"/CardioLog/CLPage/chooseDateRange.aspx", self:self, option:(lastSelectedTimeFrame >= 0) ? document.all["timeFrame"].options[lastSelectedTimeFrame] : false, currentTimeInterval:false, callback:setDateRange, cancelCallback:cancelCallback}, "dialogHeight:390px; dialogWidth:530px; status:no; help:no;");
		    }
    		
		    function changeUnitType(obj) {
			    
			    if (obj.options[obj.selectedIndex].value == "customize") {
				chooseDateRange();
				return;
			    } else {
				    lastSelectedTimeFrame = obj.selectedIndex;
				    if (obj.options[obj.selectedIndex].value == "0") {
					    initTimeInterval(obj.options[obj.selectedIndex].timeInterval, true);
					    if (event.ctrlKey) chooseDateRange();
					    return;
				    }
			    }

			    if (document.all["timeIntervalSection"].style.display != "none")	
				    initTimeInterval(Math.abs(parseInt(obj.options[obj.selectedIndex].value, 10)));
			    else
				    timeIntervalDefaultValue = Math.abs(parseInt(obj.options[obj.selectedIndex].value, 10));
    				
		    }
		    
		    
		
		    function initTimeInterval(defaultValue, singleOption) {
		        if(realTime == "True")
                {
	                var TimeIntervalUnits = new Array(
	                            {value:600000000, text:"<%=CardioLog.API.Localization.getText("$Minute$")%>"},
					            {value:36000000000, text:"<%=CardioLog.API.Localization.getText("$Hour$")%>"},
					            {value:864000000000, text:"<%=CardioLog.API.Localization.getText("$Day$")%>"},
					            {value:6048000000000, text:"<%=CardioLog.API.Localization.getText("$Week$")%>"},
					            {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Month$")%>"},
					            {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"});
                }
                else
                {
                    var TimeIntervalUnits = new Array(
                                {value:36000000000, text:"<%=CardioLog.API.Localization.getText("$Hour$")%>"},
					            {value:864000000000, text:"<%=CardioLog.API.Localization.getText("$Day$")%>"},
					            {value:6048000000000, text:"<%=CardioLog.API.Localization.getText("$Week$")%>"},
					            {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Month$")%>"},
					            {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"});
	            }

			    var select = document.all["timeIntervalSelect"];
			    for (var i=select.children.length-1;i>=0;i--) select.children[i].removeNode(true);
			    var position = 0;
			    for (var i=0;i<TimeIntervalUnits.length;i++) {
				    if (defaultValue == TimeIntervalUnits[i].value) {
					    break;
				    }
				    position = i;
			    }
			    var maxTimeInterval = (defaultValue == 600000000) ? 2 : (position+3 > TimeIntervalUnits.length) ? TimeIntervalUnits.length : position+3;
			    for (var i=position;i<maxTimeInterval;i++) {
				    var option = document.createElement("option");
				    option.value = TimeIntervalUnits[i].value;
				    option.innerText = TimeIntervalUnits[i].text;
				    if (defaultValue == TimeIntervalUnits[i].value) option.selected = true;
				    if (!singleOption || defaultValue == TimeIntervalUnits[i].value) select.appendChild(option);
				    option = null;
			    }
		    }
		    
		    function addCustomizedOption(timeInterval, start, end, title) {
			    var option = document.createElement("option");
			    option.value = "0";
			    option.timeFrameStart = start;
			    option.timeFrameEnd = end;
			    option.timeInterval = timeInterval;
			    option.innerText = title;
			    return option;
		    }

		    function flatDate(value, hours, minutes, seconds) {
			    function lpad(value) {
				    value = value+"";
				    if (value.length == 1) return "0"+value;
				    else return value;
			    }
			    return value.getYear()+lpad(value.getMonth()+1)+lpad(value.getDate())+lpad(hours)+lpad(minutes)+lpad(seconds);
		    }
    		
		    function findOption(select, option) {
			    for (var i=0;i<select.options.length;i++) {
				    if (select.options[i].value == option.value && select.options[i].innerText == option.innerText) return select.options[i];
			    }
			    return false;
		    }
    		
		    function setDateRange(timeInterval, start, end, title, dynamic) {
			    if (!end) end = new Date();
			    end = new Date(end.setHours(23, 59, 59));
			    var option;
    			
			    if (!dynamic) {
				    option = addCustomizedOption(timeInterval, flatDate(start, 0, 0, 0), flatDate(end, 0, 0, 0), title);
				    lastSelectedStartDate = flatDate(start, 0, 0, 0);
				    lastSelectedEndDate = flatDate(end, 0, 0, 0);
				} else {
				    option = addCustomizedOption(timeInterval, start, "today", title);
				    lastSelectedStartDate = start;
				    lastSelectedEndDate = "today";
				}
    			
			    var existingOption = findOption(document.all["timeFrame"], option);
			    if (existingOption) existingOption.selected = true;
			    else {
				    document.all["timeFrame"].insertBefore(option, document.all["timeFrame"].options[document.all["timeFrame"].options.length-1]);
				    document.all["timeFrame"].selectedIndex = document.all["timeFrame"].options.length-2;
			    }
			    lastSelectedTimeFrame = document.all["timeFrame"].selectedIndex;
			    
			    option = null;
		    }
		    
		    function createOption(value, text, selected){
			    var option = document.createElement("option");
			    option.value = value;
			    option.innerText = text;
			    option.selected = selected;
			    return option;
		    }
		    
		    function initPeriods(defaultValue, extraOption) {
		        if(realTime == "True")
		        {
			        var periods = new Array({value:600000000, text:'<%=CardioLog.API.Localization.getText("$Hour$")%>'},
							    {value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
							    {value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
							    {value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
							    {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
							    {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
                }
                else
                {
                    var periods = new Array({value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
						                {value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
						                {value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
						                {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
						                {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
                }
					    
			    var option;
			    for (var i=0;i<periods.length;i++) {
				    option = createOption(periods[i].value, "<%=CardioLog.API.Localization.getText("$This$")%> "+periods[i].text);
				    if (defaultValue == periods[i].value) {
					    option.selected = true;
					    lastSelectedTimeFrame = i*2;
				    }
				    document.all["timeFrame"].appendChild(option);
				    option = null;

				    option = createOption(-periods[i].value, "<%=CardioLog.API.Localization.getText("$Last$")%> "+periods[i].text);
				    if (defaultValue < 0 && Math.abs(defaultValue) == periods[i].value) {
					    option.selected = true;
					    lastSelectedTimeFrame = i*2+1;
				    }
				    document.all["timeFrame"].appendChild(option);
				    option = null;
			    }

			    if (extraOption) {
				    document.all["timeFrame"].appendChild(extraOption);
    //				document.all["timeFrame"].selectedIndex = document.all["timeFrame"].options.length-1;
				    extraOption.selected = true;
				    lastSelectedTimeFrame = document.all["timeFrame"].options.length-1;
			    }
    			
			    option = createOption("customize", "<%=CardioLog.API.Localization.getText("$Customize$")%>...");
			    document.all["timeFrame"].appendChild(option);
			    option = null;
		    }
		    
		    function changeSource(select) {
			    document.getElementById("sourceTitle").loaded = false;
			    document.getElementById("sourceTitle").title = "";
    			
			    if (select.options[select.selectedIndex].value == "customize") chooseObject();
			    else lastSelectedSource = select.selectedIndex;
		    }
    		
		    function getSource() {
			    return document.all["sourceSelect"].options[document.all["sourceSelect"].selectedIndex];
		    }
    		
		    function addSource(value, text) {
			    if (value.length != 0 && !value.match(/^(true)?[0-9]*:/)) value = "0:"+value;
			    for (var i=0;i<document.all["sourceSelect"].options.length;i++) {
				    if (document.all["sourceSelect"].options[i].value == value) {
					    document.all["sourceSelect"].selectedIndex = i;
					    lastSelectedSource = i;
					    return;
				    }
			    }
			    var option = document.createElement("option");
			    option.value = value;
			    option.innerText = text;
			    document.all["sourceSelect"].insertBefore(option, document.all["sourceSelect"].children[document.all["sourceSelect"].children.length-1]);
			    document.all["sourceSelect"].selectedIndex = document.all["sourceSelect"].children.length-2;
			    option = null;
			    lastSelectedSource = document.all["sourceSelect"].selectedIndex;
		    }
    		
		    function chooseObject() {
			    var selectedSource = (lastSelectedSource) ? document.all["sourceSelect"].options[lastSelectedSource] : false;
			    var treeType = "1";

				var md = window.showModalDialog("/CardioLog/Tree/treesChooserCont.aspx", {treeType:0, callback:chooseObjectPost, selectedSource:selectedSource, multiple:true, self:self}, "dialogWidth:300px; dialogHeight:400px; status:no; help:no;");
			     
			    if (document.all["sourceSelect"].selectedIndex == document.all["sourceSelect"].options.length-1) {
				    document.all["sourceSelect"].selectedIndex = lastSelectedSource;
			    }
		    }

		    function chooseObjectPost(entry, treeType, multiple) {
			    if (multiple) {
				    var entityId = "";
				    var entityTree = "";
				    var entityName = "";
				    var entityValue = "";

				    for (var i=0;i<entry.length;i++) {
					    entityId += entry[i].id+",";
					    entityTree += entry[i].treeType+",";
					    entityName += ((entry[i].discard) ? "!" : "")+entry[i].name+", ";
					    entityValue += ((entry[i].discard) ? "true:" : "")+entry[i].treeType+":"+entry[i].id+",";
				    }
				    entityId = entityId.replace(/,$/, "");
				    entityValue = entityValue.replace(/,$/, "");
				    entityTree = entityTree.replace(/,$/, "");
				    entityName = entityName.replace(/, $/, "");

				    addSource(entityValue, entityName);
				    document.all["entityId"].value = entityId;
				    document.all["entityTree"].value = entityTree;
			    } else {
				    if (entry) {
					    addSource(entry.id, entry.name);
					    document.all["entityId"].value = entry.id;
					    document.all["entityTree"].value = treeType;
				    } else {
					    addSource("", Constants.currentPage);
					    document.all["entityId"].value = "";
					    document.all["entityTree"].value = "";
				    }
			    }
		    }	

		    function changeAuthentication(select) {
			    if (select.options[select.selectedIndex].value == "customize") chooseAuthentication();
			    else lastSelectedGroup = select.selectedIndex;
		    }

		    function chooseAuthenticationPost(groups, ids) {
			    addGroup(ids, groups);	
		    }

		    function chooseAuthentication() {
			    var selectedGroup = (lastSelectedGroup) ? document.all["groupSelect"].options[lastSelectedGroup] : false;
			    var md = window.showModalDialog("cont.aspx", {href:"/CardioLog/CLPage/ADChooser.aspx", selectedGroup:selectedGroup, title:"<%=CardioLog.API.Localization.getText("$Select Users and Groups$")%>", type:null, callback:chooseAuthenticationPost, self:self}, "dialogWidth:300px; dialogHeight:420px; status:no; help:no;");
			    if (document.all["groupSelect"].selectedIndex == document.all["groupSelect"].options.length-1) {
				    document.all["groupSelect"].selectedIndex = lastSelectedGroup;
			    }
		    }

		    function addGroup(value, text) {
			    for (var i=0;i<document.all["groupSelect"].options.length;i++) {
				    if (document.all["groupSelect"].options[i].value == value) {
					    document.all["groupSelect"].selectedIndex = i;
					    lastSelectedGroup = i;
					    return;
				    }
			    }
			    var option = document.createElement("option");
			    option.value = value;
			    option.innerText = text;
			    document.all["groupSelect"].insertBefore(option, document.all["groupSelect"].children[document.all["groupSelect"].children.length-1]);
			    document.all["groupSelect"].selectedIndex = document.all["groupSelect"].children.length-2;
			    option = null;
			    lastSelectedGroup = document.all["groupSelect"].selectedIndex;
		    }
		    
		    function getUrl(display){
		        var url = document.location.href.toLowerCase();
		        url = url.replace("reportsapihelper", "reportsapi");
		        
		        var parameters = "";
	            var byUrlReport = "<%=ByUrl%>";

                if (document.getElementById('chkIsImageSection').style["display"] == "" && document.getElementById('chkIsImage').checked) {
                    parameters += "?action=image";
                    if (document.getElementById('txtHeightSection').style["display"] == "")
	                    parameters += "&height=" + document.getElementById('txtHeight').value;
	                if (document.getElementById('txtWidthSection').style["display"] == "")
	                    parameters += "&width=" + document.getElementById('txtWidth').value;
                } else {
                    parameters += "?action=xml";
                }
                
	            parameters += "&controlId="+ document.getElementById('lstReports').value;
		        
	            var timeframe = document.getElementById('timeFrame').value;
	            parameters += "&timeframe=" + document.getElementById('timeFrame').value;
	            if (timeframe == '0') {
	                parameters += "&startDate=" + lastSelectedStartDate;
	                parameters += "&endDate=" + lastSelectedEndDate;
	            }
	            if (document.getElementById('timeIntervalSection').style["display"] == "")
	                 parameters += "&timeInterval=" + document.getElementById('timeIntervalSelect').value;
		        
	            if (byUrlReport == "True" && document.getElementById('entityUrl')) {
	                parameters += "&urls=" + document.getElementById('entityUrl').value;
	            } else if (document.getElementById('sourceSelect')) {
	                parameters += "&urls=" + document.getElementById('sourceSelect').value;
	            }
		        
	            parameters += "&usersAndGroups=" + document.getElementById('groupSelect').value;
                
                if (categories.length > 0) {
				    parameters += "&categoryId=";
				    for (var i=0;i<categories.length;i++) {
					    var cid = categories[i].getAttribute("id");
					    if (document.all["categorySelect"+cid].selectedIndex > 0)
					    parameters += cid +"&categoryValue="+escape(document.all["categorySelect"+cid].options[document.all["categorySelect"+cid].selectedIndex].text.replace(/\&(?!amp;)/g,"&amp;"));
				    }
				}
			   
			    if (document.all["prefsDiv"].innerText != "") 
				    parameters += "&prefs=" + encodeURI(document.all["prefsDiv"].innerText.replace(/\&(?!amp;)/g,"&amp;"));
				
                if (display) document.getElementById('urlDiv').innerHTML = url+parameters;
                
                return url+parameters;
		    }
		    
		    function generateReport(){
		        document.location.href = getUrl(false);
		    }
		    
		    function getPreferences() {
		        try {
		            function getPreferencesCallback(status) {
		                if (status.errorCode != 0) {
					        document.all["prefsDiv"].innerText = "Failed to load report preferences";
					        document.all["prefsDiv"].className = "largeTextBError";
				        } else {
					        document.all["prefsDiv"].innerText = status.ResponseXml.selectSingleNode(".//prefs/prefs").xml; 
				        }
		            }
		            var url = getUrl(false).replace("action=image", "action=xml");
		            url = url.substring(url.indexOf("clreport"), url.length);
		            document.Ajax.Request("GET", url, "", true, false, getPreferencesCallback);
				 } catch (e) {
			        document.Status.print(e.description);
		        }
		    }
		    
		    /* Categories */
	        var lastSelectedCategoryValue = new Array();
	        var categories = new Array();

	        function drawCategories() {
		        try {
			        function callback(status) {
				        if (status.errorCode != 0) {
					        document.all["categoriesSectionPleaseWait"].children(0).innerText = "Failed to load categories";
					        document.all["categoriesSectionPleaseWait"].children(0).className = "largeTextBError";
				        } else {
					        document.all["categoriesSectionPleaseWait"].removeNode(true);
					        categories = status.ResponseXml.selectNodes(".//Category");
					        for (var i=0;i<categories.length;i++) 
						        document.all["categoriesSection"].appendChild(createCategorySection(categories[i]));
				        }
				        handleFilterSection();
			        }
			        document.all["categoriesSectionPleaseWait"].style.display = "";
			        
			        document.Ajax.Request("GET", "data/categories.aspx", "action=getCategories", true, false, callback);
			        
		        } catch (e) {
			        document.Status.print(e.description);
		        }
	        }

	        function createCategorySection(category) {
	            
		        var cid = category.getAttribute("id");
		        var tr = document.createElement("tr");
		        var td = document.createElement("td");
		        td.className = "largeTextB";
		        tr.appendChild(td);
		        td.innerText = category.text;
		        td.appendChild(document.createElement("br"));
        		
		        var select = document.createElement("select");
		        select.id = "categorySelect"+cid;
		        select.isFilter = true;
		        select.className = "largeInputSelect";
		        select.style.width = "180px";
		        select.cid = cid;
		        select.title = category.text;
		        select.onchange = changeCategory;
		        td.appendChild(select);
        		
		        var option = document.createElement("option");
		        option.value = "";
		        option.innerText = "<%=CardioLog.API.Localization.getText("$All$")%>";
		        select.appendChild(option);
        		
		        /*for (var i=0;i<categories.length;i++) {
			        if (categories[i].getAttribute("id") == cid) {
				        option = document.createElement("option");
				        option.value = categories[i].getAttribute("value");
				        option.innerText = categories[i].text;
				        option.selected = true;
				        lastSelectedCategoryValue[cid] = 1;
				        select.appendChild(option);
				        option = null;
				        break;
			        }
		        }
        		*/
		        option = document.createElement("option");
		        option.value = "customize";
		        option.innerText = "<%=CardioLog.API.Localization.getText("$Customize$")%>...";
		        select.appendChild(option);
		        option = null;
		        select = null;
		        td = null;
		        return tr;
	        }

	        function changeCategory() {
		        if (this.options[this.selectedIndex].value == "customize") chooseCategoryValues(this.cid, this.title);
		        else {
			        lastSelectedCategoryValue[this.cid] = this.selectedIndex;
			        if (this.selectedIndex != 0) resetOtherCategories(this.cid);
		        }
	        }

	        function chooseCategoryValues(cid, title) {
		        var selectedValue = (typeof(lastSelectedCategoryValue[cid]) != "undefined" && lastSelectedCategoryValue[cid] >= 1) ? document.all["categorySelect"+cid].options[lastSelectedCategoryValue[cid]] : false;
        		
		        var md = window.showModalDialog("cont.aspx", {href:"/CardioLog/CLPage/CategoryChooser.aspx", categoryId:cid, selectedValue:selectedValue, title:"Select "+title, callback:chooseCategoryValuesPost, self:self}, "dialogWidth:300px; dialogHeight:420px; status:no; help:no;");
		        if (document.all["categorySelect"+cid].selectedIndex == document.all["categorySelect"+cid].options.length-1) {
			        document.all["categorySelect"+cid].selectedIndex = lastSelectedCategoryValue[cid];
			        resetOtherCategories(cid);
		        }
	        }

	        function resetOtherCategories(cid) {
		        if (document.all["categorySelect"+cid].selectedIndex == 0) return;
        		
		        for (var i=0;i<categories.length;i++) {
			        var id = categories[i].getAttribute("id")
			        if (id != cid) {
				        document.all["categorySelect"+id].selectedIndex = 0;
				        lastSelectedCategoryValue[id] = 0;
			        }
		        }
	        }
        	
	        function chooseCategoryValuesPost(cid, values, ids) {
		        addCategory(cid, ids, values);
		        resetOtherCategories(cid);
	        }

	        function addCategory(id, value, text) {      
		        for (var i=0;i<document.all["categorySelect"+id].options.length;i++) {
			        if (document.all["categorySelect"+id].options[i].value == value) {
				        document.all["categorySelect"+id].selectedIndex = i;
				        lastSelectedCategoryValue[id] = i;
				        return;
			        }
		        }
		        var option = document.createElement("option");
		        option.value = value;
		        option.innerText = text;
		        document.all["categorySelect"+id].insertBefore(option, document.all["categorySelect"+id].children[document.all["categorySelect"+id].children.length-1]);
		        document.all["categorySelect"+id].selectedIndex = document.all["categorySelect"+id].children.length-2;
		        option = null;
		        lastSelectedCategoryValue[id] = document.all["categorySelect"+id].selectedIndex;
	        }
        	
        /* End of Categories */

		function toggleAdvanced() {
		    if(document.all["advanced"].style.display == "none")
            {
                document.all["advanced"].style.display = "block";
                document.all["advancedTitle"].innerHTML = "<%=CardioLog.API.Localization.getText("$Hide Advanced Options$")%>";
            }
            else
            {
                document.all["advanced"].style.display = "none";
                document.all["advancedTitle"].innerHTML = "<%=CardioLog.API.Localization.getText("$Show Advanced Options$")%>";
            }
		}
		
		</script>
	</HEAD>
	<body scroll="no" class="windowBODY">
		<form id="Form1" method="post" runat="server">
		<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" >
			<TR>
				<TD>
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" class="boxHeader" style="CURSOR:default">
						<TR>
							<TD class="boxHeaderText" id="title"><%=CardioLog.API.Localization.getText("$Reports API Helper$")%></TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD class="boxContentWindow" valign="top" width="100%" height="100%">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						<tr>
							<td height="100%">
								<DIV class="scroll" style="padding:7px;">
									<table border="0" cellpadding="3" cellspacing="0" class="largeTextB" width="100%">
										<tr>
											<td class="largeTextB"><%=CardioLog.API.Localization.getText("$Report$")%>:<br />
											<asp:DropDownList id="lstReports" runat="server" CssClass="largeTextB" 
                                                    onselectedindexchanged="lstReports_SelectedIndexChanged" AutoPostBack="true"></asp:DropDownList></td>
										</tr>
										<tr id="chooseDateRange"><td class="largeTextB">
					                                <%=CardioLog.API.Localization.getText("$Date Range$")%>:<br>
					                                <select id="timeFrame" class="largeInputSelect" onchange="changeUnitType(this)" style="width:180px;"></select></td>
		                                </tr>
		                                <tr id="timeIntervalSection" runat="server"><td class="largeTextB">
												<%=CardioLog.API.Localization.getText("$Time Interval$")%>:<br>
												<select id="timeIntervalSelect" class="largeInputSelect" style="width:180px;"></select></td>
									    </tr>
		                                <tr id="chooseEntity" runat="server"><td class="largeTextB">
					                                <span id="sourceTitle"><%=CardioLog.API.Localization.getText("$Source$")%>:</span><br>
					                                <select id="sourceSelect" class="largeInputSelect" onchange="changeSource(this)" style="width:180px;">
					                                    <option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
						                                <option value="customize"><%=CardioLog.API.Localization.getText("$Customize$")%>...</option>
					                                </select>
					                                <input type="hidden" id="entityId"><input type="hidden" id="entityTree"></td>
		                                </tr>
		                                <tr id="chooseEntityUrl" runat="server" style="display:none"><td class="largeTextB">
					                                <%=CardioLog.API.Localization.getText("$Source$")%>:<br>
					                                <input type="text" id="entityUrl" style="width:180px" class="largeInputText">
		                                </tr>
		                                <tr id="groupSelectInput"><td class="largeTextB">
					                                <%=CardioLog.API.Localization.getText("$Users and Groups$")%>:<br>
					                                <select id='groupSelect' class="largeInputSelect" style="width:180px;" onchange="changeAuthentication(this)">
						                                <option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
						                                <option value='customize'><%=CardioLog.API.Localization.getText("$Customize$")%>...</option>
					                                </select>
		                                </tr>
                                        
                                        <tr  id="categoriesSection">
                                        </tr>
			                            <tr id="categoriesSectionPleaseWait" style="display:none;">
				                            <td class="largeTextB"><%=CardioLog.API.Localization.getText("$Loading Categories$")%>...</td>
			                            </tr>
                   
										<tr id="chkIsImageSection" runat="server">
											<td><asp:CheckBox id="chkIsImage" runat="server" CssClass="largeTextB"></asp:CheckBox>&nbsp
                                            <%=CardioLog.API.Localization.getText("$Generate Chart Image$")%></td>
										</tr>
										<tr id="txtWidthSection" runat="server">
											<td><%=CardioLog.API.Localization.getText("$Width$")%>:<br />
											<asp:TextBox id="txtWidth" runat="server" CssClass="largeTextB"></asp:TextBox></td>
										</tr>
										<tr  id="txtHeightSection" runat="server">
											<td><%=CardioLog.API.Localization.getText("$Height$")%>:<br />
											<asp:TextBox id="txtHeight" runat="server" CssClass="largeTextB"></asp:TextBox></td>
										</tr>
                                        <tr>
							                <td><input id="btnGetUrl" type="button" class="inputButton" value="<%=CardioLog.API.Localization.getText("$Get URL$")%>" onclick="getUrl(true);"></td>
							            </tr>
							            <tr>
			                                <td>
			                                    <div class="largeTextB" id="urlDiv" runat="server" align="left" style="padding:3px;">
                                                </div>
			                                </td>     
						                </tr>
						                <tr>
							                <td><input id="btnGenerateReport" type="button" class="inputButton" value="<%=CardioLog.API.Localization.getText("$Generate Report$")%>" onclick="generateReport();"></td>
			                                <td>

			                                </td>     
						                </tr>

						                <tr>
					                         <td>
					                            <a runat="server" id="advancedTitle" href="javascript:void(0);" onclick="toggleAdvanced()" class="regText" style="text-decoration:underline"><%=CardioLog.API.Localization.getText("$Show Advanced Options$")%></a>
                                                <div runat="server" id="advanced" style="display:none;">
                                                    <table>
                                                        <tr>
							                                <td class="largeTextB"><input id="btnGetPrefs" type="button" class="inputButton" value="<%=CardioLog.API.Localization.getText("$Get Report Preferences$")%>" onclick="getPreferences();"> 
							                                <br />
                                                                <textarea class="largeTextB" id="prefsDiv" runat="server" align="left" style="width:600px;padding:3px;" rows=5>
                                                                </textarea>
                                                            </td>
                                                        </tr>
                                                    </table> 
                                                </div>
                                            </td>
					                    </tr>
					                </table>
								</DIV>
							</td>
						</tr>
					</TABLE>
				</TD>
			</TR>
		</TABLE>
		</form>
	</body>
</HTML>

