﻿<%@ page language="C#" autoeventwireup="true" inherits="MarketingSuite_SEO_OnlineUrlMappings, CardioLog_deploy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/Styles/jquery.styledButton.css" />

    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/jquery.wresize.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
    
    <script type="text/javascript" src="/CardioLog/Scripts/helplets.aspx"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.styledButton.js"></script>

    <style type="text/css">
    table {
        border-collapse: collapse; /* Or do nothing, this is default */
    }
             
    .formbox
    {
        width: 99.5%;
        height: 400px;
    }
    
    </style>
    <script type="text/javascript">
        parent.setCaption('Administration', false, '<%=CardioLog.API.Localization.getText("$Define Url Mappings$")%>');

        function getparam(name) {
            var re = new RegExp("(?:\\?|\\&)" + name + "=([^\\&]*)");
            var match = document.location.search.match(re);
            return (match != null) ? match[1] : "";
        }

        var rowIndex = 0;
        function onAddRule() {
            var rowId = "rule_" + (++rowIndex);
            var rowHtml = '<tr id="' + rowId + '"> ' +
                '    <td><input type="checkbox" /></td>' +
                '    <td><input type="text" style="width:99%;"/></td>' +
                '    <td><input type="text" style="width:99%;"/></td>' +
                '</tr>';


            $("#tblUrlsReplacements > tbody > tr:last").after(rowHtml);
        }

        function onRemoveRules(rowId) {
            jQuery.each($('#tblUrlsReplacements > tbody > tr > td > input[type=checkbox]'), function () {
                if (this.checked) {
                    var tr = $(this).parent('td').parent('tr');
                    tr.remove();
                }
            });
        }

        function loadUrlMappingEntry(entry) {
            var rowId = "rule_" + (++rowIndex);

            var rowHtml = '<tr id="' + rowId + '"> ' +
                '    <td><input type="checkbox" /></td>' +   
                '    <td><input type="text" style="width:99%;" value="' + entry.Pattern + '" /></td>' +
                '    <td><input type="text" style="width:99%;" value="' + entry.Replacement + '"/></td>' +
                '</tr>';


            $("#tblUrlsReplacements > tbody > tr:last").after(rowHtml);

        }

        function loadUrlRules() {
            var urlsMap = [];
            jQuery.each($('#tblUrlsReplacements > tbody > tr'), function () {
                if (this.id != "rulesHeaderRow") {
                    urlsMap.push({ Pattern: $(this).find("td:eq(1)").find("input").val(), Replacement: $(this).find("td:eq(2)").find("input").val() });
                }
            });
            return urlsMap;
        }

        function onSave() {
            $("#btnSave").attr("disabled", "disabled");
            $("#btnCancel").attr("disabled", "disabled");

            $("#loader").show();

            var urlMappings = loadUrlRules();
            $("#<%=hdnUrlRules.ClientID%>").val($.toJSON(urlMappings));

            __doPostBack(null, 'save');

            return true;
        }

        function onCancel() {
            window.location = "SpsAdaptor.aspx?id=" + getparam("adaptorId") + "&type=SharePoint Online";
        }


        function cleanUrlsReplacementsDef() {
            jQuery.each($('#tblUrlsReplacements > tbody > tr'), function () {
                if (this.id != "rulesHeaderRow") {
                    $(this).remove();
                }
            });
        }

        showBottomGreyBar();

        $(window).unload(function () {
            showBottomWhiteBar()
        });

        $(window).load(function () {
            $("#btnCancel").removeAttr("disabled");

            cleanUrlsReplacementsDef();

            var urlRules = $("#<%=hdnUrlRules.ClientID%>").val();
            if (urlRules) {
                var jsonUrlMapping = $.evalJSON(urlRules);
                if (jsonUrlMapping && jsonUrlMapping.length > 0) {

                    for (var i = 0; i < jsonUrlMapping.length; i++) {
                        loadUrlMappingEntry(jsonUrlMapping[i]);
                    }
                }
            }

            $("div.createAdaptorsCollection").styledButton({
                'padding': '5px 20px',
                'font-size': '14px',
                'orientation': 'left',
                'dropdown': { 'element': 'ul' },
                'role': 'select',
                'defaultValue': 'default value',
                'name': 'adaptors',
                'clear': true
            });


            $("#loader").hide();
        });

    </script>
</head>
<body style="font-family: Arial;">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>

    <asp:HiddenField ID="hdnUrlRules" runat="server" />

    <div class="loader" id="loader" style="display:none; top: 40%;left: 40%;position: absolute;"  >
    <img alt="loading..." src="../../images/ConfigWizard/ajax-loader.gif" />
    </div>
    <div id="overlay">
    </div>
    <div class="wrapper">
        <div class="section">
            <div class="content">
                <!--innerbox -->
                <div id="urlMappingFrame" class="innerbox" >
                    <!--innertop -->
                    <div class="innerboxtop">
                        <div class="tl">
                            <div class="tr">
                                <h2 style="display:inline;"><%=CardioLog.API.Localization.getText("$URL Mappings$")%></h2>&nbsp<a href="javascript:void(0);" id="configuremappingshelp" class="qmark17 L"></a>
                            </div>
                        </div>
                    </div>
                    <!--innersection -->
                    <div class="innersection">
                        <div class="formbox">
                            <table style="width:95%; vertical-align:top;">
                                <tr>
                                    <td >
                                        <div id="divUrlsReplacements" style="vertical-align:top; ">
                                            <br />
                                            <table id="tblUrlsReplacements" style="width:99%; vertical-align:top; margin-top:-24px; " >
                                                <tr id="rulesHeaderRow" style="height:24px; text-align:center; font-weight:bold; background-color: #7c9aac; ">
                                                    <td style="width:20px;" ></td>
                                                    <td style="width:50%; vertical-align:middle; "><%=CardioLog.API.Localization.getText("$Pattern$")%></td>
                                                    <td style="vertical-align:middle; "><%=CardioLog.API.Localization.getText("$Action$")%></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    
                                    <td style="width:100px;">
                                        <div class="alignright" style="vertical-align:top;" >
                                            <div class="createAdaptorsCollection" style="width:80px; height:15px; margin-right:17px;"><span style="padding-left:20px;"><%=CardioLog.API.Localization.getText("$Farm Actions$")%></span>
		                                        <ul >
                                                    <li onclick="onAddRule();"><%=CardioLog.API.Localization.getText("$Add$")%></li>
                                                    <li onclick="onRemoveRules();"><%=CardioLog.API.Localization.getText("$Remove$")%></li>
		                                        </ul>
	                                        </div>
                                        </div>
                                    </td>

                                </tr>
                            </table>

                            
                            <br />
                        </div>
                    </div>
                    <div class="innerboxbot">
                        <div class="bl">
                            <div class="br">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="bigboxbot homepagebot">
            <div class="bl">
                <div class="br">
                    <!--footer -->
                    <div class="footer">
                        <div class="alignleft">
                            <a id="backLink" runat="server" href="javascript:onCancel();" class="bluelink"><< <%=CardioLog.API.Localization.getText("$Back$")%></a>
                            
                        </div>
                        <div class="alignright">
                            <ul class="btns">
                                <li><a id="btnSave" runat="server" href="javascript:onSave();" class="btn btn-darkblue"><%=CardioLog.API.Localization.getText("$Save$")%></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <asp:HiddenField ID="hdnLocalSites" runat="server" />
    <asp:HiddenField ID="hdnOnApply" runat="server" />
    </form>
</body>
</html>
