﻿<%@ page language="c#" inherits="CardioLog.index, CardioLog_deploy" %>
<%@ Import Namespace="CardioLog.API" %>
<%@ Import Namespace="System.Globalization" %>
<% 
    string cardioLogUIVersion = CardioLog.API.CardioLogUIVersion.UIVersion;
    CultureInfo cultInfo = new CultureInfo(Localization.GetLocale());
%>
<html xmlns:CARDIOLOG>
	<HEAD>
		<TITLE><%=Localization.getText("$Logo" + SuiteSuffix + "$")%></TITLE>
		
        <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">
		<script>
			if (!document.all) {
				parent.document.location.href = "/CardioLog/notsupported.aspx";
			}
		</script>
		<%
			string tag = Util.GetWebConfigAppSettingsValue("HeadCustomTag");
			if (tag != "") Response.Write(Environment.NewLine + tag + Environment.NewLine);
		%>
		<link rel="stylesheet" type="text/css" href="/CardioLog/Styles/config_wiz.css"></link>
		<%if(cardioLogUIVersion == "2007")
            { %>
                <LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/general.css"></LINK>
          <%} %>
		<%if (cardioLogUIVersion == "2010") 
            { %>
                <LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css"></LINK>
          <%} %>

		<?IMPORT namespace="CARDIOLOG" implementation="Controls/RightClick/RightClick.aspx">
		<script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
		<script type="text/javascript">$.noConflict();</script>
		<!--<SCRIPT type="text/javascript" src="Scripts/common.js"></SCRIPT>-->
		<SCRIPT type="text/javascript" src="Scripts/cookies.js"></SCRIPT>
        <SCRIPT type="text/javascript" src="Scripts/dateformat.js"></SCRIPT>
		<SCRIPT type="text/javascript" src="Scripts/general.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="Scripts/Ajax.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="Scripts/Status.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="Scripts/calendar.aspx"></SCRIPT>

<script>
	function getValue(g, c, b) { var d = new RegExp("^[^$]*<" + c + ">(.*?)</" + c + ">[^$]*$", "i"); var f = g.replace(d, "$1"); if (f == g || f.replace(/ /g, "") == "") { return b } else { return f } } function getValueFromXML(d, c, b) { if (xmlStringObj.selectSingleNode(".//" + c)) { return xmlStringObj.selectSingleNode(".//" + c).text } else { return b } } try { document.Ajax = (parent && parent.document && parent.document.Ajax) ? parent.document.Ajax : false; document.Status = (parent && parent.document && parent.document.Status) ? parent.document.Status : { print: function () { }, clear: function () { } } } catch (e) { } function escapeToHebrew(d) { if (!d.match(/[?-?]/)) { return d } var c = ""; for (var b = 0; b < d.length; b++) { if (d.substring(b, b + 1).match(/[?-?]/)) { var f = parseInt(d.charCodeAt(b), 10) - 1488 + parseInt(224, 10); c += "%" + f.toString(16).toUpperCase() } else { c += d.substring(b, b + 1) } } return c } function insideCardiologEnvironment() { try { var c = top.location.href; return true } catch (b) { return false } } function getCardioLogParentWindow() { var c = self; try { while (c.location.href != "") { a = c.parent.location.href; if (c == c.parent) { return c } c = c.parent } return c } catch (b) { return c } } function toggleHelp(d) { var b = toggleHelpSection(d); if (document.IsReport) { return } var c = document.scheduler.updatePreferences(d._id, [((d.id.match(/preferences/i)) ? "showpreferences" : "showhelp")], [!b]); document.scheduler.setPreferences(d._id, c, false, true) } function toggleMeterHelp(d) { var b = toggleHelpSection(d); if (document.IsReport) { return } var c = document.scheduler.updatePreferences(d._id, [((d.id.match(/preferences/i)) ? "showpreferences" : "showhelp")], [!b]); document.scheduler.setPreferences(d._id, c, false, true, true) } function toggleHelpSection(d, b) { var c; if (b) { c = (b == "true") ? false : true } else { c = (d.className.match(/Open$/)) ? true : false } d.nextSibling.style.display = c ? "none" : ""; d.className = "boxHelpSection" + (c ? "Close" : "Open"); return c } function openHelpSection(f, d) { if (document.IsReport) { var c = findBox(d ? -1 : f); if (c) { c.toggleHelpIcon("true", "true", f, b) } } else { var b = document.scheduler.updatePreferences(f, ["showhelp", "showpreferences"], [true, true]); document.scheduler.setPreferences(f, b, false, true, d) } } function findBox(d) { var c = document.all.cardioLogBox; if (c && c.length) { for (var b = 0; b < c.length; b++) { if (c[b]._id == d) { return c[b] } } } else { if (c && c._id == d) { return c } } } function closeHelpSection(f, d) { if (document.IsReport) { var c = findBox(d ? -1 : f); if (c) { c.toggleHelpIcon("false", "false", f, b) } } else { var b = document.scheduler.updatePreferences(f, ["showhelp", "showpreferences"], [false, false]); document.scheduler.setPreferences(f + "", b, false, true, d) } } function openPreferences(c, b) { event.cancelBubble = true; document.scheduler.openPreferences(c, b); return false };
</script>

        <script type="text/javascript" src="Scripts/rightClickHelper.aspx"></script>
        <script type="text/javascript" src="Scripts/mainMenus.aspx"></script>

		<script src="Scripts/PopupManager.js"></script>

        <script>
			var uiVersion = "<% =cardioLogUIVersion %>";
			var trialDays = <% =TrialDays %>;

			var pageViews = <% =PageViews %>;
            var maxPageViews = <%=MaxPageViews %>

			var averageViews = <% =AverageViews %>;
            
			var showNextStepAlert = <% =ShowNextStepAlert %>;

            

            function redirectToEditMode() {
			    window.frames[1].redirectToEditMode();
			}
			
            function sendTo() {
				var CardioLogSendToRoot = "<%=Util.GetWebConfigAppSettingsValue("CardioLogSendToRoot")%>";
				var url = "";
				if (CardioLogSendToRoot == ""){
					url = "mailto:?subject=" + escapeToHebrew(encodeURIComponent(window.frames[1].document.ReportTitle)) + "&body=" + encodeURIComponent(window.frames[1].document.location.href.replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
				}
				else{
					url = "mailto:?subject=" + escapeToHebrew(encodeURIComponent(window.frames[1].document.ReportTitle)) + "&body=" + encodeURIComponent(window.frames[1].document.location.href.replace(/.*\/\/[^/]*/, CardioLogSendToRoot.replace(/\/$/, "")).replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
				}
			    document.location.href = url;
			}		

			function distributionList(guid) {
			    
			    var myJSONObject  = 
	            { "popupArguments":
	            [		
	             {close:hidePopup, title:"<%=CardioLog.API.Localization.getText("$Distribution List$")%>", href:url, self:document}	
	             ]
	             };	
	            if ("<%= CardioLog.API.CardioLogUIVersion.UIVersion%>" == "2010") {
	                //var url = window.frames[1].document.location.href.replace("/CardioLog/","/CardioLog/2010/");
			        //url = url.replace(/index\.aspx/i, "distributionList.aspx");  
                    var url = "/CardioLog/2010/CLReport/distributionList.aspx?entityId=" + guid;
	                PopupManager.ShowPopup(url,260, 400,myJSONObject) ;
	            } else {
	                var url = window.frames[1].document.location.href.replace(/index\.aspx/i, "distributionList.aspx");
				    var md = window.showModalDialog("/CardioLog/Reports/cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Distribution List$")%>", href:url, self:document}, "dialogHeight:260px; dialogWidth:350px; status:no; help:no;");
				}
	
				//var url = window.frames[1].document.location.href.replace(/index\.aspx/i, "distributionList.aspx");
				//var md = window.showModalDialog("/CardioLog/Reports/cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Distribution List$")%>", href:url, self:document}, "dialogHeight:260px; dialogWidth:350px; status:no; help:no;");
			}
			
			function refreshReport () {
				var availableWidth = (parseInt(window.frames[1].document.body.offsetWidth,10)-100);
				var url = window.frames[1].document.location.href.replace(/availableWidth\=[0-9]*/g, "availableWidth\="+availableWidth);
				window.frames[1].document.location.href = url;
			}	
            
            function regenerateReport(guid, reportDate) {

                var url = "/CardioLog/CLReport/createReport.aspx?entityId="+guid+"&reportDate="+reportDate;
				window.frames[1].document.location.href = url;

            }
            
            function exportToPdfButton() {
                var cardioLogPdfRoot = "<%=Util.GetWebConfigAppSettingsValue("CardioLogPDFRoot")%>";
				var url = window.frames[1].location.href.replace(/.*\/\/[^/]*/, cardioLogPdfRoot.replace(/\/$/, "")).replace(/&/g, "^^");
                window.open("/CardioLog/Data/ExportToPDF.aspx?reportUrl="+url);
            }      
            
			function exportToExcelButton(isReport, guid, isTempReport) {
                if (isReport)
                {
                    if (isTempReport == 0)
                    {
                        window.frames[1].document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + guid;
                    } else {
                        //export context based report
                        window.frames[1].document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + guid + "&contextBased=1";
                    }
                }
		        else
                {
		            window.frames[1].document.scheduler.Export(false);
                }
		          
			}

            function refreshButton() {
				window.frames[1].document.location.reload();
            }
			
        function confirmDelete() {
			// Return true/false
			return confirm("Are you sure you want to delete all widgets in this report?");
	    }

        function deleteallButton() {
            if (confirmDelete())
			window.frames[1].document.removeAll();
        }
		
        function restoreButton() {
			window.frames[1].document.restoreToDefault();
        }
        
        function getPosition(obj) {
            var pos = {x:0, y:0};
            while (obj.tagName.toLowerCase() != "body") {
                pos.x += parseInt(obj.offsetLeft, 10);
                pos.y += parseInt(obj.offsetTop, 10);
                obj = obj.offsetParent;
            }
            return pos;
        }

			var statusMenu;
			var calendar;			
			
			var username = "<%= EncodedUserName %>";
			
			// Roles
			var isInformationWorker = "<%= IsInformationWorker %>";
			var isAnalyst = "<%= IsAnalyst %>";
			var isAdministrator = "<%= IsAdministrator %>";
			var showAnalysisCenter = "<%= ShowAnalysisCenter %>";
			
			document.onkeydown = function() {
				if (event.ctrlKey && event.shiftKey && event.keyCode == 68) toggleDebugWindow();
			}
			
			window.onresize = function ()
			{
			    if(typeof(document.all["WIZ_window"]) != "undefined") showConfigWiz();
			}
		    
		    function showConfigWiz()
	        {
	            var windowH = document.body.clientHeight < 550 ? document.body.clientHeight : 550;
                var windowW = document.body.clientWidth < 800 ? document.body.clientWidth : 800;

	            var h = (windowH == 550) ? document.body.clientHeight/2 - 275 : 0;
                var w = (windowW == 800) ? document.body.clientWidth/2 - 400 : 0;

                document.all["WIZ_window"].style.top = h;
                document.all["WIZ_window"].style.right = w;
                
                document.all["WIZ_overlay"].style.width = window.screen.width;
                document.all["WIZ_overlay"].style.height = "100%";
        
                document.all["WIZ_window"].style.width = windowW;
                document.all["WIZ_window"].style.height = windowH;
                
                document.all["WIZ_iframeContent"].style.width = windowW;
                document.all["WIZ_iframeContent"].style.height = windowH;               
            }
            

			var __qb = null;
			window.onload = function () {
			    statusMenu = new RightClickMenu("statusMenu", statusMenuStructure);
                __qb = document.getElementById("qbubble");
				//__qb.elwidth = __qb.offsetWidth;
				__qb.style.display = "none";
				document.Status = new Status(document.all["statusbar"]);
				
				// Hide tabs according to roles
			    
			    if (isAdministrator == "False") {
			            buttons.length -= 1;
			    }
                if ((isInformationWorker == "True" && isAnalyst == "False" && isAdministrator == "False")) {
			            buttons.length = 1;
			        }
			    
			    if (showAnalysisCenter == "False") {
			        for (var i = 0; i < buttons.length; i++) {
			            if (buttons[i].value == 1) {
			                buttons.splice(i, 1);
			                break;
			            }
			        }
			    }
			    

			    if (uiVersion == "2007"){
				if (readCookie('currentTab') != null) drawLeftbar(readCookie('currentTab'));
				else drawLeftbar(0);
				}
							    
			    else if (uiVersion == "2010"){
				//if (readCookie('currentTab') != null) drawLeftbar_2010(readCookie('currentTab'));
				//else 
                    drawLeftbar_2010(-1);
				}
				
				if (readCookie("about") != null) displaySystem(true);
				else window.setTimeout(function() { displaySystem(true); }, 1000);
				
				calendar = new Calendar(document.all["calendarInput"], document.all["reportSelectSpan"], reportDateCallback, true, "Styles/calendar.css", "images/");
				
				var now = new Date();
				document.all["calendarInput"].value = formatDate(now);
				document.all["calendarInput"].limitEnd = formatDate(now);
				document.all["calendarInput"].limitStart = formatDate(new Date(now.setMonth(now.getMonth()-30)));

				jQuery(window).bind('resize', function($) {
					var $ = jQuery;
					
					windowBinders($);
				});
				// SHOW ? NEXT STEP ALERT BAR
				 initNextStepAlert();
			}

			// SETUP INTRO BOXES HEIGHT
			function checkframe(frame) {
				if (jQuery(frame).contents().find('body').height()<1) setTimeout(function () {checkframe(frame)}, 1111);
				else {
					setTimeout(function() { 
						setIntroBoxes();
						setIntroBoxHeights();
						}, 1111);
				}
			}
			

			function toggleDisabled(el) {
			    try {                    
			            el.disabled = el.disabled ? false : true;
			            el.style.cursor = el.disabled ? "default" : "hand";                
			        }                
			    catch(E){}                                
			    if (el.childNodes && el.childNodes.length > 0) {                    
			         for (var x = 0; x < el.childNodes.length; x++) {                        
			         toggleDisabled(el.childNodes[x]);                    
			        }                
			    }            
			}
			
			function reportDateCallback(value) {
				document.all["reportSelectSpan"].innerText = value;
				var currTimestamp = formatDateToVersion(value);
				var selectedReportDate = 0;
				for (var i=0;i<permittedDates.length;i++) {
					if (permittedDates[i].timestamp == currTimestamp) {
						selectedReportDate = permittedDates[i].value;
						break;
					}
				}
				if (selectedReportDate == 0) changeReportDateCallback(currTimestamp, true);
				else changeReportDateCallback(selectedReportDate);
			}
			
			var inResizeMode = false;
			document.onmousemove = function() {
				if (inResizeMode) {
					try {
						document.all["resizeDiv"].style.width = event.x;
					} catch (e) {
					}
				}
			}
			document.onmouseup = function() {
				if (inResizeMode) {
				    if (parseInt(document.all["resizeDiv"].style.width) < 256) document.all["resizeDiv"].style.width = '256px';
					inResizeMode = false;
					saveCookie("panewidth", document.all["resizeDiv"].style.width, 1000);
					document.all["leftbarContainer"].style.width = document.all["resizeDiv"].style.width;
					try {
						document.frames[0].resizePane(document.all["resizeDiv"].style.width);
					} catch (e) {
					}
					document.all["resizeBackgroundDiv"].style.display = "none";
					positionResizeDiv();
                    fillUsageBars();
					setIntroBoxes();
					setIntroBoxHeights();
				}
			}
			
			function getPaneWidth() {
				if (readCookie("panewidth") != null) return readCookie("panewidth");
				else return "250px";
			}
			
			function positionResizeDiv() {
				document.all["leftbarContainer"].style.width = getPaneWidth();
				
				pos = {x:0, y:0};
				findPosition(document.all["mainTD"]);
				document.all["resizeDiv"].style.left = pos.x-1;
				document.all["resizeDiv"].style.top = pos.y+1;
				document.all["resizeDiv"].style.height = document.all["mainTD"].offsetHeight-1;
				document.all["resizeDiv"].style.display = "";
				document.all["resizeDiv"].onmousedown = startResize;
				document.all["resizeDiv"].style.width = "1px";
				if(uiVersion == "2010"){
				document.all["resizeDiv"].style.left = pos.x;
    				document.all["resizeDiv"].style.width = "6px";
				    document.all["resizeDiv"].style.backgroundImage = "url(/CardioLog/images/2010/Divider.gif)";
				    document.all["resizeDiv"].style.backgroundRepeat = "no-repeat";
				    document.all["resizeDiv"].style.backgroundPositionY = "center";
				}
			}
			
			function startResize() {
				pos = {x:0, y:0};
				findPosition(document.all["mainTD"]);

				this.style.width = pos.x
				this.style.left = 0;
				this.style.top = pos.y;
				this.style.height = document.all["mainTD"].offsetHeight;

				inResizeMode = true;
				
				document.all["resizeBackgroundDiv"].style.display = "";
			}
			
			function displaySystem(hideAbout) {
				document.all["systemDiv"].style.display = "";
				if (hideAbout) {
					document.all["aboutDiv"].style.display = "none";
					document.all["mainFrame"].style.display = "";
			
					positionResizeDiv();
					
				    if ("<%=FirstTime%>" == "True") {
		                var md = window.showModalDialog("/CardioLog/CustomError.aspx?err=SP2007AdaptorNotConfigured", "", "dialogHeight:350px; dialogWidth:450px; status:no; help:no; scroll:no;");
		            }
		            
		            if ("<%=ShowWiz%>" == "True") 
				    {
				        window.setTimeout(function() { showConfigWiz(); }, 2000);
				    }
				} else {
					saveCookie("about", "true");
					window.setTimeout(function() { displaySystem(true); }, 3000);
				}
				
				if (uiVersion == "2010"){
                    fillUsageBars();
			    }							
			}
			
			var sourceName = "";
			
			function setCaption(value, now, admin_value) {
			    if (!admin_value) {
			        admin_value = "&nbsp;";
			    }
			        
			    if (value == "Administration") {
			        if(uiVersion == "2010"){
			            document.all["mainTopSub"].style.display = "none";
			        }
				    window.setTimeout(function() {				
					    document.all["clpageCaption"].innerHTML = admin_value;
					    document.all["clpageCaption"].title = admin_value;
					    sourceName = value;
				    }, 100);			        
			    } else {  
			        if(uiVersion == "2010"){  
			            document.all["mainTopSub"].style.display = "";
			        }
				    window.setTimeout(function() {				
					    document.all["clpageCaption"].innerText = value;
					    document.all["clpageCaption"].title = value;
					    sourceName = value;
				    }, 100);			        
			    }			    
			}
	
			function getCaption() {
				return document.all["clpageCaption"].innerText;
			}
			
			var changeTemplateCallback = false;
			var changeReportDateCallback = false;
			
			function hideAvailableReportDates() {
				document.all["reportSelectSection"].style.display = "none";
			}
			
			var permittedDates;
			
			function setAvailableReportDates(callback, currentId, arr, scheduleType, currentVersion) {
				if (arr.length == 0) document.all["reportSelectSpan"].innerText = formatDateFromVersion(currentVersion);
//				if (arr.length > 1) {
				changeReportDateCallback = callback;
				document.all["reportSelectSection"].style.display = "";
				permittedDates = new Array();
				var select = document.all["reportSelect"];
				for (var i=select.options.length-1;i>=0;i--) select.options[i].removeNode(true);
				for (var i=0;i<arr.length;i++) {
					select.appendChild(createOption(arr[i].id, arr[i].title, currentId == arr[i].id));
					permittedDates[permittedDates.length] = {value:arr[i].id, timestamp:arr[i].title}
					if (currentId == arr[i].id) {
						document.all["calendarInput"].value = formatDateFromVersion(arr[i].title);
						document.all["reportSelectSpan"].innerText = formatDateFromVersion(arr[i].title);
					}
				}

				var d = new Date();
				var limitStart, limitEnd;
					switch (scheduleType+"") {
						case "0":
							// daily:
							// add all dates in the last three months
							calendar.SetPermittedDates(permittedDates, true);
							limitEnd = formatDateToString(d);
							limitStart = formatDateToString(new Date(d.setMonth(d.getMonth()-3)));
							if (permittedDates.length > 0) limitStart = Math.min(permittedDates[permittedDates.length-1].timestamp, formatDateToString(new Date(d.setMonth(d.getMonth()-3))));
							break;
						case "1":
							// weekly:
							// add all sundays in the last three months
							var startTime = new Date(d);
							startTime = new Date(startTime.setMonth(startTime.getMonth()-3));
							startTime = new Date(startTime.setDate(startTime.getDate()-startTime.getDay()));
							while (startTime < d) {
								startTime = new Date(startTime.setDate(startTime.getDate()+7));
								permittedDates.push({value:0, timestamp:formatDateToString(startTime)});
							}
							calendar.SetPermittedDates(permittedDates);
							limitEnd = Math.max(permittedDates[0].timestamp, formatDateToString(d));
							limitStart = Math.min(permittedDates[permittedDates.length-1].timestamp, formatDateToString(new Date(d.setMonth(d.getMonth()-3))));
							break;
						case "2":
							// monthly:
							// add all first of month in the last three months
							var startTime = new Date(d);
							startTime = new Date(startTime.setMonth(startTime.getMonth()-3));
							startTime = new Date(startTime.setDate(1));
							while (startTime < d) {
								startTime = new Date(startTime.setMonth(startTime.getMonth()+1));
								permittedDates.push({value:0, timestamp:formatDateToString(startTime)});
							}
							
							calendar.SetPermittedDates(permittedDates);
							limitEnd = Math.max(permittedDates[0].timestamp, formatDateToString(d));
							limitStart = Math.min(permittedDates[permittedDates.length-1].timestamp, formatDateToString(new Date(d.setMonth(d.getMonth()-3))));
							break;
					}


				select = null;
				document.all["calendarInput"].limitStart = formatDateFromVersion(limitStart+"");
				document.all["calendarInput"].limitEnd = formatDateFromVersion(limitEnd+"");
//				} else hideAvailableReportDates();
			}

			function lpad(value) {
				value = value+"";
				return (value.length == 1) ? "0"+value : value;
			}
			
			function formatDateToString(value) {
				return value.getYear()+lpad(eval(value.getMonth()+1))+lpad(value.getDate());
				
			}
			function formatDateFromVersion(value) {
				return value.replace(/([\d]{4})([\d]{2})([\d]{2})/, "$3\/$2\/$1");
			}
			function formatDateToVersion(value) {
				return value.replace(/([\d]{2})\/([\d]{2})\/([\d]{4})/, "$3$2$1");
			}

			function changeReportDate() {
				var select = document.all["reportSelect"];
				if (changeReportDateCallback) {
					if (select.options[select.selectedIndex].value == "0") 
						changeReportDateCallback(select.options[select.selectedIndex].innerText, true);
					else 
						changeReportDateCallback(select.options[select.selectedIndex].value);
				}
				select = null;
			}
			
			function hideAvailableTemplates() {
			    if (uiVersion == "2007")
				    document.all["templateSelectSection"].style.display = "none";
				else if (uiVersion == "2010")
				    document.all["templateTD"].style.display = "none";
				
			}
			
			function setAvailableTemplates(callback, currentId, arr, managed) {
			
				if (arr.length > 1 || managed) {
					changeTemplateCallback = callback;
					var select = document.all["templateSelect"];
					for (var i=select.options.length-1;i>=0;i--) select.options[i].removeNode(true);
					if (managed) select.appendChild(createOption("", "<%=CardioLog.API.Localization.getText("$Customized View$")%>", true));
					
					function compare(a, b) {
						if (a["title"].toLowerCase() > b["title"].toLowerCase()) return 1;
						else return -1;
					}
					var sarr = arr.sort(compare);
					
					for (var i=0;i<sarr.length;i++) {
						select.appendChild(createOption(sarr[i].id, sarr[i].title, currentId == sarr[i].id));
					}
					select = null;
				} else hideAvailableTemplates();
			}

			function createOption(value, text, checked) {
				var option = document.createElement("option");
				option.innerText = text;
				option.value = value;
				option.selected = checked;
				return option;				
			}			
			
			function setDefaultTemplate() {
				var currentTemplateId = document.all["templateSelect"].options[document.all["templateSelect"].selectedIndex].value;
				var templateName = "";
				if (currentTemplateId == "") templateName = prompt("<%=CardioLog.API.Localization.getText("$Please name your current view$")%>:", "");
				if (currentTemplateId != "" || templateName.replace(/ /g, "") != "") {
					document.frames[1].setDefaultTemplate(currentTemplateId, templateName);
				}
			}
			function changeTemplate() {
				var select = document.all["templateSelect"];
				if (changeTemplateCallback) {
					try {
						changeTemplateCallback(select.options[select.selectedIndex].value);
					} catch (e) {
					}
				}
				select = null;
			}
			
			function executeRightClick(entry) {
				switch (entry.id) {
					case "clearStatus":
						document.Status.clear();
						break;
					case "toggleDebug":
						if (document.all["statusbar"].style.height == "0px") toggleDebugWindow(true);
						else toggleDebugWindow(false);
						break;
				}
			}
			
			var direction = 1;
			var destination = 200;
			var step = 20;
			
			function toggleDebugWindow() {
				var expand = false;
				if (document.all["statusbar"].style.height == "0px") expand = true;

				if (expand) {
					if (document.Status.messages.length > 0 && confirm("Delete history data?")) document.Status.messages.length = 0;
					destination = 200;
					direction = 1;
					document.Status.setDebugMode(true);
					document.all["statusBarTR"].style.display = "";
				}	else {
					destination = 0;
					direction = -1;
					document.Status.setDebugMode(false);
				}
				resizeStatus();
			}

			function resizeStatus() {
				var currHeight = parseInt(document.all["statusbar"].style.height, 10);
				currHeight += direction*step;
				if ((direction > 0 && currHeight < destination) || (direction < 0 && currHeight > destination)) {
					document.all["statusbar"].style.height = currHeight;
					window.setTimeout("resizeStatus()", 1);
				} else {
					document.all["statusbar"].style.height = destination;
					document.all["statusBarTR"].style.display = (destination == 0) ? "none" : "";

					if (document.Status.DebugMode) {
						document.all["statusbar"].all["debugDetails"].style.display = "";
						document.all["statusbar"].all["debugDetailsFooter"].style.display = "";
					}
				}
			}
						
			function showStatusMenu() {
				event.returnValue = false;
				event.cancelBubble = true;
				statusMenu.create(event.ctrlKey);
				statusMenu.show(document.body, executeRightClick, event);
				return false;
			}
			
			var Queue = {
				actions: new Array(), 
				Clear: function() {
					this.actions = new Array();
				},
				Add: function(obj) {
					this.actions[this.actions.length] = obj;
				},
				Get: function() {
					return this.actions;
				}
			}
			
			function getPosition() {
				var pos = {x:0, y:0};
				var obj = document.getElementById("mainFrame");
				while (obj.tagName.toUpperCase() != "BODY") {
					pos.x += obj.offsetLeft;
					pos.y += obj.offsetTop;
					obj = obj.offsetParent;
				}
				return pos;
			}
			
            function fillUsageBars()
            {
            <%if(IsAdministrator && ShowLicenseUsage) {%>
            	<%if (IsTrial){ %>
					// Fill trial days left bar
            		setFillBar(30-trialDays, 30, document.getElementById("trialdaysFill"));
                <%}%>
                
				// Fill page views usage bar and average views bar
            	setFillBar(pageViews, maxPageViews, document.getElementById("pageviewsFill"));
            	setFillBar(averageViews, maxPageViews, document.getElementById("averageviewsFill"));
            <%} %>
            }

			
			function setFillBar(usageVal, maxVal, el)
            {
                //TODO: show for admins only, set limits for red, yellow, green
                //show alos % near bars
                totalPixWidth = document.getElementById("usageBar").offsetWidth - 4;
                usagePercentage = usageVal / (maxVal/100);//usage percentage
                
                rightClip = totalPixWidth * (usagePercentage/100);
                if (rightClip > totalPixWidth) rightClip = totalPixWidth;
                if (rightClip < 1) rightClip = 3;//show some color
                
                color = "Green";
                if(usagePercentage > 70 && usagePercentage <= 85) color = "Yellow";
                else if (usagePercentage > 85) color = "Red";

                if (isNaN (rightClip)){
                    rightClip = 0;
                }

                el.style.width = rightClip+'px';
                el.src = "/CardioLog/images/2010/" + color + "Bar.png";
            }

			function toggleusageBars() {
			    if (document.getElementById("usageBars").style.display == "") {
			            document.getElementById("usageBars").style.display = "none";
			            document.getElementById("usageBarsPlus").style.display = "";
			            document.getElementById("usageBarsMinus").style.display = "none";    	
			        }
			        else {
			            document.getElementById("usageBars").style.display = "";
			            document.getElementById("usageBarsPlus").style.display = "none";
			            document.getElementById("usageBarsMinus").style.display = "";	                
			        }
			}

        </SCRIPT>
	</HEAD>		
	<% if (cardioLogUIVersion == "2007") { %> 
	    <BODY class="mainBody" scroll="no">		
	    <div id="resizeDiv" style="display:none; cursor:col-resize; position:absolute; top:0; left:0; width:1px; height:100%; background:#efebef; filter:progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=40);"></div>
	<% } %>
	<% else if (cardioLogUIVersion == "2010") { %> 
	    <BODY class="2010_mainBody" scroll="no">		
	    <div id="resizeDiv" style="display:none; cursor:col-resize; position:absolute; top:0; left:0; width:1px; height:100%; background:#efebef; filter:progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=60);"></div>
	<% } %>
	    <div class='popup_overlayBG popup_overlay' id='popupoverlay' style='display:none;'></div>
		<!-- Milen: see why, if next line is removed, menus don't work properly -->
		<div class='popup_overlayBG popup_overlay' id='popup_overlay_1'></div>
        <div class='popup_window' id='popup_window_1'></div>
	    <%=ConfigWizHTML %>
		<div id="resizeBackgroundDiv" style="display:none; position:absolute; top:0; left:0; width:100%; height:100%; background:yellow; filter:progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0);"></div>
		<div id="aboutDiv" style="position:absolute; top:0; left:0; width:100%; height:100%; z-index:2;">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr>
				    <td align="center" valign="middle">
				        <div class="about">
				            <% if (cardioLogUIVersion == "2007") { %>
				                <img src="Images/about.gif" galleryimg="no">
				            <% } %>
				            <% else if (cardioLogUIVersion == "2010") { %>
				                <img src="/CardioLog/Images/2010/Splash<%=ProductEditionType.ToString().Replace("CardioLog2007","") %><%=SuiteSuffix %>.jpg" galleryimg="no">
				            <% } %>
				        </div>
				    </td>
				</tr>
			</table>
		</div>
		<TABLE id="systemDiv" cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="z-index:1; display:none;">
		<% if (cardioLogUIVersion == "2007")
     { %>
			<TR>
				<TD class="topBG" valign="center">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%">
						<TR>
							<TD align="right" class="statusText"><% =Localization.getText("$Connected As$") %> <%= UserName %><span id='lastRefereshed'></span></TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD class="headerBG" valign="center">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%">
						<TR>
							<!--TD><IMG src="images/cardiologLogo.gif" width="50" height="50" style="display:"></TD-->
							<td width="100%" style="padding-left:5px;"><IMG src="images/cardiologTitle.gif"></TD>
							<TD align="right"><!--IMG src="images/sharePointLogo.gif"--></TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD width="100%" height="100%">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						<TR>
							<TD>
								<DIV id="leftbarContainer" style="width:200px; height:100%; display:;" id="treeExpand">
									<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<TBODY id="leftbarTBODY">
										</TBODY>
									</TABLE>
								</DIV>
								<DIV style="width:25px; height:100%; display:none;" id="treeCollapse">
									<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<TR>
											<TD height="22" class="treeCollArrowBG" align="center" valign="center"><!--A href="javascript:leftbarExpand();"><IMG src="images/arrowRight.gif" border="0"></A--></TD>
										</TR>
										<TR>
											<TD height="100%" class="treeCollTitleBG" valign="center">
												<FONT class="sectionCollTitleText" id="treeCollapseText"></FONT>
											</TD>
										</TR>
									</TABLE>
								</DIV>
							</TD>
							<TD width="100%" id="mainTD">
								<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="table-layout:fixed;">
									<TR>
										<TD class="sectionTitleBG sectionTitleText" valign="center" id="clpageCaption" nowrap="true" width="100%">&nbsp;</TD>
										<td id="templateSelectSection" style="display:none; width:312px;" class="sectionTitleBG sectionTitleText" align="right" nowrap="true">
											<table border="0" cellpadding="0" cellspacing="0" width="312" style="table-layout:fixed;">
												<tbody>
													<tr><td width="32" class="sectionTitleText"><%=CardioLog.API.Localization.getText("$View$")%>:</td>
														<td width="160"><select id="templateSelect" class="inputSelect" style="width:158px;font-size:10px;" onchange="changeTemplate()"></select> </td>
														<td width="120"><input type="button" class="inputButton" style="height:17px;" value="<%=CardioLog.API.Localization.getText("$Set as default$")%>" title="<%=CardioLog.API.Localization.getText("$Set as default tooltip$")%>" onclick="setDefaultTemplate()" /></td>
													</tr>
												</tbody>
											</table>
										</td>
										<td id="reportSelectSection" style="display:none; width:200px;" class="sectionTitleBG sectionTitleText" align="right" style="font-weight:100;" nowrap="true"><%=CardioLog.API.Localization.getText("$Report Date$")%>: <span id="reportSelectSpan" style="cursor:hand; font-weight:bold;" onclick="calendar.preCreateCalendar()">12/10/2005</span> <img src="/CardioLog/images/arrowDownWhite.gif" align="absmiddle" style="cursor:hand;" onclick="calendar.preCreateCalendar()"></span><select id="reportSelect" class="inputSelect" style="width:220px; display:none;" onchange="changeReportDate()"></select><input type="hidden" id="calendarInput"></td>
									</TR>
									<TR>
										<TD width="100%" height="100%" colspan="2">
											<IFRAME style="width:100%; height:100%; display:none;" frameborder="0" id="mainFrame" src="blank.html"></IFRAME>
										</TD>
									</TR>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<tr id="statusBarTR" style="display:none;">
				<td class="sectionStatus" oncontextmenu="showStatusMenu()">
					<div id="statusbar" class="sectionStatusDiv" style="width:100%; height:0px; overflow:visible;">
						<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" style="table-layout:fixed;">
							<thead><tr><td id="statusLine" class="sectionStatusText" height="0px"></td></tr></thead>
							<tbody style="display:none;" id="debugDetails">
								<tr><td class="sectionStatusText">
											<div style="height:180px; width:100%; overflow-y:scroll;" id="debugDiv"></div>
										</td>
								</tr>
							</tbody>
							<tfoot style="display:none;" id="debugDetailsFooter"><tr><td height="5px">&nbsp;</td></tr></tfoot>
						</table>
					</div>
				</td>
			</tr>			
		<%}
    else if (cardioLogUIVersion == "2010")
    {%>      
			<TR>
				<TD class="2010_headerBG" valign="center">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%">
						<TR>
							<td><a href="/CardioLog/index.aspx"><IMG title="Home" border="0" src="/CardioLog/images/2010/TopBarLeft<%=SuiteSuffix+FreeSuffix %>.gif" /></a></td>
							<TD align="right">
							    <table cellpadding="0" cellspacing="0" border="0" height="35px">
							        <tr>
										<td valign="bottom" class="2010_statusText">
											<a class="supportlink" href="http://support.intlock.com" target="_blank"><nobr>Knowledge base</nobr></a>&nbsp;&nbsp;|&nbsp;&nbsp;
										</td>
							            <td valign="bottom" class="2010_statusText">
							                <nobr><% =Localization.getText("$Connected As$")%> <%= UserName%><span id='lastRefereshed'></span></nobr>
							            </td>
							        </tr>
							    </table>
							</TD>
                            <%if (IsTrial)
                              { %>
							<TD align="right"><IMG src="/CardioLog/images/2010/TopBarRightTrial.gif" style="cursor:hand" onclick="window.open('http://server.iad.liveperson.net/hc/51729920/?cmd=file&file=visitorWantsToChat&site=51729920&byhref=1&imageUrl=http://www.intlock.com/intlocksite/images/LivePerson/general-3');"/></TD>
                            <%}
                              else
                              { %>
                            <TD align="right"><IMG src="/CardioLog/images/2010/TopBarRight.gif" /></TD>
                            <%} %>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<tr valign="top">
				<td id="stepAlert" valign="top"></td>
			</tr>    
			<TR>
				<TD width="100%" height="100%">
					<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						<TR>
							<TD>
								<DIV id="leftbarContainer" class="2010_leftbarContainer" id="treeExpand">
									<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
									    <tr style="height:7px">
									        <td>
		                                        <table cellpadding=0 cellspacing=0 border=0 class="2010_leftbartopBG">
		                                            <tr>		
									                    <td><img src="/CardioLog/images/2010/LeftWhiteBarTopLeft.gif" /></td>
									                    <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarTopMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
									                    <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarTopRight.gif" /></td>
									                </tr>
									            </table>
									        </td>
									    </tr>
                                        <%if (IsAdministrator && ShowLicenseUsage)
                                          {%>
									    <tr height="5px">
									        <td style="border-bottom: solid 1px #bcbcbc;">
									            <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" class="2010_leftbarBG" style="cursor:default">
									                <tr>
            									    	<td colspan="2">
            									    	    <table cellpadding="0" cellspacing="0" border="0" width="100%">
            									    	        <tr>
            									    	            <td id="leftbarTitle">License Usage</td>
                                                                    <td id="usageBarsMinus" style="padding-right:12px; padding-top:3px;cursor:hand;" valign="top" align="right"><img src="/CardioLog/images/minus.gif" onclick="toggleusageBars();" /></td>
                                                                    <td id="usageBarsPlus" style="display:none; padding-right:12px; padding-top:3px;cursor:hand;" valign="top" align="right"><img src="/CardioLog/images/plus.gif" onclick="toggleusageBars();" /></td>
            									    	        </tr>
            									    	    </table>
            									    	</td>
									                </tr>
										            <tr>
										                <td><img width="15px" src="/CardioLog/images/blank.gif" height="100%"/></td>
										                <td width="100%" style="padding-right:10px;padding-bottom:5px;">
									                        <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" id="usageBars">
                                                                <%if (IsTrial)
                                                                  { %>
										                        <tr>
							                                        <td class="regTextB usageBarTitle"><b><%=CardioLog.API.Localization.getText("$Days left for trial$")%></b>&nbsp;&nbsp;<span class='usageBarText'>[<% =TrialDays%>]</span></td>
							                                    </tr>
							                                    <tr>
                                                                    <td class="usageBar">
                                                                        <span class="usageFill"><img class="bar" id="trialdaysFill" /></span>
                                                                    </td>
                                                                </tr>
                                                                <%} %>
                                                                <tr>
							                                        <td class="regTextB usageBarTitle"><b><%=string.Format(CardioLog.API.Localization.getText("$Page views this month$"), "</b>&nbsp;<span class='usageBarText'>" + DateTime.Now.ToString("MMM", cultInfo))%> [<% = PageViews.ToString("#,#0", CultureInfo.InvariantCulture)%>]</span></td>
							                                    </tr>
							                                    <tr>
                                                                    <td class="usageBar" id="usageBar">                                                            
                                                                        <span class="usageFill"><img class="bar" id="pageviewsFill" /></span>
                                                                    </td>
                                                                </tr>
                                                                <tr>
							                                        <td class="regTextB usageBarTitle"><b><%=string.Format(CardioLog.API.Localization.getText("$Average per month$"), "</b>&nbsp;<span class='usageBarText'>" + DateTime.Now.AddMonths(-2).ToString("MMM", cultInfo) + " - " + DateTime.Now.AddMonths(-1).ToString("MMM", cultInfo))%></b> [<% =AverageViews.ToString("#,#0", CultureInfo.InvariantCulture)%>]</span></td>
							                                    </tr>
							                                    <tr>
                                                                    <td class="usageBar">                                                            
                                                                        <span class="usageFill"><img class="bar" id="averageviewsFill" /></span>
                                                                    </td>
                                                                </tr>                                                                                                                                                                
                                                            </TABLE>
                                                        </td>
										            </tr>
										            <tr>
										                <td height="7"></td>
										            </tr>
										        </TABLE>
									        </td>
									    </tr>	
                                        <%} %>					    
									    <tr>
									        <td>
									            <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="2010_leftbarBG">
										            <tr>
										                <td height="5px"></td>
										            </tr>
										            <tr>
										                <td width="15px"></td>
										                <td>
									                        <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										                        <tr>
										                            <td>
										                                <TBODY id="leftbarTBODY">
										                                </TBODY>
										                            </td>
										                        </tr>
										                    </TABLE>
										                </td>
										                <td width="15px"></td>
										            </tr>
										        </TABLE>
									        </td>
									    </tr>									    									
									    <tr style="height:7px;">
									        <td>
		                                        <table cellpadding=0 cellspacing=0 border=0  class="2010_leftbartopBG">
		                                            <tr>		
									                    <td><img src="/CardioLog/images/2010/LeftWhiteBarBottomLeft.gif" /></td>
									                    <td style="background-image:url(/CardioLog/images/2010/LeftWhiteBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
									                    <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarBottomRight.gif" /></td>
									                </tr>
									            </table>
									        </td>
									    </tr>		
									</TABLE>
								</DIV>
								<DIV style="width:25px; height:100%; display:none;" id="treeCollapse">
									<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<TR>
											<TD height="22" class="treeCollArrowBG" align="center" valign="center"><!--A href="javascript:leftbarExpand();"><IMG src="images/arrowRight.gif" border="0"></A--></TD>
										</TR>
										<TR>
											<TD height="100%" class="treeCollTitleBG" valign="center">
												<FONT class="sectionCollTitleText" id="treeCollapseText"></FONT>
											</TD>
										</TR>
									</TABLE>
								</DIV>
							</TD>
							<TD width="100%" id="mainTD" style="padding-left:6px">
								<TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                                    <tr valign="top">		
                                        <td>
											<TABLE cellpadding="0" cellspacing="0" border="0" width="100%">
                                                <tr>		
					                                <td height="29"><img src="/CardioLog/images/2010/MainTopTopLeft.gif" /></td>
					                                <td height="29" colspan="2" class="sectionTitleText" id="clpageCaption" style="border-top:1px solid #acacac; background-image:url(/CardioLog/images/2010/MainTopTopBG.gif); background-repeat:repeat-x; width:100%" >				                                
				                    
					                                </td>
					                                
							                        <td height="29" id="templateTD" align="right" style="display:none; background-image:url(/CardioLog/images/2010/MainTopTopBG.gif); border-top:1px solid #acacac; background-image:url(/CardioLog/images/2010/MainTopTopBG.gif); background-repeat:repeat-x;">
		                                                <table border="0" cellpadding="0" cellspacing="0" height="20px">
									                        <tbody>											
										                        <tr>
										                            <td class="sectionTitleTextBlack"><%=CardioLog.API.Localization.getText("$Template$")%></td>
											                        <td width="160" style="padding-left:5px"><select id="templateSelect" class="inputSelect" style="width:158px;font-size:10px;" onchange="changeTemplate()"></select> </td>
											                        <td style="text-align:center"><input type="button" class="inputButton" value="<%=CardioLog.API.Localization.getText("$Set as default$")%>" title="<%=CardioLog.API.Localization.getText("$Set as default tooltip$")%>" onclick="setDefaultTemplate()" /></td>
										                        </tr>
									                        </tbody>
								                        </table>
								                    </td>
								                    
					                                <td height="29" align="right"><img src="/CardioLog/images/2010/MainTopTopRight.gif" /></td>
					                            </tr>					                
								            </TABLE>
                            				<table border="0" cellpadding="0" cellspacing="0" height="24px" width="100%" style="table-layout:fixed;border-bottom: 1px solid #acacac;" id="mainTopSub">
							                    <tr style="background-color:#d4dce4;border-bottom:solid 1px #acacac">							                    
					                                <td width="6px"><img src="/CardioLog/images/2010/MainTopMiddleLeft.gif" /></td>
							                        <td id="buttonToolbar" align="left"><img src="/CardioLog/images/2010/MainTopMiddleBG.gif" style="background-repeat:repeat-x;"></td>								                    
					                                <td align="right" width="6px"><img src="/CardioLog/images/2010/MainTopMiddleRight.gif" /></td>
								                </tr>
								            </table>
										</TD>
                                     </tr>
                                     <tr>		
                                        <td style="height:100%; border-left:solid 1px #acacac; border-right:solid 1px #acacac">
								            <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="table-layout:fixed;">
									            <TR>									                
										            <TD style="background:#FFFFFF url(/CardioLog/images/2010/TrialTopBottomMiddle.gif) repeat-x 0 0;" height="100%" colspan="3">
											            <IFRAME style="width:100%; height:100%; display:none; background:none;" allowTransparency="true" frameborder="0" id="mainFrame" src="intro.aspx" onload="checkframe(this);"></IFRAME>
										            </TD>
									            </TR>
								            </TABLE>
								            <table>
								                <TR>
			                                        <td id="templateSelectSection" style="display:none; width:312px;" class="sectionTitleBG sectionTitleText" align="right" nowrap="true">								
										            </td>
										            <td id="reportSelectSection" style="display:none; width:200px;" class="sectionTitleBG sectionTitleText" align="right" style="font-weight:100;" nowrap="true"><%=CardioLog.API.Localization.getText("$Report Date$")%>: <span id="reportSelectSpan" style="cursor:hand; font-weight:bold;" onclick="calendar.preCreateCalendar()">12/10/2005</span> <img src="/CardioLog/images/arrowDownWhite.gif" align="absmiddle" style="cursor:hand;" onclick="calendar.preCreateCalendar()"></span><select id="reportSelect" class="inputSelect" style="width:220px; display:none;" onchange="changeReportDate()"></select><input type="hidden" id="calendarInput"></td>
									            </TR>								            
								            </table>
							            </TD>
                                     </tr>
                                     <tr id="mainBottomWhiteBar" valign="bottom">		
                                        <td>
                                            <table cellpadding=0 cellspacing=0 border=0 width="100% height="7px">
                                                <tr>		
					                                <td><img src="/CardioLog/images/2010/LeftWhiteBarBottomLeft.gif" /></td>
					                                <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
					                                <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarBottomRight.gif" /></td>
					                            </tr>
					                        </table>
							            </td>
                                     </tr>
                                     <tr id="mainBottomGreyBar" valign="bottom" style="display:none">		
                                        <td>
                                            <table cellpadding=0 cellspacing=0 border=0 width="100% height="7px">
                                                <tr>		
					                                <td><img src="/CardioLog/images/2010/LeftGreyBarBottomLeft.gif" /></td>
					                                <td style=" background-image:url(/CardioLog/images/2010/LeftGreyBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
					                                <td align="right"><img src="/CardioLog/images/2010/LeftGreyBarBottomRight.gif" /></td>
					                            </tr>
					                        </table>
							            </td>
                                     </tr>
                                </TABLE>	
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<tr id="statusBarTR" style="display:none;">
				<td class="sectionStatus" oncontextmenu="showStatusMenu()">
					<div id="statusbar" class="sectionStatusDiv" style="width:100%; height:0px; overflow:visible;">
						<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" style="table-layout:fixed;">
							<thead><tr><td id="statusLine" class="sectionStatusText" height="0px"></td></tr></thead>
							<tbody style="display:none;" id="debugDetails">
								<tr><td class="sectionStatusText">
											<div style="height:180px; width:100%; overflow-y:scroll;" id="debugDiv"></div>
										</td>
								</tr>
							</tbody>
							<tfoot style="display:none;" id="debugDetailsFooter"><tr><td height="5px">&nbsp;</td></tr></tfoot>
						</table>
					</div>
				</td>
			</tr>
			<% } %>
		</TABLE>
        <%=GetUpdatesHTML%>
		<div class="qbubble" id="qbubble"><div class="qtop"></div><div class="qmid"><div class="qtext" id="qtxt"></div></div><div class="qbot"></div></div>
		<%=PromoScriptSrc %>
		
	</BODY>
</html>


