﻿var div = document.createElement("div");
div.id = "intlock_debugWindow";
div.style.position = "absolute";
div.style.left = "100px";
div.style.top = "100px";
div.style.width = "450px";
div.style.height = "400px";
div.style.background = "#E8E8E8"; 
div.style.backgroundImage = "url(" + clg_element.AgentDirectory + "/bg.gif)";
div.style.backgroundRepeat = "no-repeat"; 
div.style.backgroundPosition = "bottom left";
div.style.border = "1px solid black";
div.innerHTML = 
'<table border="0" cellpadding="0" cellspacing="0" width="100%">'+
'    <tr><td style="font-size:11px;font-family:tahoma;padding:3px;color:#000000;"><b>Agent Console - CardioLog Analytics by Intlock</b></td></tr>' +
'</table>'+
'	<table id="intlock_mainTable" style="padding:5px" border="0" cellpadding="0" cellspacing="0" table-layout:fixed;">'+
'		<tr><td style="font-family:Tahoma;font-size:11px;">'+
'					<table border="0" cellpadding="3" cellspacing="0">'+
'						<tr><td style="font-family:Tahoma;font-size:11px;">Agent:</td><td id="intlock_agentLabel" style="font-weight:bold;font-family:Tahoma;font-size:11px;"></td></tr>'+
'						<tr><td style="font-family:Tahoma;font-size:11px;">Version:</td><td id="intlock_versionLabel" style="font-weight:bold;font-family:Tahoma;font-size:11px;"></td></tr>'+
'						<tr><td style="font-family:Tahoma;font-size:11px;">Event Collector:</td><td id="intlock_eventCollectorLabel" style="font-weight:bold;font-family:Tahoma;font-size:11px;"></td></tr>'+
'						<tr><td style="font-family:Tahoma;font-size:11px;">Preferences:</td><td style="font-family:Tahoma;font-size:11px;">'+
'									<input style="font-family:Tahoma;font-size:11px;" type="checkbox" id="intlock_helplets" onclick="intlock_toggleHelplets()"><label for="intlock_helplets">Disable Helplets</label><br>'+
'									<input style="font-family:Tahoma;font-size:11px;" type="checkbox" id="intlock_ignoreDuplicates" onclick="intlock_toggleIgnoreDuplicates()"><label for="intlock_ignoreDuplicates">Ignore Duplicates</label><br>'+
'									<input style="font-family:Tahoma;font-size:11px;" type="checkbox" id="intlock_debugMessages" onclick="intlock_toggleDebugMessages()"><label for="intlock_debugMessages">Debug Messages</label>'+
'								</td>'+
'						</tr>'+
'						<tr><td style="font-family:Tahoma;font-size:11px;">Last Event #:</td><td style="font-weight:bold;font-family:Tahoma;font-size:11px;"><a style="color:blue" href="javascript:intlock_toggle(\'intlock_logger\');" id="intlock_lastEventLabel">N/A</a></td></tr>'+
'					</table>'+
'				</td>'+
'		</tr>'+
'		<tr id="intlock_logger" style="display:none;"><td style="font-family:Tahoma;font-size:11px;" colspan="2" align="middle" valign="top">'+
'				<div id="intlock_debugTA" style="border:1px solid black; width:420px; height:150px; overflow:auto; padding:5px; background:white;" align="left"></div>'+
'			</td>'+
'		</tr>'+
'		<tr><td style="display:none;font-family:Tahoma;font-size:11px;">'+
'				<table border="0" cellpadding="3" cellspacing="0" width="100%">'+
'					<tr><td style="font-family:Tahoma;font-size:11px;"><a  style="color:blue" href="javascript:intlock_toggle(\'intlock_preferences\');">Preferences...</a></td></tr>'+
'					<tr id="intlock_preferences" style="display:none;"><td style="font-family:Tahoma;font-size:11px; colspan="2" align="left" valign="top">'+
'						</td>'+
'					</tr>'+
'					<tr><td style="font-family:Tahoma;font-size:11px;"><a style="color:blue" href="javascript:intlock_toggle(\'intlock_logger\');">View Log...</a></td></tr>'+
'				</table>'+
'			</td>'+
'		</tr>'+
'	</table>';
document.body.appendChild(div);

function $(name) {
    return document.getElementById(name);
}

window.setTimeout(function() {
	for (var i=0;i<document.consoleObject.output.length;i++) intlock_drawMessage(document.consoleObject.output[i]);
	if (document.consoleObject.page.CookieHandler.Read("intlock_HelpletsEnabled") != null) document.getElementById("intlock_helplets").checked = true;
	if (document.consoleObject.page.CookieHandler.Read("intlock_ignoreDuplicates") == null) document.getElementById("intlock_ignoreDuplicates").checked = true;
	if (document.consoleObject.page.CookieHandler.Read("intlock_debugMessages") != null) document.getElementById("intlock_debugMessages").checked = true;
	
	$("intlock_eventCollectorLabel").innerHTML = document.consoleObject.GetEventCollector()+" <a href='javascript:intlock__changePath();' style='color:blue;text-decoration:none;'>...</a>";
	$("intlock_versionLabel").innerHTML = document.consoleObject.clg_element.version;
	$("intlock_agentLabel").innerHTML = document.consoleObject.clg_element.AgentName;
	$("intlock_lastEventLabel").innerHTML = (document.consoleObject.lastEventId) ? document.consoleObject.lastEventId : "None";
}, 1000);

function intlock_drawMessage(obj) {
	var message = "";
	switch (obj.t) {
		case "log":
			message = obj.o.ToString(true);
			break;
		case "link":
			message = intlock_serverCallToDebug(obj.o);
			break;
		case "activity":
			message = activityToDebug(obj.o);
			break;
		default:
			message = obj.o;
			break;
	}
	document.getElementById("intlock_debugTA").innerHTML += "<hr>"+message;
}

function intlock_writeLine(message) {
	drawMessage(message);
}

function intlock_serverCallToDebug(url) {
	var string = "<table border='0' style='table-layout:fixed;'>"+
					"<tr><td style='font-family:Tahoma;font-size:11px;' width='30px'><b>url:</b></td><td style='font-family:Tahoma;font-size:11px;' height='30px' width='100%'><a style='color:blue' target='_blank' href='"+url+"'>"+url+"</a></td></tr>"+
					"</table>";
	return string;
}

function intlock_activityToDebug(activity) {
	var string = "<textarea style='font-family:Tahoma;font-size:11px;border:1px solid black;width:100%;height:50px;'>"+activity+"</textarea>";
	return string;
}

function intlock_test() {
	document.consoleObject.self.document.test(document.getElementById("testActivity").value);
}

function intlock_recall() {
	document.consoleObject.self.document.recall();
}

function intlock_clearLog() {
	document.getElementById("intlock_debugTA").innerHTML = "";
}

var intlock_prefsStatus = false;

function intlock__changePath() {
	document.consoleObject.clg_element.changePath();
}

function intlock_toggle(section)
{
	var o = document.getElementById(section);
	if (o && o.length) {
		for (var i=0;i<o.length;i++) o[i].style.display = (o[i].style.display == "") ? "none" : "";
	} else if (o) {
		o.style.display = (o.style.display == "") ? "none" : "";
	}
	intlock_resize();
	if (section == "prefsTR") {
		intlock_prefsStatus = !intlock_prefsStatus;
		document.consoleObject.self.document.createPreferencesDiv();
	}
}


function intlock_resize() {
	var height = (parseInt(document.getElementById("intlock_mainTable").offsetHeight,10)+150)
	height = (height < 300) ? 300 : height;
}

function intlock_toggleDebugMessages() {
	if (document.consoleObject.page.CookieHandler.Read("debugMessages") != null) {
		document.consoleObject.page.CookieHandler.Delete("debugMessages");
		document.consoleObject.self.status = "";
	} else {
		document.consoleObject.page.CookieHandler.Save("debugMessages", "true", 1);
		document.consoleObject.self.status = document.consoleObject.currentMessage;
	}
}

function intlock_toggleIgnoreDuplicates() {
	if (document.consoleObject.page.CookieHandler.Read("ignoreDuplicates") != null) document.consoleObject.page.CookieHandler.Delete("ignoreDuplicates");
	else document.consoleObject.page.CookieHandler.Save("ignoreDuplicates", "true");
}

function intlock_toggleHelplets() {
	if (document.consoleObject.page.CookieHandler.Read("HelpletsEnabled") == null) document.consoleObject.page.CookieHandler.Save("HelpletsEnabled", "true");
	else document.consoleObject.page.CookieHandler.Delete("HelpletsEnabled");
}
