//MOSS2007
var __alreadyinitiated = false;
var __alreadyloaded = false;

function __initEnvironmentAgent() {
	if  (__alreadyinitiated) return;
	__alreadyinitiated = true;
}
function __initMOSS2007Agent() {
	if (__alreadyloaded) return;
	__alreadyloaded = true;
	__aeLogger.trace("__initMOSS2007Agent");
	__aeLogger.trace("__Page.readyState: " + __Page.readyState);
		if (__Page.readyState != "error") {
			// support additional data to view events in param3
			if (clg_element.Param3ElementName) {
				__aeLogger.trace("Param3ElementName is on");
				__Page.param3 = GetParam3ElementValue();
				__aeLogger.trace("__Page.param3: " + __Page.param3);
			}
			
			// set agent handler
			__Page.agent = "MOSS2007Agent";

			// handle exceptions (TOCHECK)
			__Page.customShouldContinue = __MOSS2007ShouldContinue;

			// populate Agent Object Model
			__Page.customInit = __MOSS2007CreateAOM;

			// set supported events by this agent
			__Page.events = {Visit:true, Leave:true, Search:true, SearchResultItem:true, SearchResultClick:true};

			// overwrite the event detection
			__EventHandler.New = __MOSS2007EventNew;

            // catch customready if special actions are needed based on custom values
            __Page.attachEvent("customready", __MOSS2007CreateCustom);
            
			__Page.init();
			
			if (__Page.readyState == "ready") __Page.sendEvent(__MOSS2007NewVisit(), false, false);
		} else {
			__aeLogger.trace("Error loading MPSS2007Agent: " + __Page.errorDescription);
		    window.status = "Error loading MOSS2007Agent: "+__Page.errorDescription;
		    if (typeof(__Status) != "undefined") __Status.print("Error loading MOSS2007Agent: "+__Page.errorDescription);
		    else __Status = {output:new Array({o:"Error loading MOSS2007Agent: "+__Page.errorDescription})};
		}
}
function __MOSS2007EventNew(e) {
	__aeLogger.trace("__MOSS2007EventNew");
	var event = new __Event(e);
	__aeLogger.trace("__MOSS2007EventNew return: " + (event != null ? event.ToString() : "null"));
	return event;
}

function __MOSS2007NewVisit() {
	__aeLogger.trace("__MOSS2007NewVisit");
	var event = __EventHandler.NewVisit();
	__aeLogger.trace("__MOSS2007NewVisit return: " + (event != null ? event.ToString() : "null"));
	return event;
}

function __MOSS2007ShouldContinue() {
	return "ready";
}

function isSearchPage() {
    var divs = document.getElementsByTagName("div");
    for (var i = 0; i < divs.length; i++) {
    	if (divs[i].className == "srch-stats" || (/srch-sort-right/g).test(divs[i].className)) {
    		return true;
    	}
    }
    return false;
}

function __MOSS2007CreateAOM() {
	__aeLogger.trace("MOSS2007");
	__eTypes = {Page:0, Search:0};
	__eEvents = {Visit:{id:0, name:"Visit"},
				Leave:{id:1, name:"Leave"},
				Search:{id:2, name:"Search"},
				SearchResultItem:{id:4, name:"SearchResultItem"},
				SearchResultClick:{id:5, name:"SearchResultClick"},
				External:{id:10, name:"External"},
				Goal:{id:20, name:"Goal"},
				"Goal-Test":{id:21, name:"Goal-Test"},
				Test:{id:22, name:"Test"},
				Score:{id:23, name:"Score"},
				Ping:{id:24, name:"Ping"},
				Unknown:{id:-1, name:"Unknown"}
};

	this.url = this.document.location.href;

    try {    
	    if (isSearchPage()) { //this.url.match(/\/Results\.aspx\?k=/i)) {
	    	__aeLogger.trace("this is a search page");
		    this.Search.readyState = "ready";
		    this.entityType = __eTypes.Search;
		    this.eventType = __eEvents.Search;
			
		    __aeLogger.trace("fireEvent('onsearch')");

		    this.fireEvent("onsearch");

		    // find search term
		    var searchTermFromAdvanced = __Page.CookieHandler.Read("LastSearchTermFromAdvanced");
		    __aeLogger.trace("searchTermFromAdvanced: " + searchTermFromAdvanced);
		    var inputs = this.document.getElementsByTagName("input");
		    __aeLogger.trace("document.getElementsByTagName('input').length: " + inputs.length);
		    var searchInput = false;
		    for (var i=0;i<inputs.length;i++) {
		    	__aeLogger.trace("inputs[" + i + "].id: " + inputs[i].id);
			    if (inputs[i].id.match(/InputKeywords$/i)) {
				    searchInput = inputs[i];
				    __aeLogger.trace("found search input: " + inputs[i].id + ", " + inputs[i].value);
				    break;
			    }
		    }
		    if (searchInput) {
			    this.Search.Keyword = (searchInput.value.replace(/ /g) == "") ? searchTermFromAdvanced : encodeURIComponent(searchInput.value);
			    __aeLogger.trace("this.Search.Keyword: " + this.Search.Keyword);
			    this.Search.Input = searchInput;

			    // find out number of results
			    var summaryBlock = this.document.getElementById("SRST");
			    __aeLogger.trace("this.document.getElementById('SRST'): " + summaryBlock);
			    if (!summaryBlock) throw {description:"could not find SRST block"};

			    this.Search.EntityId = "N/A";
			    
				// support 1,000 and 1.000
				this.Search.NumberOfTotalResults = summaryBlock.innerHTML.replace(/^[^0-9]*[0-9]*-[0-9]*[^0-9]*([0-9,\.]*)\..*$/, "$1").replace(/[\.,]/g, "");
				//this.Search.NumberOfTotalResults = summaryBlock.innerHTML.replace(/^[^0-9]*[0-9]*-[0-9]*[^0-9]*([0-9,]*).*$/, "$1");
				__aeLogger.trace("summaryBlock.innerHTML: " + summaryBlock.innerHTML);
				__aeLogger.trace("NumberOfTotalResults string: " + this.Search.NumberOfTotalResults);
			    if (this.Search.NumberOfTotalResults == summaryBlock.innerHTML) this.Search.NumberOfTotalResults = 0;
			    else this.Search.NumberOfTotalResults = this.Search.NumberOfTotalResults.replace(/,/g, "");
			    __aeLogger.trace("NumberOfTotalResults: " + this.Search.NumberOfTotalResults);

			    this.Search.FirstResultOnPage = parseInt(summaryBlock.innerHTML.replace(/^[^0-9,]*([0-9,]*).*$/, "$1"), 10);
			    __aeLogger.trace("FirstResultOnPage string: " + summaryBlock.innerHTML.replace(/^[^0-9,]*([0-9,]*).*$/, "$1"));
			    if (isNaN(this.Search.FirstResultOnPage)) this.Search.FirstResultOnPage = 1;
			    __aeLogger.trace("FirstResultOnPage: " + this.Search.FirstResultOnPage);

			    // get search results
			    var resultsDiv = this.document.getElementsByName("CSR");
			    __aeLogger.trace("document.getElementsByName('CSR').length: " + resultsDiv.length);
			    if (resultsDiv.length == 0) {
			    	__aeLogger.trace("resultsDiv is empty, get document.getElementById('CSR'): " + document.getElementById("CSR"));
			    	resultsDiv = new Array(document.getElementById("CSR"));
			    }
			    var results;
			    if (typeof(resultsDiv) != "undefined" && resultsDiv.length > 0) results = (resultsDiv.length > 1) ? resultsDiv[1].getElementsByTagName("SPAN") : resultsDiv[0].getElementsByTagName("SPAN");
			    else results = new Array();
			    __aeLogger.trace("results.length: " + results.length);
			    for (var i=0;i<results.length;i++) {
			    	__aeLogger.trace("results[" + i + "].className: " + results[i].className);
				    if (results[i].className == "srch-Title") {
					    var currA = results[i].getElementsByTagName("a")[0];
					    __aeLogger.trace("result #" + i + " link: " + currA);
					    if (currA) currA.__type = __eEvents.SearchResultItem;
					    this.Search.Results[this.Search.Results.length] = currA;
				    }
			    }

			    __EventHandler.searchResultPageHandler();
		    } else {
		    	__aeLogger.trace("Could not find search input");
		    	throw {description:"could not find search input"};
		    }
	    } else {
	    	__aeLogger.trace("this is a regular page");
		    this.eventType = __eEvents.Visit;
		    __aeLogger.trace("fireEvent('onvisit')");
		    this.fireEvent("onvisit");
		    // check type of page
		    this.entityType = __eTypes.Page;
	    }

    } catch (e) {
    }
    __aeLogger.trace("fireEvent('onload')");
	this.fireEvent("onload");
}

function __MOSS2007CreateCustom() {
    // check if advanced, add keyword to cookie
	__aeLogger.trace("__MOSS2007CreateCustom");
    var isAdvanced = false;
    __aeLogger.trace("AdvancedSearchPages.length: " + AdvancedSearchPages.length);
    for (var i=0;i<AdvancedSearchPages.length;i++) {
    	__aeLogger.trace(i + ": " + AdvancedSearchPages[i]);
        var re = new RegExp(AdvancedSearchPages[i], "i");
        if (document.location.href.match(re)) {
        	__aeLogger.trace("isAdvanced is true");
            isAdvanced = true;
            __captureSearchTerm();
        }
    }
    if (!isAdvanced) {
    	// do not delete LastSearchTermFromAdvanced because the term does not appear on the search results page (06/12/2010)
    	//__aeLogger.trace("isAdvanced is false, delete LastSearchTermFromAdvacned");
    	//__Page.CookieHandler.Delete("LastSearchTermFromAdvanced");
    }
}
function __captureSearchTerm() {
	__aeLogger.trace("__captureSearchTerm");
    var inputs = document.getElementsByTagName("input");
    __aeLogger.trace("document.getElementsByTagName('input').length: " + inputs.length);
    for (var i=0;i<inputs.length;i++) {
    	__aeLogger.trace("inputs[" + i + "].type: " + inputs[i].type);
        if (inputs[i].type == "submit") {
            if (inputs[i].attachEvent) {
                inputs[i].attachEvent("onclick", function() {
                    for (var i=0;i<inputs.length;i++) {
                        if (inputs[i].type == "text" && inputs[i].value.replace(/ /g) != "") {
                            __Page.CookieHandler.Save("LastSearchTermFromAdvanced", inputs[i].value); 
                            break;
                        }
                    }
                });
            } else {
                try {
                    inputs[i].addEventListener("click", function() {
                        for (var i=0;i<inputs.length;i++) {
                            if (inputs[i].type == "text" && inputs[i].value.replace(/ /g) != "") {
                                __Page.CookieHandler.Save("LastSearchTermFromAdvanced", inputs[i].value); 
                                break;
                            }
                        }
                    }, false);
                } catch (e) {
                }
            }
        }
    }
}
__initEnvironmentAgent();

function normalizeSPUserAccount(userName) {
	if (userName == null)
		return "";
	return userName;
}

//this function is used to retrieve user account for sharepoint online
function getSPUserAccount(callback) {
    var url = window.location.protocol + "//" + window.location.host;

    if (typeof L_Menu_BaseUrl !== "undefined" && L_Menu_BaseUrl) { //2007
        url += L_Menu_BaseUrl == "" ? "/" : L_Menu_BaseUrl;
    }

    url += "/_layouts/userdisp.aspx?Force=True&d=" + new Date().getTime();

    var xmlhttp;
    if (window.XMLHttpRequest) { // code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    } else { // code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }

    xmlhttp.onreadystatechange = function () {
	    if (xmlhttp.readyState == 4 && xmlhttp.statusText == "OK") {
    		var _current_user_name;
            try {
                var resHtml = xmlhttp.responseText.toLowerCase();

                var strToSearch = '<td valign="top" class="ms-formbody" width="450px" id="spfieldtext">';
                var pos = resHtml.indexOf(strToSearch);
                if (pos >= 0) {
                    var dispnamePropertiesHtml = resHtml.substring(resHtml.indexOf(strToSearch) + strToSearch.length, resHtml.length);
                    dispnamePropertiesHtml = dispnamePropertiesHtml.substring(0, dispnamePropertiesHtml.indexOf('</td>') - 5);
                    dispnamePropertiesHtml = dispnamePropertiesHtml.substring(dispnamePropertiesHtml.indexOf('-->') + 3, dispnamePropertiesHtml.length);
                    _current_user_name = normalizeSPUserAccount(dispnamePropertiesHtml.replace(/^\s+|\s+$/gm,''));
                }
            } catch (ex) {
            	__aeLogger.trace(ex.message);
            }

            if (!_current_user_name) {
                _current_user_name = "Anonymous_" + Math.random() * 100000;
            }

            callback(_current_user_name);
        }
    }

    xmlhttp.open("GET", url, true);
    xmlhttp.send();
}