<%@ Reference Control="~/controls/serverside/meterwrapper.ascx" %>
<%@ Reference Control="~/controls/serverside/pagetitle.ascx" %>
<%@ Reference Page="~/index.aspx" %>
<%@ page language="c#" inherits="CardioLog.CLPage.index, CardioLog_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<%
    string cardioLogUIVersion;
    try
	{
        cardioLogUIVersion = CardioLog.API.CardioLogUIVersion.UIVersion;
    }
    catch
    {
        cardioLogUIVersion = "2007";
    }

	bool realTime;
	try
	{
        realTime = CardioLog.API.ProductLicense.ProductFeatures.IsValidRealTimeReports;
	}
	catch
	{
	    realTime = false;
	}
%>
<html xmlns:CARDIOLOG>
  <head>
    <title></title>
		
		<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">
		<%if(cardioLogUIVersion=="2007"){ %>
		<LINK rel="stylesheet" type="text/css" href="../styles/general.css"></LINK>
        <style>.clbox	{	behavior:url(../Controls/Box/clbox.aspx); padding-bottom:10px; }</style>
		<?IMPORT namespace="CARDIOLOG" implementation="../Controls/Meter/Meter.aspx">
        <script src="../Scripts/clpageMenus.aspx" language="jscript"></script>
		<?IMPORT namespace="CARDIOLOG" implementation="../Controls/Table/Table.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="../Controls/Scheduler/Scheduler.aspx">

        <% } if(cardioLogUIVersion=="2010"){ %>
		<LINK rel="stylesheet" type="text/css" href="/CardioLog/styles/2010_general.css"></LINK>
        <style>.clbox	{	behavior:url(/CardioLog/2010/Controls/Box/clbox.aspx); padding-bottom:10px; }</style>
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Meter/Meter.aspx">
        <script src="/CardioLog/Scripts/clpageMenus_2010.aspx"></script>
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Table/Table.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/NavigationSummary/NavigationSummary.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/EntrancePaths/EntrancePaths.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Map/Map.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Funnel/Funnel.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/UserProfile/UserProfile.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/VisitorActivity/VisitorActivity.aspx">
        <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/GoalSummary/GoalSummary.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Scheduler/Scheduler.aspx">
        <% } %>

		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Chart/Chart.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Chart/DundasChart.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Details/Details.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Hierarchial/Hierarchial.aspx">

		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Preference/PagePreference.aspx">
		<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/RightClick/RightClick.aspx">
		<script src="/CardioLog/Scripts/rightClickHelper.aspx"></script>

<script>
function getValue(g,c,b){var d=new RegExp("^[^$]*<"+c+">(.*?)</"+c+">[^$]*$","i");var f=g.replace(d,"$1");if(f==g||f.replace(/ /g,"")==""){return b}else{return f}}function getValueFromXML(d,c,b){if(xmlStringObj.selectSingleNode(".//"+c)){return xmlStringObj.selectSingleNode(".//"+c).text}else{return b}}try{document.Ajax=(parent&&parent.document&&parent.document.Ajax)?parent.document.Ajax:false;document.Status=(parent&&parent.document&&parent.document.Status)?parent.document.Status:{print:function(){},clear:function(){}}}catch(e){}function escapeToHebrew(d){if(!d.match(/[?-?]/)){return d}var c="";for(var b=0;b<d.length;b++){if(d.substring(b,b+1).match(/[?-?]/)){var f=parseInt(d.charCodeAt(b),10)-1488+parseInt(224,10);c+="%"+f.toString(16).toUpperCase()}else{c+=d.substring(b,b+1)}}return c}function insideCardiologEnvironment(){try{var c=top.location.href;return true}catch(b){return false}}function getCardioLogParentWindow(){var c=self;try{while(c.location.href!=""){a=c.parent.location.href;if(c==c.parent){return c}c=c.parent}return c}catch(b){return c}}function toggleHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true)}function toggleMeterHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true,true)}function toggleHelpSection(d,b){var c;if(b){c=(b=="true")?false:true}else{c=(d.className.match(/Open$/))?true:false}d.nextSibling.style.display=c?"none":"";d.className="boxHelpSection"+(c?"Close":"Open");return c}function openHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("true","true",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[true,true]);document.scheduler.setPreferences(f,b,false,true,d)}}function findBox(d){var c=document.all.cardioLogBox;if(c&&c.length){for(var b=0;b<c.length;b++){if(c[b]._id==d){return c[b]}}}else{if(c&&c._id==d){return c}}}function closeHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("false","false",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[false,false]);document.scheduler.setPreferences(f+"",b,false,true,d)}}function openPreferences(c,b){event.cancelBubble=true;document.scheduler.openPreferences(c,b);return false};
</script>
	<script src="../Scripts/Cookies.js" language="jscript"></script>

    <script>

		document.SessionId = '<%= SessionId %>';
		document.onselectstart = function() { event.returnValue = false; event.cancelBubble = true; return false; };
		document.EntityId = '<%= EntityId %>';
		document.EntityType = '<%= (EntityType != null) ? EntityType.ToString() : "Unknown" %>';
		document.EntityName = '<%= EntityName %>';
		document.UserName = '<%= EncodedUserName %>';
		document.TreeType = '<%= TreeType %>';
		document.Managed = <%= Managed %>;
		document.ReadOnly = <%= ReadOnly %>;
		document.debugMode = false;
		document.defaultTemplateId = '<%= DefaultTemplateId %>';
		document.TemplateId = '<%= TemplateId %>';
		document.AdminPage = '<%= AdminPage %>';
		document.IsAdmin = '<%= IsAdministrator %>';
		document.pageMenuStructure = (document.EntityType.toLowerCase() == "report") ? clreportMenuStructure : clpageMenuStructure;
		document.addreportMenuStructure = claddreportMenuStructure;
		document.drilldownMenuStructure = drilldownMenuStructure;
		document.isReport = (document.EntityType.toLowerCase() == "report") ? true : false;
		document.ReportTitle = '<%= PageName %>';
		document.ReportDistributionList = '<%= ReportDistributionList %>';
		document.RequestDebugMode = <%= RequestDebugMode %>;
		document.hideErrorInControls = (document.AdminPage == "True" && document.TemplateId != '') ? true : false;
		
		document.ADSupport = <%= ADSupport %>;
		document.CategorySupport = <%= CategorySupport %>;
		
		document.alwaysIgnoreCache = (!document.isReport);
		
		var uiversion = "<% =cardioLogUIVersion %>";
		
		if (uiversion == "2010"){
		    //enable toolbar when the page loads
		    loadtoolBar();
			try {
				if (parent.document.all["toolbarTable"].disabled) {
					toggleDisabled(parent.document.all["toolbarTable"]);
					enabletbImages();
				}
			} catch (e) {}
		}
		
		var modals = new Array();
		document.addModal = function(modal) {
			modals[modals.length] = modal;
		}
		
		window.onbeforeunload = function() {
		try {
		    if (uiversion=="2010" && !parent.document.all["toolbarTable"].disabled) {
		            window.parent.toggleDisabled(parent.document.all["toolbarTable"]);
		            disabletbImages();
			    }
			
		    if (uiversion=="2010") {
		    	parent.document.all["templateTD"].style.display = "none";
		    }
		} catch (e) {
			if (console) console.info('Error in CardioLog/Tree/index.aspx on line 129');
		}
			if (uiversion != "2010") {
			    for (var i=0;i<modals.length;i++) {
				    try {
					    modals[i].close();
				    } catch (e) {
				    }
			    }
			}
		}
		
		if (!document.Ajax) {
			if (opener) {
				document.Ajax = opener.document.Ajax;
				document.Status = opener.document.Status;
			}
		}

		document.updateLayers = function() {
		    var boxes = document.all["cardioLogBox"];
		    if (boxes && boxes.length) {
		        for (var i=0;i<boxes.length;i++) {
		            try {
		                boxes[i].updateLayers();
		            } catch (e) {
		            }
		        }
		    }
		}
		
		document.hideObjects = function() {
			var viewers = document.all["cardioLogBox"];
			for (var i=0;i<viewers.length;i++) {
				try {
					viewers[i].hideObject();
				} catch (e) {
				}
			}
			if (viewers && !viewers.length) viewers.hideObject();
		}
		
		document.showObjects = function() {
			var viewers = document.all["cardioLogBox"];
			for (var i=0;i<viewers.length;i++) {
				try {
					viewers[i].showObject();
				} catch (e) {
				}
			}
			if (viewers && !viewers.length) viewers.showObject();
		}
		
		document.onmouseup = function() {
			window.clearInterval(document._moveInterval);
			if (document._div) {
				document.showObjects();
				document._div.style.display = "none";
				document._div = false;
				if (document._highglightedWebPart) {
					if (document._highglightedWebPart.tagName == "DIV" && document._highglightedWebPart.id != "spacer") {
						if (document._highglightedWebPart.style.borderTop.indexOf("blue") != -1)
							document._element.moveTo(document._highglightedWebPart, "before");
						else
							document._element.moveTo(document._highglightedWebPart, "after");
					}
					else
							document._element.moveTo(document._highglightedWebPart, "top");
		
					document._element = false;
					document._highglightedWebPart.style.borderTop = "";
					document._highglightedWebPart.style.borderBottom = "";
					document._highglightedWebPart = false;
				}
			}
		}
		
		document._highglightedWebPart = false;
		
		document.onmousemove = function() {
			if (document._div) {
				var e = {x:event.x, y:event.y, absoluteX:event.x, absoluteY:event.y};
				window.setTimeout(function() {
						if (document._div) {
							document._div.style.left = e.absoluteX-document._offsetX;
							document._div.style.top = e.absoluteY-document._offsetY;
		
							if (document._highglightedWebPart) {
								document._highglightedWebPart.style.borderTop = "";
								document._highglightedWebPart.style.borderBottom = "";
								document._highglightedWebPart = false;
							}
		
							var realY = e.absoluteY-document._offsetY;
							for (var i=0;i<document._layoutTable.length;i++) {
								if (e.x >= document._layoutTable[i].left && e.x <= document._layoutTable[i].width) {
									for (c=0;c<document._layoutTable[i].controls.length;c++) {
										if (realY >= document._layoutTable[i].controls[c].top && realY <= document._layoutTable[i].controls[c].height) {
											document._layoutTable[i].controls[c].control.style.borderTop = "3px solid blue";
											document._highglightedWebPart = document._layoutTable[i].controls[c].control;
											break;
										}
									}
									if (!document._highglightedWebPart) {
										if (document._layoutTable[i].controls.length == 0) {
											document._layoutTable[i].column.style.borderTop = "3px solid blue";
											document._highglightedWebPart = document._layoutTable[i].column;
										} else {
											document._layoutTable[i].controls[document._layoutTable[i].controls.length-1].control.style.borderBottom = "3px solid blue";
											document._highglightedWebPart = document._layoutTable[i].controls[document._layoutTable[i].controls.length-1].control;
										}
									}
									break;
								}
							}
						}
					}, 1);
			}
		}
		
		document.__findPosition = function(obj) {
		    var pos = {x:0, y:0};
		    while (obj.tagName != "BODY") {
		        pos.x += parseInt(obj.offsetLeft, 10);
		        pos.y += parseInt(obj.offsetTop, 10);
		        obj = obj.offsetParent;
		    }
		    return pos;
		}
		
		document._findPosition = function(obj) {
			document._pos.x += parseInt(obj.offsetLeft,10);
			document._pos.y += parseInt(obj.offsetTop,10);
			if (obj.offsetParent.tagName != "BODY") document._findPosition(obj.offsetParent);
		}

			document.removeCLBox = function removeCLBox() {
				var divs = document.getElementsByTagName("div");
				for (var i=divs.length-1;i>=0;i--) {
					divs[i].style.display = "none";
						//divs[i].removeNode(true);
				}
			}

			window.onunload = document.removeCLBox;
			document.onreadystatechange = function() {
				if (document.readyState == "complete") {
					if (document.isReport) {
						document.all["reportHeader"].style.display = "";
					}
				}
			}

			var addreportMenu, pageMenu, boxMenu, mboxMenu, meterMenu, dboxMenu, preferencesMenu;
			document.ddMenu = null;

			document.currentDid = 0;

			parent.document.showaddreportmenu = function() {
			    addreportMenu.show(document.body, executeRightClick, {x:window.screenX - window.parent.getPosition(window.parent.document.all["addreportText"]).x, y:window.screenY - window.parent.getPosition(window.parent.document.all["addreportText"]).y});
			}

			function toggleDisabled(el) {
			    try {
			            el.disabled = el.disabled ? false : true;
			            el.style.cursor = el.disabled ? "default" : "hand";
			        }
			    catch(E){}
			    if (el.childNodes && el.childNodes.length > 0) {
			         for (var x = 0; x < el.childNodes.length; x++) {
			         toggleDisabled(el.childNodes[x]);
			        }
			    }
			}

			function disabletbImages() {
			    parent.document.all["arbi"].src ="/CardioLog/images/2010/AddReportIconDisable.gif";
			    //parent.document.all["xpdfi"].src ="/CardioLog/images/2010/ExportPDFDisable.gif";
			    parent.document.all["xexli"].src ="/CardioLog/images/2010/ExportIconDisable.gif";

                if (document.isReport)
                    parent.document.all["dsti"].src ="/CardioLog/images/2010/DistributionIconDisable.gif";

                parent.document.all["rfshi"].src ="/CardioLog/images/2010/RefreshIconDisable.gif";
			    parent.document.all["dlti"].src ="/CardioLog/images/2010/DeleteAllIcomDisable.gif";
			    if (document.location.href.match("entityType=Report"))
			    parent.document.all["rstri"].src ="/CardioLog/images/2010/GenerateReportandDivider_Di.gif";
			    else
			    parent.document.all["rstri"].src ="/CardioLog/images/2010/GeneratReportIconDisable.gif";
			}

			function enabletbImages() {
			    parent.document.all["arbi"].src ="/CardioLog/images/2010/AddReportIcon.gif";
			    //parent.document.all["xpdfi"].src ="/CardioLog/images/2010/ExportPDF.gif";
			    parent.document.all["xexli"].src ="/CardioLog/images/2010/ExportIcon.gif";
                if (document.isReport)
                    parent.document.all["dsti"].src ="/CardioLog/images/2010/DistributionIcon.gif";
			    parent.document.all["rfshi"].src ="/CardioLog/images/2010/RefreshIcon.gif";
			    parent.document.all["dlti"].src ="/CardioLog/images/2010/DeleteAllIcom.gif";
			    parent.document.all["rstri"].src ="/CardioLog/images/2010/RestorToDefault.gif";
			}

			if (uiversion == "2007")
			{
			    document.oncontextmenu = function() {

					try {
						if (event.ctrlKey && event.shiftKey) return true;
						if (!permissions.add) return;
						if (typeof(errorMode) != "undefined" && errorMode) {
						    event.returnValue = false;
						    event.cancelBubble = true;
						    return false;
						}

						event.returnValue = false;
						event.cancelBubble = true;

						for (var i=0;i<document.all["CLPageTableRow"].children.length;i++) {
						    if (event.x < parseInt(document.all["CLPageTableRow"].children[i].offsetLeft, 10)+parseInt(document.all["CLPageTableRow"].children[i].offsetWidth, 10)) {
							    document.currentDid = i;
							    break;
						    }
						}

						if ((event.ctrlKey && !pageMenu.debug) || (!event.ctrlKey && pageMenu.debug))
						    pageMenu.create(event.ctrlKey);

						pageMenu.show(document.body, executeRightClick, event);
					}
			    	catch (e) {
					}
				    return false;
			    }
			}

			function SPSPageClickCallback(obj) {
				var url = obj.title;
				window.open(url, "_blank", "");
			}

			function SPSPageContextClickCallback(obj) {
				var url = obj.title;
				function callback(entry) {
					if (entry.id == "openPage") {
						window.open(url, "_blank", "");
					} else if (entry.id == "sync") {
						parent.frames[0].toggleTree("managed");
						parent.frames[0].doSearch(url, false);
					} else if (entry.id == "showDiagnosis") {
						parent.frames[0].toggleTree("managed");
						parent.frames[0].doSearch(url, true);
						//parent.frames[0].toggleSearchPane(true);
					} else if (entry.id == "copyToClipboard") {
						document.getElementById("texttocopy").value = url;
						var ctc = document.getElementById("texttocopy").createTextRange();
						ctc.execCommand("Copy");
					}
				}
				spspageMenu.show(obj, callback, {x:event.x, y:20});
			}

			function compare(a, b) {
				if (a["title"].toLowerCase() > b["title"].toLowerCase()) return 1;
				else return -1;
			}

            document.currentHeight;
            document.currentWidth;

			window.attachEvent("onload", function() {
				if (uiversion == "2010") {
					isTemplate = parent.getCaption().indexOf('<%=CardioLog.API.Localization.getText("$Templates$")%>') > -1;
			        if (!document.isReport && !isTemplate) parent.document.all["templateTD"].style.display = "";
			    }

				//document.Status.clear();
                window.attachEvent("onresize", function() {
                    if (document.currentHeight != document.body.offsetHeight ||
                        document.currentWidth != document.body.offsetWidth) {
                            document.currentWidth = document.body.offsetWidth;
                            document.currentHeight = document.body.offsetHeight;
                            document.updateLayers();
                    }
                });

				document.all["pd_entityId"].innerText = document.EntityId;
				document.all["pd_entityType"].innerText = document.EntityType;
				document.all["pd_username"].innerText = document.UserName;
				document.all["pd_treeType"].innerText = document.TreeType;
				document.all["pd_managed"].innerText = document.Managed;
				document.all["pd_readOnly"].innerText = document.ReadOnly;

				document.scheduler = document.all["scheduler"];
   				var meters = document.getElementsByTagName("METER");
				for (var i=0;i<meters.length;i++) meters[i].schedule(document.scheduler);

				var graphs = document.getElementsByTagName("CHART");
				for (var i=0;i<graphs.length;i++) graphs[i].schedule(document.scheduler);

				var dundasCharts = document.getElementsByTagName("DUNDASCHART");
				for (var i=0;i<dundasCharts.length;i++) dundasCharts[i].schedule(document.scheduler);

				var reports = document.getElementsByTagName("REPORT");
				for (var i=0;i<reports.length;i++) {
					reports[i].schedule(document.scheduler);
					reports[i].SPSPageClickCallback = SPSPageClickCallback;
					reports[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var navigations = document.getElementsByTagName("NAVIGATION");
				for (var i=0;i<navigations.length;i++) {
					navigations[i].schedule(document.scheduler);
                    navigations[i].SPSPageClickCallback = SPSPageClickCallback;
					navigations[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var entrancePaths = document.getElementsByTagName("ENTRANCEPATHS");
				for (var i=0;i<entrancePaths.length;i++) {
					entrancePaths[i].schedule(document.scheduler);
                    entrancePaths[i].SPSPageClickCallback = SPSPageClickCallback;
					entrancePaths[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var maps = document.getElementsByTagName("MAP");
				for (var i=0;i<maps.length;i++) {
					maps[i].schedule(document.scheduler);
				}

                var funnels = document.getElementsByTagName("FUNNEL");
				for (var i=0;i<funnels.length;i++) {
					funnels[i].schedule(document.scheduler);
                    funnels[i].SPSPageClickCallback = SPSPageClickCallback;
					funnels[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var userprofiles = document.getElementsByTagName("USERPROFILE");
				for (var i=0;i<userprofiles.length;i++) {
					userprofiles[i].schedule(document.scheduler);
                    userprofiles[i].SPSPageClickCallback = SPSPageClickCallback;
					userprofiles[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var visitoractivities = document.getElementsByTagName("VISITORACTIVITY");
				for (var i=0;i<visitoractivities.length;i++) {
					visitoractivities[i].schedule(document.scheduler);
                    visitoractivities[i].SPSPageClickCallback = SPSPageClickCallback;
					visitoractivities[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

                var goalsummary = document.getElementsByTagName("GOALSUMMARY");
				for (var i=0;i<goalsummary.length;i++) {
					goalsummary[i].schedule(document.scheduler);
                    goalsummary[i].SPSPageClickCallback = SPSPageClickCallback;
					goalsummary[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
				}

				var details = document.getElementsByTagName("DETAILS");
				for (var i=0;i<details.length;i++) details[i].schedule(document.scheduler);

				var hierarchials = document.getElementsByTagName("HIERARCHIAL");
				for (var i=0;i<hierarchials.length;i++) hierarchials[i].schedule(document.scheduler);

				document.scheduler.schedule(true);

				// menus
				var templatesArray = new Array();

				if (document.Managed || document.all["pagePreferences"]) {
					var rtdArr = new Array(<%= getAvailableTemplates() %>);
					templatesArray = rtdArr.sort(compare);
				}

				if (document.Managed) {
					disableEntry(document.pageMenuStructure, "managePages");
					if (templatesArray.length > 1) {
						var rtd = getEntry(document.pageMenuStructure, "restoreToDefault");
						if (rtd) {
							rtd.submenu = clpageMenuRestoreToDefaultStructure;
							rtd.type = "submenu";
						}
						for (var i=0;i<templatesArray.length;i++)
							clpageMenuRestoreToDefaultStructure[clpageMenuRestoreToDefaultStructure.length] = {id:"rtd_"+templatesArray[i].id, caption:templatesArray[i].title};
					}
				} else if (document.AdminPage != 'False') {
					disableEntry(document.pageMenuStructure, "managePages");
					disableEntry(document.pageMenuStructure, "restoreToDefault");
					disableEntry(document.pageMenuStructure, "togglePreferences");
					disableEntry(document.pageMenuStructure, "export");
				} else {
					disableEntry(document.pageMenuStructure, "restoreToDefault");
				}

				addreportMenu = (document.EntityType.toLowerCase() == "report") ? new RightClickMenu("addreportMenu", clreportMenuStructure, null, true) : new RightClickMenu("addreportMenu", document.addreportMenuStructure, null, true);
				pageMenu = (document.EntityType.toLowerCase() == "report") ? new RightClickMenu("pageMenu", clreportMenuStructure, null, true) : new RightClickMenu("pageMenu", document.pageMenuStructure, null, true);
				boxMenu = new RightClickMenu("boxMenu", boxMenuStructure);
				mboxMenu = new RightClickMenu("mboxMenu", mboxMenuStructure);
				meterMenu = new RightClickMenu("meterMenu", meterMenuStructure);
				preferencesMenu = new RightClickMenu("preferencesMenu", clpagePreferencesMenuStructure);
				dboxMenu = new RightClickMenu("dboxMenu", dboxMenuStructure);
				spspageMenu = new RightClickMenu("spspageMenu", spspageMenuStructure);
                document.ddMenu = new RightClickMenu("ddMenu", drilldownMenuStructure);

			    var addreport = parent.document.all["addreportIcon"];
			    //addreport.onclick = pageMenu.show(document.body, executeRightClick);

/*				if (readCookie("preferencesStatus") != null) {
					pageMenu.changeCaption("togglePreferences", "Show Preferences", true);
				}
*/
				if (document.all["pagePreferences"]) {
					document.all["pagePreferences"].setAvailableTemplates(templatesArray, document.Managed, document.defaultTemplateId);
				} else if (document.TreeType == 1) {
//					pageMenu.removeEntry("togglePreferencesSeparator", true, false);
//					pageMenu.removeEntry("togglePreferences", true, false);
				} else {
//					pageMenu.changeCaption("togglePreferences", "Show Preferences", true);
				}

				if (document.isReport) {
					boxMenu.removeEntry("hide", true, false);
					mboxMenu.removeEntry("hide", true, false);
					meterMenu.removeEntry("hide", true, false);

					spspageMenu.removeEntry("sync", true, false);
					spspageMenu.removeEntry("showDiagnosis", true, false);

                    // Do not disable "Generate Report"/"Export to Excel" for STD/Pro
                    pageMenu.enableEntry("generateReport", true, event.ctrlKey);
					pageMenu.enableEntry("export", true, event.ctrlKey);
					boxMenu.enableEntry("export", true, event.ctrlKey);
				}

                // Hide export to excel based on web.config value
                if("<%=ExportEnabled %>" == "0") 
                    boxMenu.disableEntry("export", true, event.ctrlKey);

				if (document.AdminPage != "True" && !document.isReport) {
					try {
						function changeTemplate(id) {
							if (document.location.href.match(/templateId=[0-9\-]*/)) {
								document.location.replace(document.location.href.replace(/templateId=[0-9a-z\-]*/i, "templateId="+id));
							} else
								document.location.replace(document.location.href+"&templateId="+id);
						}

						parent.setAvailableTemplates(changeTemplate, document.TemplateId, new Array(<%= getAvailableTemplates() %>), document.Managed);
					} catch (e) {
					}
				} else {
					try {
						parent.setAvailableTemplates(false, false, new Array());
					} catch (e) {
					}
				}

				if (document.IsAdmin != "True") {
					boxMenu.removeEntry("setAsBase", true, false);
				}

				if (parent != self) {
					var actions = parent.Queue.Get();
					parent.Queue.Clear();
					for (var a=0;a<actions.length;a++) {
						if (actions[a].url) {
							document.updateServer(actions[a].url, eval(actions[a].callback));
						}	else if (actions[a].controlId) {
							var boxes = document.all["cardioLogBox"];
							if (boxes.length) {
								for (var i=0;i<boxes.length;i++) {
									if (boxes[i]._id == actions[a].controlId) {
										boxes[i].fireAction(actions[a].command);
										break;
									}
								}
							}
						}
					}
				}

				if (!document.all["errorMessage"]) document.body.scroll = "yes";

				if (document.getElementById("pagePreferences"))
					document.getElementById("pagePreferences").drawPreferences();


			    if (!document.alwaysIgnoreCache) {
//			        window.setInterval(document.updateLayers, 2000);
			    }

			    // hide preferences when there are no controls
			     if (document.all["pagePreferences"]) {
			        document.all["pagePreferences"].parentElement.parentElement.parentElement.parentElement.parentElement.style.display = document.scheduler.hasControls() ? "" : "none";
			     }
			});

			function loadtoolBar() {
			if (document.location.href.match("entityType=Report"))
                restorehtml = ''+
    			    '<td id="rstr" class="toolbarButton" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="window.frames[1].generateReport()" ><img id="rstri" src="/CardioLog/images/2010/GenerateReportandDivider.gif" /></td>'+
                        '<td id="rstrt" class="buttonText" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" onclick="window.frames[1].generateReport()" title="<%=CardioLog.API.Localization.getText("$Generate Report$")%>"><nobr><%=CardioLog.API.Localization.getText("$Generate Report$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
            else
			    restorehtml = ''+
    			    '<td id="rstr" class="toolbarButton" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="restoreButton()" ><img id="rstri" src="/CardioLog/images/2010/RestorToDefault.gif" /></td>'+
                        '<td id="rstrt" class="buttonText" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" onclick="restoreButton()" title="<%=CardioLog.API.Localization.getText("$Restore to Default$")%>"><nobr><%=CardioLog.API.Localization.getText("$Restore to Default$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
            html=''+
                '<table border="0" cellpadding="0" cellspacing="0" id="toolbarTable">'+
                    '<tbody>'+
                        '<tr>'+
                            '<td id="arb" class="toolbarButton" onmouseout="arb.className=' + "'toolbarButton'" + ';arbt.className=' + "'buttonText'" + '" onmouseover="arb.className=' + "'toolbarButtonHover'" + ';arbt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="parent.document.showaddreportmenu()" ><img id="arbi" src="/CardioLog/images/2010/AddReportIcon.gif" /></td>'+
                                '<td id="arbt" class="buttonText" onmouseout="arb.className=' + "'toolbarButton'" + ';arbt.className=' + "'buttonText'" + '" onmouseover="arb.className=' + "'toolbarButtonHover'" + ';arbt.className=' + "'toolbarButtonTextHover'" + '" onclick="parent.document.showaddreportmenu()" title="<%=CardioLog.API.Localization.getText("$Add Report$")%>"><nobr><%=CardioLog.API.Localization.getText("$Add$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';

                            if ("<%=ExportEnabled %>" == '1')
                            {
                                html = html + '<td id="xexl" class="toolbarButton" onmouseout="xexl.className=' + "'toolbarButton'" + ';xexlt.className=' + "'buttonText'" + '" onmouseover="xexl.className=' + "'toolbarButtonHover'" + ';xexlt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="exportToExcelButton()" ><img id="xexli" src="/CardioLog/images/2010/ExportIcon.gif" /></td>'+
                                '<td id="xexlt" class="buttonText" onmouseout="xexl.className=' + "'toolbarButton'" + ';xexlt.className=' + "'buttonText'" + '" onmouseover="xexl.className=' + "'toolbarButtonHover'" + ';xexlt.className=' + "'toolbarButtonTextHover'" + '" onclick="exportToExcelButton()" title="<%=CardioLog.API.Localization.getText("$Export to Excel$")%>"><nobr><%=CardioLog.API.Localization.getText("$Export to Excel$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
                            }
                            if (document.isReport)
                                html += '<td id="dst" class="toolbarButton" onmouseout="dst.className=' + "'toolbarButton'" + ';dstt.className=' + "'buttonText'" + '" onmouseover="dst.className=' + "'toolbarButtonHover'" + ';dstt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="distributionList(\'' + document.EntityId + '\')" ><img id="dsti" src="/CardioLog/images/2010/DistributionIcon.gif" /></td>'+
                                '<td id="dstt" class="buttonText" onmouseout="dst.className=' + "'toolbarButton'" + ';dstt.className=' + "'buttonText'" + '" onmouseover="dst.className=' + "'toolbarButtonHover'" + ';dstt.className=' + "'toolbarButtonTextHover'" + '" onclick="distributionList(\'' + document.EntityId + '\')" title="<%=CardioLog.API.Localization.getText("$Distribution List$")%>"><nobr><%=CardioLog.API.Localization.getText("$Distribution List$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';

                            html += '<td id="rfsh" class="toolbarButton" onmouseout="rfsh.className=' + "'toolbarButton'" + ';rfsht.className=' + "'buttonText'" + '" onmouseover="rfsh.className=' + "'toolbarButtonHover'" + ';rfsht.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="refreshButton()" ><img id="rfshi" src="/CardioLog/images/2010/RefreshIcon.gif" /></td>'+
                                '<td id="rfsht" class="buttonText" onmouseout="rfsh.className=' + "'toolbarButton'" + ';rfsht.className=' + "'buttonText'" + '" onmouseover="rfsh.className=' + "'toolbarButtonHover'" + ';rfsht.className=' + "'toolbarButtonTextHover'" + '" onclick="refreshButton()" title="<%=CardioLog.API.Localization.getText("$Refresh$")%>"><nobr><%=CardioLog.API.Localization.getText("$Refresh$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+

                            '<td id="dlt" class="toolbarButton" onmouseout="dlt.className=' + "'toolbarButton'" + ';dltt.className=' + "'buttonText'" + '" onmouseover="dlt.className=' + "'toolbarButtonHover'" + ';dltt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="deleteallButton()" ><img id="dlti" src="/CardioLog/images/2010/DeleteAllIcom.gif" /></td>'+
                                '<td id="dltt" class="buttonText" onmouseout="dlt.className=' + "'toolbarButton'" + ';dltt.className=' + "'buttonText'" + '" onmouseover="dlt.className=' + "'toolbarButtonHover'" + ';dltt.className=' + "'toolbarButtonTextHover'" + '" onclick="deleteallButton()" title="<%=CardioLog.API.Localization.getText("$Delete All Controls$")%>"><nobr><%=CardioLog.API.Localization.getText("$Delete All Controls$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+

                             restorehtml +

                        '</tr>'+
                    '</tbody>'+
                '</table>';
               try { parent.document.all["buttonToolbar"].innerHTML = html;} catch (e) {}
			}

			
			document.openRightClickFromMeter = function(obj, callback) {
				pos = {x:0, y:-parseInt(document.body.scrollTop, 10)};
				findPosition(obj);

                pos.x += parseInt(obj.offsetWidth, 10);
				pos.y += 20;
				var openPos = "";
				openPos = {x:pos.x - 14, y:pos.y - 9};
                meterMenu.show(document.body, callback, {x:openPos.x, y:openPos.y});
			}

			document.hideRightClickFromMeter = function(){
				meterMenu.hide();
			}

			document.openRightClickFromBox = function(obj, menu, dock) {
				pos = {x:0, y:-parseInt(document.body.scrollTop, 10)};
				findPosition(obj);
				pos.x += parseInt(obj.offsetWidth, 10);
				pos.y += 20;
				var openPos = "";
				if (uiversion == "2007") openPos = {x:dock ? pos.x : event.x, y:dock ? pos.y : event.y};
				else if (uiversion == "2010") {
				    openPos = {x:pos.x - 203, y:pos.y - event.offsetY + 10};//openPos = {x:event.x - event.offsetX + 3, y:event.y - event.offsetY + 15};
				}
				if (obj._id == -1)
					mboxMenu.show(document.body, obj.executeRightClick, {x:openPos.x, y:openPos.y, right:dock});
				else if (obj._id == -2)
					preferencesMenu.show(document.body, obj.executeRightClick, {x:openPos.x, y:openPos.y, right:dock});
				else if (obj.type == "details")
					dboxMenu.show(document.body, obj.executeRightClick, {x:openPos.x, y:openPos.y, right:dock});
				else
					boxMenu.show(document.body, obj.executeRightClick, {x:openPos.x, y:openPos.y, right:dock});
			}

			var pos = {x:0, y:0}
			function findPosition(obj) {
				pos.x += parseInt(obj.offsetLeft, 10);
				pos.y += parseInt(obj.offsetTop, 10);
				if (obj.tagName != "BODY") findPosition(obj.offsetParent);
			}

            function flatObject(obj) {
			    var pairs = new Array();
			    for (var i=0;i<obj.length;i++) {
                    // Handle multiple values (traffic sources etc.)
                    if (obj[i].type && obj[i].type == "multiple") {
                        switch (obj[i].name)
                        {
                            case "Source":
                            case "Medium":
                            case "Term":
                            case "Campaign":
                            case "Content":
                                if (obj[i].value != "static")
                                    pairs.push(obj[i].name+"$"+obj[i].condition+"$"+obj[i].value);
                                else pairs.push(obj[i].name+"$"+obj[i].value);
                                break;
                            case "Goal":
                            case "Goals":
                            case "Country":
                        	case "Countries":
                        		obj[i].value = encodeURIComponent(obj[i].value)
                                if (obj[i].value != "static")
                                    pairs.push(obj[i].name+"$"+obj[i].id+"$"+obj[i].value);
                                else pairs.push(obj[i].name+"$"+obj[i].value);
                                break;
                            default: // User Categories
                            {
                                if (obj[i].value != "")
                                    pairs.push(obj[i].cid+"$"+obj[i].id+"$"+obj[i].value);
                                else pairs.push("CATEGORIES"+"$"+obj[i].value);
                                break;
                            }
                        }
                    } else {
			            pairs.push(obj[i].name+"$"+obj[i].value);
                    }
                }
                return pairs.join("^");
            }

			// Add new control/widget to the report page
            function executeRightClick(entry) {
            	// check this to see how many controls are displayed on the page
            	//console.log(jQuery(".clbox").length);
            	if (entry.id.match(/^entryObj_/)) {
            		var maxControls = "<%= CardioLog.API.GlobalSettings.Get("CardioLog", "reportMaxControls")%>";
            		if(!maxControls)
            			maxControls = 5;
            		else
            			maxControls = parseInt(maxControls, 10);
            		if(jQuery(".clbox").length <= maxControls){
            			if (document.Managed && document.TemplateId != "") {
            				// Add widget to a template???
            				var controlId = entry.id.replace(/^entryObj_/,"");
            				var props = document.all["pagePreferences"].getPreferences();
            				var templateId = document.TemplateId;
            				document.updateServer("action=restoreandadd&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&templateId="+templateId+"&controlId="+controlId+"&position=appendChild&did="+document.currentDid+"&defaultProps="+flatObject(props), restorePost);
            			} else if (document.Managed || document.AdminPage == 'True') {
            				// Add widget to a report
            				var controlId = entry.id.replace(/^entryObj_/,"");
            				var props = document.all["pagePreferences"].getPreferences();
            				params = "action=add&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId="+controlId+"&position=appendChild&did="+document.currentDid+"&defaultProps="+flatObject(props);
            				paramsEncoded = params.replace(/\$([^\$\^])+\^/g, function (match) { return "$" + encodeURIComponent(match.toString().substring(1, match.toString().length - 1)) + "^"; })
            				document.updateServer(paramsEncoded, addPost);
            			} else {
            				// Add widget to analysis center
            				var controlId = entry.id.replace(/^entryObj_/,"");
            				parent.Queue.Clear();
            				var props = document.all["pagePreferences"].getPreferences();
            				parent.Queue.Add({url:"action=add&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId="+controlId+"&position=appendChild&did="+document.currentDid+"&defaultProps="+flatObject(props), callback:"addPost"});

                            debugger;
            				parent.document.treeFrame.addToManagedSilent(document.EntityId, false, document.TemplateId);
            			}
            		}
            		else
            		{
            			alert('<%=CardioLog.API.Localization.getText("$No More Controls$")%>');
            		}
				} else if (entry.id.match(/^hiddenView_/)) {
					if (document.Managed && document.TemplateId != "") {
						alert('<%=CardioLog.API.Localization.getText("$Customize Template Error$")%>');
					} else if (document.Managed) {
						var controlId = entry.id.replace(/^hiddenView_/,"");
						document.updateServer("action=show&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId="+controlId+"&position=appendChild&did=0", function(xml){addPost(xml);removeHidden(xml.selectSingleNode(".//output/controlId").text);});
					} else alert('<%=CardioLog.API.Localization.getText("$Customize Page Error$")%>');
				} else if (entry.id.match(/^rtd_/)) {
					if (document.Managed) {
						var templateId = entry.id.replace(/^rtd_/,"");
						document.updateServer("action=restore&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&templateId="+templateId+"&controlId=0&position=appendChild&did=0", restorePost);
					} else alert('<%=CardioLog.API.Localization.getText("$Customize Page Error$")%>');
				} else {
					switch (entry.id) {
						case "refresh":
							document.scheduler.silent = false;
//							document.scheduler.schedule(true);
							document.scheduler.refresh();
							break;
						case "refreshPage":
							document.location.reload();
							break;
						case "restoreToDefault":
							if (document.Managed) {
								if (getEntry(document.pageMenuStructure, "restoreToDefault").type != "submenu")
									document.updateServer("action=restore&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId=0&position=appendChild&did=0", restorePost);
							} else alert('<%=CardioLog.API.Localization.getText("$Customize Page Error$")%>');
							break;
						case "removeAll":
							document.updateServer("action=removeAll&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId=0&position=appendChild&did=0", restorePost);
						    break;
						case "debug":
							document.debugMode = !document.debugMode;
							document.scheduler.setDebugMode(document.debugMode);
							document.all["formFrame"].style.display = (document.all["formFrame"].style.display == "none") ? "" : "none";
							document.all["pageDetails"].style.display = (document.all["pageDetails"].style.display = "none") ? "" : "none";
							break;
						case "viewSource":
							document.location.href = "view-source:"+document.location.href;
							break;
						case "pageurl":
							prompt("", document.location.href);
							break;
						case "managePages":
							parent.document.treeFrame.callFromTree({id:"add"});
							break;
						case "toggleView":
							var availableWidth = (parseInt(document.body.offsetWidth,10));
							document.location.href = "/CardioLog/clreport/index.aspx?entityId="+document.EntityId+"&availableWidth="+availableWidth
							break;
						case "generateReport":
							generateReport();
							break;
						case "export":
							document.scheduler.Export(false);
							break;
						case "togglePreferences":
							document.togglePreferences();
							break;
						case "toggleDebug":
							parent.toggleDebugWindow();
							break;
						case "pageFilter":
							showPageFilter();
							break;
						default:
							//alert('unknown action: '+entry.id);
					}
				}
			}

			document.removeAll = function () {
					document.updateServer("action=removeAll&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId=0&position=appendChild&did=0", restorePost);
			}

			document.restoreToDefault = function () {
					if   (document.Managed) {
							document.updateServer("action=restore&entityType=<%= EntityType %>&entityId=<%= EntityId %>&userName=<%= EncodedUserName %>&controlId=0&position=appendChild&did=0", restorePost);
					}
					else alert('<%=CardioLog.API.Localization.getText("$Customize Page Error$")%>');
			}

			function showPageFilter() {
				var md;

				function doPageFilter(timeframe, timeinterval, sourceid, sourceurl) {
					md.close();
					var temporary = true;
					var viewers = document.scheduler.getViewers();
					for (var i in viewers) {
						viewers[i].obj.setTimeFrame(timeframe);
						viewers[i].obj.setTimeInterval(timeinterval);
						viewers[i].obj.setSourceId(sourceid);
						viewers[i].obj.setSourceUrl(sourceurl);

						if (!temporary) viewers[i].obj.savePrefs();
					}
				}

				md = window.showModelessDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Filter$")%>", href:"openPageFilter.aspx", callback:doPageFilter, opener:self}, "dialogHeight:380px; dialogWidth:310px; status:no; help:no;");
			}

			document.togglePreferences = function() {
				var hidePreferences = (readCookie("preferencesStatus") == null);
				if (hidePreferences) {
					findBox(-2).minimize();
				} else {
					findBox(-2).maximize();
				}
			}

			function setAsBasePost(status) {
				var errorCode = (status && status.selectSingleNode(".//status")) ? status.selectSingleNode(".//status").text : "Unknown error";
				if (errorCode != "OK") {
					document.Status.print("Could not update base type. Server response was '"+errorCode, "error");
				} else {
					document.Status.print("Done!");
				}
			}

			document.setAsBase = function(id) {
				document.updateServer("action=setAsBase&controlId="+id+"&entityId="+document.EntityId+"&userName="+document.UserName+"&entityType="+document.EntityType, setAsBasePost);
			}

			function generateReport() {
				if (document.Ajax) {
					if (uiversion == "2007") document.Ajax.PleaseWait = "<%=CardioLog.API.Localization.getText("$Generating Report$")%>...";
					document.Ajax.Request("GET", "data/generateReports.aspx", "reportId="+document.EntityId+"&rid="+Math.random()*100000+"&auto=0", true, false, generateReportPost);
				}
				window.top.frames[0].location.reload();
			}

    		// Milen: If you update this you should also update CLReport/index.aspx -> sendReport
			function generateReportPost(status) {
				if (status.errorCode != 0) {
					document.Status.print("<%=CardioLog.API.Localization.getText("$Generate Report Error$")%> '"+status.reason.replace(/\r\n/g,"")+"'", "status");
				} else {
					var availableWidth = (parseInt(document.body.offsetWidth,10));
					document.location.href = "/CardioLog/clreport/index.aspx?entityId="+document.EntityId+"&availableWidth="+availableWidth;
					if (document.ReportDistributionList != '') {
						// Use the sendTo() functions
						if (confirm("<%=CardioLog.API.Localization.getText("$Distribution List Confirm$")%>")) {
							var url = document.location.href.replace(/cardiolog\/.*$/i, "CardioLog/clreport/index.aspx?entityId="+document.EntityId);
							document.location.href = "mailto:"+document.ReportDistributionList+"?subject="+escapeToHebrew(encodeURIComponent(document.ReportTitle))+"&body="+ encodeURIComponent(url);
						}
					}
				}
			}

			function restorePost(xml) {
				document.location.href = document.location.href.replace(/templateId=[a-z0-9\-]*/i, "templateId=");
			}

			function addPost(xml) {
				if (xml.selectSingleNode(".//output")) {
					var output = xml.selectSingleNode(".//output");
					var controlHTML = output.selectSingleNode(".//control").text;
					var controlType = output.selectSingleNode(".//type").text;
					var column = parseInt(output.selectSingleNode(".//column").text, 10);
					var order = output.selectSingleNode(".//order").text;
					var controlId = output.selectSingleNode(".//controlId").text;
					var title = output.selectSingleNode(".//title").text;
					var description = output.selectSingleNode(".//description").text;
					var preferences = output.selectSingleNode(".//prefs").text;
					var help = output.selectSingleNode(".//help").text;

					if (controlType == "meter") {
						if (output.selectSingleNode(".//type").getAttribute("first") == "true") {
							document.body.insertAdjacentHTML("afterBegin", controlHTML);
							var div, span;
							div = document.createElement("<div id='cardioLogBox' class='clbox' _id='-1' style='display:none;'>");
								span = document.createElement("span");
								span.id = "data";
								var viewer = document.body.children(0).removeNode(true);
								var meterWrapper = document.createElement("<span name='MeterWrapper'>");
								meterWrapper.appendChild(viewer);
								span.appendChild(meterWrapper);
								meterWrapper = null;
								div.appendChild(span);

								span = document.createElement("span");
								span.id = "title";
								span.innerHTML = "Meters";
								div.appendChild(span);

								span = document.createElement("span");
								span.id = "description";
								span.innerHTML = description;
								div.appendChild(span);

								span = document.createElement("span");
								span.id = "preferences";
								span._id = controlId;
								span.innerHTML = "<xml>"+preferences+"</xml>";
								div.appendChild(span);

								span = document.createElement("span");
								span.id = "help";
								span.showHelp = "none";
								span._id = controlId;
								span._title = title;
								span.innerHTML = help;
								div.appendChild(span);

							var tableRow = document.all["CLPageTableRow"];
							tableRow.children(column).appendChild(div);

							span = null;
							div = null;
							tableRow = null;
						} else {
							var spans = document.getElementsByTagName("span");
							for (var i=0;i<spans.length;i++) {
								if (spans[i].name == "MeterWrapper") {
									document.body.insertAdjacentHTML("afterBegin", controlHTML);
									viewer = document.body.children(0).removeNode(true)
									spans[i].appendChild(viewer);
									break;
								}
							}
							// Milen: probably next rows do not work and are not needed
							// find meter box (-1)
							var boxes = document.all["cardioLogBox"];
							if (boxes && boxes.length) {
								for (var i=0;i<boxes.length;i++) {
									if (boxes[i]._id == -1) {
										boxes[i].addHelpEntry(controlId, help, preferences, title);
										break;
									}
								}
							} else if (boxes && boxes._id == -1) boxes.addHelpEntry(controlId, help, preferences, title);
						}
						viewer.setParent();
						viewer.schedule(document.scheduler);
						window.setTimeout(function() {
    			            document.scheduler.callSpecificViewer(controlId);
    			        }, 1000);
					} else {
						document.body.insertAdjacentHTML("afterBegin", controlHTML);
						var div, span;
						div = document.createElement("<div id='cardioLogBox' class='clbox' _id='"+controlId+"' style='display:none;'"+((document.isReport) ? " openAutomatically='true'" : "")+">");
							span = document.createElement("span");
							span.id = "data";
							var viewer = document.body.children(0).removeNode(true);
							span.appendChild(viewer);
							div.appendChild(span);

							span = document.createElement("span");
							span.id = "title";
							span.innerHTML = title;
							div.appendChild(span);

							span = document.createElement("span");
							span.id = "description";
							span.innerHTML = description;
							div.appendChild(span);

							span = document.createElement("span");
							span.id = "preferences";
							span.innerHTML = "<xml>"+preferences+"</xml>";
							div.appendChild(span);

							span = document.createElement("span");
							span.id = "help";
							span.innerHTML = help;
							div.appendChild(span);

						var tableRow = document.all["CLPageTableRow"];
						tableRow.children(column).appendChild(div);

						viewer.setParent();

						viewer.schedule(document.scheduler);
						window.setTimeout(function() {
    			            document.scheduler.callSpecificViewer(controlId);
    			        }, 1000);
//						document.scheduler.schedule(true);

						span = null;
						tableRow = null;

						div = null;

						if (controlType == "report") {
							viewer.SPSPageClickCallback = SPSPageClickCallback;
							viewer.SPSPageContextClickCallback = SPSPageContextClickCallback;
						}
					}
					window.setTimeout(function() { document.invalidatePagePreferences(); document.updateLayers(); }, 100);
				} else {
					var status = xml.selectSingleNode(".//status");
					var message = "Error adding control. Server did not specify the error type.";
					if (status) message = "Error adding control, server response was '"+status.text+"'";
					if (document.Status) document.Status.print(message, "error");
					else alert(message);
				}
			}

			var callbackFromUpdateServer = false;

			function updateServerCallback(status) {
				if (status.errorCode != 0) {
					document.Status.print("Error updating server - '"+status.reason+"'", "status");
				} else {
					if (callbackFromUpdateServer) callbackFromUpdateServer(status.ResponseXml);
				}
			}

			document.updateServer = function updateServer(params, callback) {
				callbackFromUpdateServer = callback;
                document.Ajax.Request("GET", "CLPage/post.aspx", params+"&aid="+Math.random()*100000, true, true, updateServerCallback);
			}

			document.setDefaultTemplate = function setDefaultTemplate(templateId, templateName) {
				function callback(status) {
					if (status.errorCode != 0) {
						alert("Error in setDefaultTemplate. Server response was '"+status.reason+"'");
						document.Status.print("Error in setDefaultTemplate. Server response was '"+status.reason+"'", "status");
					} else {
						var availableTemplates = status.ResponseXml.selectSingleNode(".//AvailableTemplates");
						if (availableTemplates) {
							var arr = eval("new Array("+availableTemplates.text+")");
							document.all["pagePreferences"].setAvailableTemplates(arr, document.Managed, document.defaultTemplateId);
							if (templateId != "") document.all["pagePreferences"].selectTempateById(templateId);
							else document.all["pagePreferences"].selectTempateByName(templateName);
						}
						document.Status.print("<%=CardioLog.API.Localization.getText("$Default template saved$")%>", "status");
						alert("<%=CardioLog.API.Localization.getText("$Default template saved$")%>");
					}
				}
				if (document.Ajax) document.Ajax.Request("GET", "CLPage/post.aspx", "action=setDefaultTemplate&username="+document.UserName+"&entityId="+document.EntityId+"&entityType="+document.EntityType+"&templateId="+templateId+"&templateName="+escape(templateName), true, false, callback);
			}

			function doRefresh() {
				document.location.href = document.location.href.replace(/\&r=[0-9\.]*/, "")+"&r="+Math.random()*1000000;
			}

			document.invalidatePagePreferences = function() {
			    // hide preferences when there are no controls
			    if (document.all["pagePreferences"]) {
                    document.all["pagePreferences"].parentElement.parentElement.parentElement.parentElement.parentElement.style.display = document.scheduler.hasControls() ? "" : "none";
				    if (!document.all["pagePreferences"].isClosed()) document.all["pagePreferences"].drawPreferences();
				}
			}
	</script>
	<script type="text/javascript" src="/Cardiolog/Scripts/jquery1.7.js"></script>
	<script type="text/javascript" src="/Cardiolog/Scripts/general.aspx" language="text/javascript"></script>
  </head>
<body class="pageBODY blankBODY">
	<div id="_layoutTableDiv" style="display:none; position:absolute; top:300px; left:0;"></div>
	<div id="pageDetails" style="display:none;">
		Entity Id: <span id="pd_entityId"></span><br>
		Username: <span id="pd_username"></span><br>
		Entity Type: <span id="pd_entityType"></span><br>
		Tree Type: <span id="pd_treeType"></span><br>
		Managed: <span id="pd_managed"></span><br>
		Read Only: <span id="pd_readOnly"></span><br>
	</div>
	<iframe style="display:none;" name="formFrame" id="formFrame" src="/CardioLog/Data/exportForm.aspx"></iframe>
	<form id="Form1" method="post" runat="server">
		<div id="reportHeader" style="display:none;" align="left" class="reportHeader">
			<div id="titleArea" runat="server" class="reportTitle"></div>
			<div id="descriptionArea" runat="server" visible="false" class="reportSubtitle"></div>
		</div>
        <div style="padding-top:7px;"></div>
        <div style="padding-left:5px; padding-top:7px;">
		    <table border="0" cellpadding="5" cellspacing="0" runat="server" id="CLPageTable" style="width:99%;"><!--was width="100%"-->
			    <tr runat="server" id="CLPageTablePreferences" style="display:;"></tr>
			    <tr runat="server" id="CLPageTableRow"></tr>
		    </table>
        </div>
	</form>
	<CARDIOLOG:SCHEDULER id="scheduler" path="/CardioLog/Data/data.aspx" constantsParamString="catchErrors=<%= CatchErrors %>"></CARDIOLOG:SCHEDULER>
	<textarea id="texttocopy" style="display:none;"></textarea>

	<div class="qbubble" id="qbubble"><div class="qtop"></div><div class="qmid"><div class="qtext" id="qtxt"></div></div><div class="qbot"></div></div>
	<script>
		if (!insideCardiologEnvironment()) {
			document.location.replace("/CardioLog/generalError.aspx");
		}
	</script>
</body>

</html>
