﻿<%@ page language="C#" autoeventwireup="true" inherits="MarketingSuite_SEO_ManageMetadata, CardioLog_deploy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/Styles/jquery.styledButton.css" />

    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
    
    <script type="text/javascript" src="/CardioLog/Scripts/helplets.aspx"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.styledButton.js"></script>

    <style type="text/css">
        table {
            border-collapse: collapse; /* Or do nothing, this is default */
        }
             
        .formbox
        {
            width: 98%;
            height: 690px;
        }
    
        .errmsg
        {
            font: normal 11px arial;
            color: #c82026;
            clear: both;
            margin-top: -10px;
        }
        .errbox
        {
            border: 1px solid #c82026;
        }
    
        .sitesTable
        {
            width: 100%;
            height: 100%;
            table-layout: fixed;
        }
        
        .sitesHeaderRow
        {
            width: 100%;
            height: 20px;
            background-color: #7c9aac;
            border: 1 solid #7c9aac;
        }
        .sitesContainer
        {
            overflow: auto;
            width: 100%;
            height: 90%;
            border: 1 solid #7c9aac;
        }
        
        .sitesActionsButton
        {
            height: 25px;
            width: 27px;
            text-align: center;
            border: 1px solid #6b6d6b;
            background-color: #e6e7e6;
        }
        
                
        .tdSites
        {
            width: 90%;
            vertical-align: top;
        }
        
        .tableSites
        {
            width: 98%;
            height: 100%;
            table-layout: fixed;
        }
        
       
        .refreshloader
        {
            text-align: center;
            background: transparent url("../../Images/loading_box_232x186.png") no-repeat 0 0;
            width: 232px;
            height: 186px;
            z-index: 9999;
        }
        
        .refreshloader IMG
        {
            margin: 61px 0 0 0;
        }
        
        .manadatoryCell
        {
            width: 10px; 
            text-align:center; 
            vertical-align:middle; 
            color:Red;
        }

    	.selected td
    	{
			background-color: #e6eaf1;
    	}
    	
    	.grid_cb
    	{
    	    width: 20px;
    	    padding-left: 5px;
    	}
    </style>


    <script type="text/javascript">
        parent.setCaption('Administration', false, '<%=CardioLog.API.Localization.getText("$Manage Metadata$")%>');

        function getparam(name) {
            var re = new RegExp("(?:\\?|\\&)" + name + "=([^\\&]*)");
            var match = document.location.search.match(re);
            return (match != null) ? match[1] : "";
        }

        function doAdd() {
            var myJSONObject = {
                "popupArguments": [
                    {
                        "title": '<%=CardioLog.API.Localization.getText("$Add Attributes$")%>',
                        "callback": function (data) {
                            for (var i = 0; i < data.Attributes.length; i++) {
                                addAttribute(data.Attributes[i]);
                            }
                        },
                        "self": parent
                    }]
            };

            var url = "/Cardiolog/MarketingSuite/SEO/SPSAttributeChooser.aspx?adaptorId=" + getparam("adaptorId") + "&type=" + getparam("type");
            
            parent.PopupManager.ShowPopup(url, 360, 575, myJSONObject, 360, 575);
        }

        function getDisplayedType(type) {
            if (type == 1) {
                return '<%=CardioLog.API.Localization.getText("$ManagedMetaData$")%>';
            }

            return '<%=CardioLog.API.Localization.getText("$OpenText$")%>';
        }

    	var itemTypes = [
            { "id": 0, "title": "<%=CardioLog.API.Localization.getText("$Select Content Type$")%>" },
            { "id": 4, "title": "<%=CardioLog.API.Localization.getText("$All$")%>" },
			{ "id": 1, "title": "<%=CardioLog.API.Localization.getText("$List Items and Documents$")%>" },
			{ "id": 2, "title": "<%=CardioLog.API.Localization.getText("$Sites$")%>" }
            //{ "id": 3, "title": "<%=CardioLog.API.Localization.getText("$Pages$")%>" }
    	];

        function buildTypeDropdown(itemType) {
    		var result = document.createElement("select");
			
    		for (var i = 0; i < itemTypes.length; i++) {
    			var item = document.createElement("option");
    			item.value = itemTypes[i].id;
    			item.innerHTML = itemTypes[i].title;
			    if (itemType === itemTypes[i].id)
				    item.setAttribute("selected", "selected");
			    result.appendChild(item);
    		}

	        return result.outerHTML;
        }

        function addAttribute(attr) {
        	var rowHtml = '<tr><td style="width:10px"></td><td class="grid_cb" style="width:15px"><input type="checkbox" /></td><td style="width:30%; padding-left:5px;">' + attr.Name + '</td><td type="' + attr.Type + '" style="width:200px">' + getDisplayedType(attr.Type) + '</td><td>' + attr.Description + '</td><td style="width:200px">' + buildTypeDropdown(attr.Scope || 0) + '</td></tr>';

            $("#selectedSites > tbody > tr:last").before(rowHtml);
        }
        
        function getAttributes() {
            var attributes = [];

            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    var tr = $(this);
                    attributes.push({ Name: tr.find("td:eq(2)").text(), Description: tr.find("td:eq(4)").text(), Type: tr.find("td:eq(3)").attr("type"), Scope: tr.find("td:eq(5)").find("select").val() });
                }
            });

            return attributes;
        }

        function onSave() {
            if (!validate()) {
                return;
            }

            $("#btnSave").attr("disabled", "disabled");
            $("#btnCancel").attr("disabled", "disabled");

            $("#loader").show();

            var attributes = getAttributes();
            $("#<%=hdnAttributes.ClientID%>").val($.toJSON(attributes));

            __doPostBack(null, 'save');

            return true;
        }

        function validate() {
            var validatedContentType = true;
            var validatedUniqueNames = true;

            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    var tr = $(this);
                    if(tr.find("td:eq(5)").find("select").val() == 0) {
                        validatedContentType = false;
                    }
                }
            });
            
            if(!validatedContentType) {
                alert("<%=CardioLog.API.Localization.getText("$Please select a content type$")%>");
                return validatedContentType;
            }

            var vals = new Array();
            var dupVals = new Array();
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    var tr = $(this);
                    
                    if(jQuery.inArray(tr.find("td:eq(2)").text(), vals) == -1){
                        vals.push(tr.find("td:eq(2)").text());
                    }
                    else {
                        dupVals.push(tr.find("td:eq(2)").text());
                        validatedUniqueNames = false;
                    }
                }
            });

            if(!validatedUniqueNames) {
                alert("<%=CardioLog.API.Localization.getText("$The following attributes names already exist$")%>: " + dupVals);
                return validatedUniqueNames;
            }

            return validatedContentType && validatedUniqueNames;
        }


        function syncModelToView() {
            var data = $.evalJSON($("#<%=hdnAttributes.ClientID%>").val());

            clearAttributes ();

            if (data) {
                $.each(data, function (index, attr) {
                    addAttribute(attr);
                });
            }
        }

        function clearAttributes() {
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    $(this).remove();
                }
            });
        }

        function onCancel() {
            window.location = "SpsAdaptor.aspx?id=" + getparam("adaptorId") + "&type=" + getparam("type");
        }

        function selectAllClick() {
            var tblID = "selectedSites";

            if ($(event.srcElement).attr("checked")) {
                jQuery.each($('#' + tblID + '> tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).attr("checked", "checked");

                });
            }
            else {
                jQuery.each($('#' + tblID + ' > tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).removeAttr("checked");
                });
            }
        }
        
        showBottomGreyBar();

        $(window).unload(function () {
            showBottomWhiteBar()
        });

        $(window).load(function () {
            $("#btnCancel").removeAttr("disabled");

            syncModelToView();

          
            $("#loader").hide();
        });

        function doRemoveAttributes() {
            jQuery.each($('#selectedSites> tbody > tr > td > input[type=checkbox]'), function () {
                if ($(this).attr("checked")) {
                    var tr = $(this).parent('td').parent('tr');
                    tr.remove();
                }
            });
        }

        function addOpenText() {
            var rowHtml = '<tr><td style="width:10px"></td><td class="grid_cb" style="width:15px"><input type="checkbox" /></td><td style="width:30%; padding-left:5px;"><div contenteditable title="Name"></div></td><td type="' + 2 + '" style="width:200px">' + getDisplayedType(2) + '</td><td><div contenteditable title="Description"></div></td><td style="width:200px">' + buildTypeDropdown(0) + '</td></tr>';

            $("#selectedSites > tbody > tr:last").before(rowHtml);
        }



    </script>
</head>
<body style="font-family: Arial;">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>

    <asp:HiddenField ID="hdnAttributes" runat="server" />

    <div class="loader" id="loader" style="display:none; top: 40%;left: 40%;position: absolute;"  >
    <img alt="loading..." src="../../images/ConfigWizard/ajax-loader.gif" />
    </div>
    <div id="overlay">
    </div>
    <div class="wrapper">
        <div class="section">
            <div class="content" >
                <!--innerbox -->
                <div id="urlMappingFrame" class="innerbox" style="height:93%" >
                    <!--innertop -->
                    <div class="innerboxtop">
                        <div class="tl">
                            <div class="tr">
                                <h2 style="display:inline;"><%=CardioLog.API.Localization.getText("$MetaData Attributes$")%></h2>&nbsp<a href="javascript:void(0);" id="configuremetadatahelp" class="qmark17 L"></a>
                            </div>
                        </div>
                    </div>
                    <!--innersection -->
                    <div class="innersection" style="height:90%;">
                        <div class="formbox">
                            <asp:HiddenField ID="hdnExistingFarms" runat="server" />

                            <table class="tableSites">
                                <tr>
                                    <td class="tdSites" >
                                        <table id="selectedSitesHeader" class="sitesHeaderRow" style="text-align:left;">
                                            <tr>
                                                <td style="width: 15px"></td>
                                                <td style="width: 20px">
                                                    <input type="checkbox" id="cbSelectedSitesAll" onclick="return selectAllClick();"/>
                                                </td>
                                                <td style="width:30%">
                                                    <%=CardioLog.API.Localization.getText("$Name$")%>
                                                </td>
                                                <td style="width:200px">
                                                    <%=CardioLog.API.Localization.getText("$Type$")%>
                                                </td>
                                                <td >
                                                    <%=CardioLog.API.Localization.getText("$Description$")%>
                                                </td>
												<td style="width:200px">
                                                    <%=CardioLog.API.Localization.getText("$Content Type$")%>
                                                </td>
                                            </tr>
                                        </table>
                                        <div class="sitesContainer" style="overflow:hidden; overflow-y:auto; height:680px;">
                                            <table id="selectedSites" class="sitesTable">
                                                <tr id="lastSelectedSitesRow" style="height: 100%">
                                                    <td style="width:10px"><a href="javascript:addOpenText()"><img src="../../images/pencil.png" /></a></td>
                                                    <td style="width:15px"></td>
                                                    <td style="width:30%"></td>
                                                    <td style="width:200px"></td>
                                                    <td></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td class="tdActions" >
                                        <table id="actionTable" style="margin-left:10px;">
                                            <tr>
                                                <td>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <a id="A1" runat="server" href="javascript:doAdd();" class="btn btn-darkblue" style="width:60px; text-align:center"><%=CardioLog.API.Localization.getText("$Add$")%></a>
                                                            </td>
                                                        </tr>
                                                        <tr style="height:5px;">
                                                            <td></td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <a id="A2" runat="server" href="javascript:doRemoveAttributes();" class="btn btn-darkblue" style="width:60px; text-align:center"><%=CardioLog.API.Localization.getText("$Remove$")%></a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                            <br />


                        </div>
                    </div>
                    <div class="innerboxbot">
                        <div class="bl">
                            <div class="br">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="bigboxbot homepagebot">
            <div class="bl">
                <div class="br">
                    <!--footer -->
                    <div class="footer">
                        <div class="alignleft">
                            <a id="backLink" runat="server" href="javascript:onCancel();" class="bluelink"><< <%=CardioLog.API.Localization.getText("$Back to dashboard$")%></a>
                            
                        </div>
                        <div class="alignright">
                            <ul class="btns">
                                <li><a id="btnSave" runat="server" href="javascript:onSave();" class="btn btn-darkblue"><%=CardioLog.API.Localization.getText("$Save$")%></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <asp:HiddenField ID="hdnLocalSites" runat="server" />
    <asp:HiddenField ID="hdnOnApply" runat="server" />
    </form>
</body>
</html>
