﻿<%@ page language="C#" inherits="MarketingSuite_SEO_SPSAttributeChooser, CardioLog_deploy" %>

<%@ Register TagPrefix="popup" TagName="top" Src="/CardioLog/Includes/PopupTop.ascx" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>ProjectName</title>
    <meta name="description" content="ProjectName" />
    <meta name="keywords" content="ProjectName" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/jquery.wresize.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
    <style type="text/css">
        table
        {
            border-collapse: collapse; /* Or do nothing, this is default */
        }
        
        .shortest.alignleft
        {
            width: 140px;
        }
        
        .errmsg
        {
            font: normal 11px arial;
            color: #c82026;
            clear: both;
            margin-top: -10px;
        }
        .errbox
        {
            border: 1px solid #c82026;
        }
        
        .sitesTable
        {
            table-layout: fixed;
        }
        
        .sitesHeaderRow
        {
            width: 100%;
            height: 20px;
            background-color: #7c9aac;
            border: 1px solid #7c9aac;
        }
        .sitesContainer
        {
            overflow: auto;
            width: 100%;
            border: 1px solid #7c9aac;
        }
        
        .sitesActionsButton
        {
            height: 25px;
            width: 27px;
            text-align: center;
            border: 1px solid #6b6d6b;
            background-color: #e6e7e6;
        }

        
        .tdSites
        {
            width: 47%;
        }
        
        .tableSites
        {
            width: 543px;
            table-layout: fixed;
        }
        
        .refreshloader
        {
            text-align: center;
            background: transparent url("../../Images/loading_box_232x186.png") no-repeat 0 0;
            width: 232px;
            height: 186px;
            z-index: 9999;
        }
        
        .refreshloader IMG
        {
            margin: 61px 0 0 0;
        }
        
        .manadatoryCell
        {
            width: 10px;
            text-align: center;
            vertical-align: middle;
            color: Red;
        }
        
        .selected td
        {
            background-color: #e6eaf1;
        }
        
        .grid_cb
        {
            width: 20px;
            padding-left: 5px;
        }
    </style>

    <script type="text/javascript">

        function onWebServiceChange() {
            if ($("#comboWebService").val() == "no") {
                $("#webMethodRow").attr("disabled", "disabled");
            }
            else {
                $("#webMethodRow").removeAttr("disabled");
            }
        }
    </script>
</head>
<body style="width: 100%; height: 100%;" class="body-popup" scroll="no">
    <form id="Form1" method="post" action="#" class="frmbox" runat="server" >
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>
    <div class="loader" id="loader" style="display: block; top: 40%; left: 40%; position: absolute;">
        <img alt="loading..." src="../../images/ConfigWizard/ajax-loader.gif" />
    </div>
    <div id="overlay">
    </div>
    <asp:HiddenField ID="hdnData" runat="server" />
    <popup:top ID="popupObj" Title="" runat="server" />
    <table>
        <tr>
            <td>
                <div class="wrapper popup_Border">
                    <div class="popupbox" style="padding-left: 0px; padding-right: 0px;">
                        <div class="formbox">
                            <asp:HiddenField ID="hdnLocalSites" runat="server" />
                            <asp:HiddenField ID="hdnExistingFarms" runat="server" />
                            <asp:HiddenField ID="hdnUrlRules" runat="server" />
                            <table>
                                <tr>
                                    <td style="width:250px; vertical-align:top;">
                                        <asp:TextBox ID="txtSearch" CssClass="shortest alignleft" Width="250px" runat="server" Text=""></asp:TextBox>
                                    </td>
                                    <td style="vertical-align:middle" >
                                        <a href="javascript:search()">
                                            <img src="../../images/2010/SearchGoBtn.gif" height="20px" style="margin-left: 20px;" />
                                        </a>
                                    </td>
                                </tr>
                                <tr style="height:5px" >
                                    <td colspan="2"></td>
                                </tr>
                            </table>
                            
                            <table class="tableSites">
                                <tr>
                                    <td class="tdSites">
                                        <table id="selectedSitesHeader" class="sitesHeaderRow">
                                            <tr>
                                                <td style="width: 30px">
                                                    <input type="checkbox" id="cbSelectedSitesAll" onclick="return selectAllClick();" />
                                                </td>
                                                <td style="width: 30%">
                                                    <%=CardioLog.API.Localization.getText("$Name$")%>
                                                </td>
                                                <td >
                                                    <%=CardioLog.API.Localization.getText("$Description$")%>
                                                </td>
                                            </tr>
                                        </table>
                                        <div id="attributesDiv" class="sitesContainer" style="overflow: hidden; overflow-y: auto; width: 99.8%;">
                                            <table id="selectedSites" class="sitesTable">
                                                <tr id="lastSelectedSitesRow" style="height: 100%">
                                                    <td style="width: 30px">
                                                    </td>
                                                    <td style="width: 30%">
                                                    </td>
                                                    <td >
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                            <div style="height: 20px;" />
                        </div>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="bigboxbot homepagebot" style="height: 40px;">
                    <div class="br">
                        <!--footer -->
                        <div class="footer">
                            <div class="alignright">
                                <ul class="btns">
                                    <li id="deletebutton" runat="server"><a href="javascript:closepopup()" class="btn btn-darkblue">
                                        <%=CardioLog.API.Localization.getText("$Close$")%></a></li>
                                    <li><a id="savebutton" runat="server" href="javascript:doSave();" class="btn btn-darkblue">
                                        <%=CardioLog.API.Localization.getText("$Save$")%></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
    </table>
    <script type="text/javascript">
        
        var popupArguments;
        function setPopupArguments(arguments) {
            popupArguments = arguments.popupArguments[0];
        }

        function getAttributesCallUrl(){
            var url = "/CardioLog/WS/UtilsService.asmx/GetSharepointAttributes";

            return url;
        }

        function getAttributesCallParams(searchTerm){
            var obj = {};

            obj["adaptorId"] = getparam("adaptorId");
            obj["searchTerm"] = searchTerm;
             
            return obj;
        }

        function search (){
            var searchTerm = $("#<%=txtSearch.ClientID%>").val();
//            if (searchTerm.length == 0)
//            {
//                return;
//            }

            $("#loader").show();

            var ws_url = getAttributesCallUrl();
            var ws_params = $.toJSON(getAttributesCallParams(searchTerm));

            $.ajax({
                async: true,
                type: "POST",
                url: ws_url,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                data: ws_params,
                success: function (data) {
                    if (data.d.Error) {
                        //setError(data.d.Error.Message);
                        return;
                    }

                    $("#<%=hdnData.ClientID%>").val($.toJSON(data.d));
                    syncModelToView();
                    $("#loader").hide();
                },
                error: function (sender, args) {
                    $("#loader").hide();
                    if (sender.get_message) {
                        alert(sender.get_message());
                    }
                    else {
                        alert($.evalJSON(sender.responseText).Message);
                    }
                    //setError(sender.get_message());
                }
            });

            
        }

        function selectAllClick() {
            var tblID = "selectedSites";  

            if ($(event.srcElement).attr("checked")) {
                jQuery.each($('#' + tblID + '> tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).attr("checked", "checked");

                });
            }
            else {
                jQuery.each($('#' + tblID + ' > tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).removeAttr("checked");
                });
            }
        }

        function notifyOnSaveError(msg) {
            if (document.readyState != "complete") {
                window.setTimeout(function () { notifyOnSaveError(msg); }, 50);
                return;
            }

            alert(msg);
        }

        
        function doSave() {
            syncViewToModel();
            
            popupArguments.callback({ "Attributes": selectedItems });
            closepopup();
        }

        function clearAttributes () {
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    $(this).remove();
                }
            });
        }

        function addAttributeField (attr){
            var rowHtml = '<tr><td class="grid_cb" style="width: 30px"><input type="checkbox" /></td><td style="width: 30%">' + attr.Name + '</td><td>' + attr.Description + '</td></tr>';
            $("#selectedSites > tbody > tr:last").before(rowHtml);
        }

        function syncModelToView() {
            clearAttributes ();

            var data = $.evalJSON($("#<%=hdnData.ClientID%>").val());

            for (var i = 0; i < data.length; i++){
                addAttributeField(data[i]);
            }
        }

        var selectedItems = [];
        function syncViewToModel() {
            selectedItems = [];

            jQuery.each($('#selectedSites > tbody > tr'), function () {
                var tr = $(this);
                var cb = tr.find("td:eq(0)").find("input[type=checkbox]");

                if (cb.attr("checked")) {
                    selectedItems.push({ Name: tr.find("td:eq(1)").text(), Description: tr.find("td:eq(2)").text(), Type: 1 });
                }
            });
        }

        $(window).load(function () {
            $("#popup_title").text('<%=CardioLog.API.Localization.getText("$Add SharePoint Attributes$")%>');

            $("#attributesDiv").height("205px");

            $("#loader").hide();

            $("#<%=txtSearch.ClientID%>").focus();
        });

    </script>
    </form>
</body>
</html>
