﻿<%@ page language="C#" autoeventwireup="true" inherits="MarketingSuite_SEO_SpsAdaptor, CardioLog_deploy" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>ProjectName</title>
    <meta name="description" content="ProjectName" />
    <meta name="keywords" content="ProjectName" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/Styles/jquery.styledButton.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
    


    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
	<script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>

    <script type="text/javascript" src="Assets/js/jquery.wresize.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/helplets.aspx"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.styledButton.js"></script>

    <style type="text/css">
        table {
          border-collapse: collapse; /* Or do nothing, this is default */
        }        
        
        .errmsg
        {
            font: normal 11px arial;
            color: #c82026;
            clear: both;
            margin-top: -10px;
        }
        .errbox
        {
            border: 1px solid #c82026;
        }
    
        .sitesTable
        {
            width: 100%;
            height: 100%;
            table-layout: fixed;
        }
        
        .sitesHeaderRow
        {
            width: 100%;
            height: 20px;
            background-color: #7c9aac;
            border: 1 solid #7c9aac;
        }
        .sitesContainer
        {
            overflow: auto;
            width: 100%;
            height: 90%;
            border: 1 solid #7c9aac;
        }
        
        .sitesActionsButton
        {
            height: 25px;
            width: 27px;
            text-align: center;
            border: 1px solid #6b6d6b;
            background-color: #e6e7e6;
        }
        
        .formbox
        {
            width: 97.0%;
        }
        
        .tdSites
        {
            width: 47%;
            vertical-align: top;
        }
        
        .tdActions
        {
            width: 6%;
            vertical-align: top;
        }
        
        .tableSites
        {
            width: 100%;
            height: 42%;
            table-layout: fixed;
        }
        
        .tableActions
        {
            margin-left: 30%;
            margin-top: 20%;
        }
        
       
        .refreshloader
        {
            text-align: center;
            background: transparent url("../../Images/loading_box_232x186.png") no-repeat 0 0;
            width: 232px;
            height: 186px;
            z-index: 9999;
        }
        
        .refreshloader IMG
        {
            margin: 61px 0 0 0;
        }
        
        .manadatoryCell
        {
            width: 10px; 
            text-align:center; 
            vertical-align:middle; 
            color:Red;
        }

    	.selected td
    	{
			background-color: #e6eaf1;
    	}
    	
    	.grid_cb
    	{
    	    width: 20px;
    	    padding-left: 5px;
    	}
    </style>

    <script type="text/javascript">
        function notifyOnSaveError(msg) {
            if (document.readyState != "complete") {
                window.setTimeout(function () { notifyOnSaveError(msg); }, 50);
                return;
            }

            alert(msg);
        }

        function selectAllClick() {
            var tblID = (event.srcElement.id == "cbAvailableSitesAll") ? "availableSites" : "selectedSites";

            if ($(event.srcElement).attr("checked")) {
                jQuery.each($('#' + tblID + '> tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).attr("checked", "checked");
                });
            }
            else {
                jQuery.each($('#' + tblID + ' > tbody > tr > td > input[type=checkbox]'), function () {
                    $(this).removeAttr("checked");
                });
            }
        }

        function getDisplayAction(action) {
            var caption = "";
            switch (action) {
                case "InstallFeature":
                    caption = '<%=CardioLog.API.Localization.getText("$Install Farm Feature$")%>';
                    break;

                case "ReinstallFeature":
                    caption = '<%=CardioLog.API.Localization.getText("$Reinstall Farm Feature$")%>';
                    break;

                case "Uninstall":
                    caption = '<%=CardioLog.API.Localization.getText("$Uninstall Farm Feature$")%>';
                    break;

            }
            return caption;
        }

        function onSharepointAction(action) {
            switch (action) {
                case "PublishCode":
                    window.location = "TrackingCodePublisher.aspx?adaptorId=" + Number(getparam("id"));
                    break;

                case "UrlMapping":
                    window.location = "OnlineUrlMappings.aspx?adaptorId=" + Number(getparam("id"));
                    break;

                case "ManageMetadata":
                    window.location = "ManageMetadata.aspx?adaptorId=" + Number(getparam("id")) + "&type=" + getparam("type");
                    break;

                case "InstallFeature":
                case "ReinstallFeature":
                case "Uninstall":
                    var myJSONObject =
			            { "popupArguments": [
                            {
                                title: getDisplayAction(action),
                                "callback": function (res) {
                                    debugger;
                                },
                                "self": parent
                            }]
			            };

                    var url = "/Cardiolog/MarketingSuite/SEO/OnPremiseAction.aspx?adaptorId=" + Number(getparam("id")) + "&action=" + action + "&type=" + getparam("type");
                    parent.PopupManager.ShowPopup(url, 365, 590, myJSONObject, 394, 574);


                    //window.location = "OnPremiseAction.aspx?adaptorId=" + Number(getparam("id")) + "&action=" + action + "&type=" + getparam("type");
                    break;

                default:
                    break;
            }
        }
    </script>
</head>
<body style="width:100%; height:100%;">
    <form id="Form1" method="post" action="#" class="frmbox" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>
    <div class="loader" id="loader" style="display:none; top: 40%;left: 40%;position: absolute;"  >
        <img alt="loading..." src="../../images/ConfigWizard/ajax-loader.gif" />
    </div>
    <div id="overlay">
    </div>
    <div class="wrapper">
        <div class="section">
            <div class="content">
                
                <!--innerbox -->
                <div class="innerbox">
                    <div class="title">
                        <div class="alignleft">
                            <div class="reportTitleLow" id="reportTitle" runat="server">
                            </div>
                        </div>
                    </div>
                    <!--innertop -->
                    <div class="innerboxtop">
                        <div class="tl">
                            <div  class="tr">
                                <h2 id="settingsLable" runat="server"></h2>
                            </div>
                        </div>
                    </div>
                    <!--innersection -->
                    <div class="innersection">
                        <div class="formbox">
                            <table style="table-layout: fixed; width: 100%;">
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="adaptorNameLable" runat="server" class="block_l"></label>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtName" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr  runat="server" id="rowSiteUrl">
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <div class="block_l">
                                            <label id="lblUrl" runat="server" ><%=CardioLog.API.Localization.getText("$Site Collection Url$")%>:</label>
                                            <a href="javascript:void(0);" id="sitecollectionurlhelp" class="qmark17 L"></a>
                                        </div>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtUrl" CssClass="longest" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr runat="server" id="rowDatabaseServer">
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="sharepointDatabaseServerLable" runat="server" class="block_l"></label>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtServer" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr runat="server" id="rowConfigDatabase" >
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <label id="sharepointConfigDatabaseLable" runat="server" class="block_l"></label>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtConfigDatabase" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr runat="server" id="rowProfileDatabase" style="display:none">
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <label id="sharepointProfileDatabaseLable" runat="server" class="block_l"></label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtProfileDatabase" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <label id="authLable" runat="server" class="block_l short_l"></label>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtAuth" CssClass="shortest alignleft" runat="server" Text="" Enabled="true"
                                            ReadOnly="true"></asp:TextBox>
                                        <a id="setRef" runat="server" href="javascript:setauth();" class="btn btn-light" style="color: #000; margin-left: 10px;"></a>
                                        <asp:HiddenField ID="hdnAuthType" runat="server" />
                                        <asp:HiddenField ID="hdnUserName" runat="server" />
                                        <asp:HiddenField ID="hdnPassword" runat="server" />
                                    </td>
                                </tr>
                                <tr runat="server" id="rowTemplatePath" >
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <label id="sharepointTemplatePathLable" runat="server" class="block_l"></label>
                                    </td>
                                    <td style="vertical-align:middle">
                                        <asp:TextBox ID="txtTemplatePath" CssClass="longest" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr runat="server" id="rowActivationSettings">
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <%if (!IsOnline || SupportSocial() || ShowMetadataImport){ %>
                                        <label id="activationSettingsLable" runat="server" class="block_l"></label>
                                        <%} %>
                                    </td>
                                    <td>
                                        <%if (!IsOnline){ %>
                                        <asp:CheckBox ID="cbManageVersions" runat="server" />
                                        <%} %>
                                        <%if (SupportSocial()){ %>    
                                        <br />
                                        <asp:CheckBox ID="cbLoadSocial" runat="server" />
                                        <%} %>
                                        
                                        <%if (!IsOnline){ %> 
                                        <br />   
                                        <asp:CheckBox ID="cbXmlMode" runat="server" /> 
                                        <asp:CheckBox ID="cbOutputToFile" runat="server" style="display:none"/>
                                        <asp:CheckBox ID="cbUseApi" runat="server" style="display:none"/>
                                        <%} %>
                                        <%if (ShowMetadataImport){ %>
                                        <br />
                                        <asp:CheckBox ID="cbManageMetadata" runat="server" />. <a href="javascript:void(0);" onclick="onSharepointAction('ManageMetadata');"><%=CardioLog.API.Localization.getText("$Manage Metadata$")%></a>
                                        <%} %>
                                    </td>
                                </tr>
                                <%if (IsOnline){ %>
                                <tr id="farmActionSection" style="display:none">
                                    <td colspan="3">
                                        <div class="alignright" style="padding-left:15px;" >
                                            <div class="createAdaptorsCollection" style="width:160px; height:15px; margin-right:17px;"><span style="padding-left:20px; text-indent:5px;"><%=CardioLog.API.Localization.getText("$Farm Actions$")%></span>
		                                        <ul >
                                                    
                                                        <li onclick="onSharepointAction('PublishCode');"><%=CardioLog.API.Localization.getText("$Publish tracking code$")%></li>
                                                        <li onclick="onSharepointAction('UrlMapping');"><%=CardioLog.API.Localization.getText("$URL Mappings$")%></li>
                                                   
		                                        </ul>
	                                        </div>
                                        </div>
                                    </td>
                                </tr>
                                 <%} %>
                                <tr>
                                    <td colspan="3">
                                    </td>
                                </tr>
                            </table>
                            <br style="clear: both" />
                        </div>
                    </div>
                    <!--innerbottom -->
                    <div class="innerboxbot">
                        <div class="bl">
                            <div class="br">
                            </div>
                        </div>
                    </div>
                </div>
               
                <!--innerbox -->
                <div id="sitesFrame" class="innerbox"  >
                    <!--innertop -->
                    <div class="innerboxtop">
                        <div class="tl">
                            <div class="tr">
                                <h2 id="sites" runat="server" ></h2>
                            </div>
                        </div>
                    </div>
                    <!--innersection -->
                    <div class="innersection">
                        <div class="formbox" style="padding-top:0px;">
                            <asp:HiddenField ID="hdnLocalSites" runat="server" />
                            <asp:HiddenField ID="hdnExistingFarms" runat="server" />
                            

                            <br />
                            <table>
                                <tr>
                                    <td style="width:130px; vertical-align:middle;">
                                        <select id="comboZones" style="width:96%; padding-left:5px;" >
                                            <option value="All"><%=CardioLog.API.Localization.getText("$All$")%></option> 
                                            <%if (!IsOnline)
                                              { %>
                                            <option value="Default"><%=CardioLog.API.Localization.getText("$Default$")%></option> 
                                            <option value="Intranet"><%=CardioLog.API.Localization.getText("$Intranet$")%></option>
                                            <option value="Internet"><%=CardioLog.API.Localization.getText("$Internet$")%></option>
                                            <option value="Custom"><%=CardioLog.API.Localization.getText("$Custom$")%></option> 
                                            <option value="Extranet"><%=CardioLog.API.Localization.getText("$Extranet$")%></option> 
                                            <%} %>
                                        </select>
                                    </td>
                                    <td style="vertical-align:middle" >
                                        <a href="javascript:applyServerSettings()">
                                            <img src="../../images/2010/SearchGoBtn.gif" height="20px" />
                                        </a>
                                    </td>
                                </tr>
                                <tr style="height:5px" >
                                    <td colspan="2"></td>
                                </tr>
                            </table>

                            <table class="tableSites" style="height:300px;">
                                <tr>
                                    <td class="tdSites">
                                        <table id="availableSitesHeader" class="sitesHeaderRow">
                                            <tr>
                                                <td style="width: 30px">
                                                    <input type="checkbox" id="cbAvailableSitesAll" onclick="return selectAllClick();"/>
                                                </td>
                                                <td id="allWebSitesLable" runat="server">
                                                </td>
                                            </tr>
                                        </table>
                                        <div class="sitesContainer" style="overflow:hidden; overflow-y:auto;">
                                            <table id="availableSites" class="sitesTable">
                                                <tr id="lastAvailableSitesRow" style="height: 100%">
                                                    <td>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td class="tdActions" >
                                        <table id="actionTable" class="tableActions" style="height:100%;">
                                            <tr style="height: 45%;">
                                                <td>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <input type="button" class="sitesActionsButton" value=" > " onclick="moveTo(1);" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <input type="button" class="sitesActionsButton" value=" < " onclick="moveTo(0);" />
                                                </td>
                                            </tr>
                                            <tr style="height: 45%;">
                                                <td>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="tdSites">
                                        <table id="selectedSitesHeader" class="sitesHeaderRow">
                                            <tr>
                                                <td style="width: 30px">
                                                    <input type="checkbox" id="cbSelectedSitesAll" onclick="return selectAllClick();"/>
                                                </td>
                                                <td id="selectedWebSitesLable" runat="server">
                                                </td>
                                            </tr>
                                        </table>
                                        <div class="sitesContainer" style="overflow:hidden; overflow-y:auto;">
                                            <table id="selectedSites" class="sitesTable">
                                                <tr id="lastSelectedSitesRow" style="height: 100%">
                                                    <td>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                            <br />
                        </div>
                    </div>
                    <div class="innerboxbot">
                        <div class="bl">
                            <div class="br">
                            </div>
                        </div>
                    </div>
                </div>

                <!--innerbox -->
            </div>
        </div>
        <div class="bigboxbot homepagebot">
            <div class="bl">
                <div class="br">
                    <!--footer -->
                    <div class="footer">
                        <div class="alignleft">
                            <a id="backLink" runat="server" href="index.aspx" class="bluelink"></a>
                            
                        </div>
                        <div class="alignright">
                            <ul class="btns">
                                <li id="deletebutton" runat="server" style="display: none;"><a href="javascript:deletejob();" class="btn btn-brown"><%=CardioLog.API.Localization.getText("$Delete$")%></a></li>
                                <li><a id="savebutton" runat="server" href="javascript:saveAdaptor();" class="btn btn-darkblue"></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>

    <script type="text/javascript">
        showBottomGreyBar();

        $(window).unload(function () {
            showBottomWhiteBar()
        });

        // add help bubbles
        var atags = document.getElementsByTagName("A");
		for (var i = 0; i < atags.length; i++) {
			var _a = atags[i];
			if (_a.className.indexOf('qmark') > -1) {
				_a.data = qmarkData[_a.id];
				_a.onmouseover = function () {
					window.top.document.openQBubble(window, null, this, this.data, 420);
				};
			}
		}

        function setauth() {
            var myJSONObject =
			{ "popupArguments": [
                { "treeType": 0, "type": $("#<%=hdnAuthType.ClientID%>").val(),
                    "displayname": $("#<%=hdnUserName.ClientID%>").val(),
                    "username": $("#<%=hdnUserName.ClientID%>").val(),
                    "password": $("#<%=hdnPassword.ClientID%>").val(),
                    "callback": setauthpost,
                    "self": parent
                }]
			};

            var url = '';
            if ('<%=IsOnline%>' == 'True') {
                url = '/Cardiolog/MarketingSuite/SEO/gen_auth.aspx?type=spsonline';
            }
            else {
                url = '/Cardiolog/MarketingSuite/SEO/sqlauth.aspx';
            }

            parent.PopupManager.ShowPopup(url, 275, 400, myJSONObject, 394, 574);
        }

        function setauthpost(obj) {
            switch (obj.type) {
                case "0":
                    $("#<%=txtAuth.ClientID%>").val("Windows Integrated");
                    $("#<%=hdnUserName.ClientID%>").removeAttr('value');
                    $("#<%=hdnPassword.ClientID%>").removeAttr('value');
                    break;
                case "1":
                    $("#<%=txtAuth.ClientID%>").val(obj.username + " (Windows Authentication)");
                    $("#<%=hdnUserName.ClientID%>").val(obj.username);
                    $("#<%=hdnPassword.ClientID%>").val(obj.password);
                    break;
                
                case "2":
                    $("#<%=txtAuth.ClientID%>").val(obj.username + " (SQL Authentication)");
                    $("#<%=hdnUserName.ClientID%>").val(obj.username);
                    $("#<%=hdnPassword.ClientID%>").val(obj.password);
                    break;

                case "3":
                    $("#<%=txtAuth.ClientID%>").val(obj.username + " (Microsoft Live ID)");
                    $("#<%=hdnUserName.ClientID%>").val(obj.username);
                    $("#<%=hdnPassword.ClientID%>").val(obj.password);
                    break;
            }

            $("#<%=hdnAuthType.ClientID%>").val(obj.type);
        }


        var mydelJSONObject;
        function deletejob() {
            var mydelJSONObject = { "popupArguments": [{ title: $("#<%=txtName.ClientID%>").val(), "iswebtrees": false, callback: dodeletejob, self: document.parentWindow.parent}] };
            parent.PopupManager.ShowPopup("/CardioLog/MarketingSuite/SEO/delete-job.aspx", 177, 700, mydelJSONObject);
        }

        function dodeletejob(detachandkeep) {
            var id = Number(getparam("id"));
            if (!isNaN(id) && id > 0) {
                $("#loader").show();
                function callback() {
                    Loader.hide();
                    document.location.href = 'SharepointAdaptorList.aspx';
                }

                Server.SEO.DeleteSharepointFarmSettings (id, detachandkeep, callback);
            }
        }

        function saveAdaptor() {
            syncViewToModel();

            if (!validateInfo()) {
                return;
            }

            //check Sites Selection
            var sites = [];
            loadSelectedSites(sites);
            if (sites.length == 0) {
                alert("<%=CardioLog.API.Localization.getText("$Please select one or more web sites$")%>");
                return;
            }

            var existingFarms = $.evalJSON($("#<%=hdnExistingFarms.ClientID%>").val());
            var currentName = $("#<%=txtName.ClientID%>").val();
            if (existingFarms[currentName] != null) {
                alert("A farm with this name already exists. Please specify a different name.");
                markManadatoryError($("#<%=txtName.ClientID%>"), true);
                return;
            }

            __doPostBack(null, 'Save');
        }
        function validateField(name, field) {
            $field = $("#" + field);
            if ($field.val() == "") showErr(name, field, "empty");
            //else if (field.toLowerCase().indexOf('url')>-1 && !isUrl($field.val())) showErr(name, field, "failed");
            else hideErr(field);
            return $field.data().err;
        }
        function showErr(name, field, reason) {
            hideErr(field);
            $field = $("#" + field);
            var errtxt = (reason == "empty") ? "Required" : "Enter a valid " + name;
            var errmsg = $("<li class='errmsg'>" + errtxt + "</li>");
            errmsg.insertAfter($field.parents("LI:first"));
            $field.addClass("errbox").focus();
            $field.data({ err: true, msg: errmsg });
        }
        function hideErr(field) {
            $field = $("#" + field);
            if ($field.data().err) {
                $field.removeClass('errbox');
                $field.data().msg.remove();
                $field.data({ err: false, msg: null });
            }
        }
        //var job = null;


        function unselectAllRows(tableId) {
            jQuery.each($('#' + tableId + ' > tbody > tr > td > [checked]'), function () {
                $(this).removeAttr("checked");
                //$(this).removeClass("selected");
                //$(this).css('background-color', '');
            });
        }

        function getDisplayUrl (site){
            if (site["Zone"]) {
                return site.URL + " (" + site["Zone"] + ")"
            }
            return site.URL 
        }

        function loadSite(site) {
            var tableId = (site.Selected ? "selectedSites" : "availableSites");
            var rowHtml = '<tr ' + (site["Zone"] ? ('_zone="' + site.Zone + '"') : '') + ' ><td class="grid_cb" style="width:30px; padding:0px;"><input type="checkbox" style="width:15px;"/></td><td>' + getDisplayUrl(site) + '</td></tr>';
            
            $("#" + tableId + " > tbody > tr:last").before(rowHtml);
        }

        function moveTo(side) {
            $("#cbAvailableSitesAll").removeAttr("checked");
            $("#cbSelectedSitesAll").removeAttr("checked");

            var sourceTableId = (side == 1 ? 'availableSites' : 'selectedSites');
            var targetTableId = (side == 1 ? 'selectedSites' : 'availableSites');

            jQuery.each($('#' + sourceTableId + ' > tbody > tr > td > input[type=checkbox]'), function () {
                if (this.checked){
                    var tr = $(this).parent('td').parent('tr');
                    var rowHtml = tr[0].outerHTML.replace(sourceTableId, targetTableId);
                    tr.remove();

                    $('#' + targetTableId + " > tbody > tr:last").before(rowHtml);
                }
            });

            unselectAllRows(targetTableId);
        }

        function cleanSitesTables() {
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    $(this).remove();
                }
            });

            jQuery.each($('#availableSites > tbody > tr'), function () {
                if (this.id != "lastAvailableSitesRow") {
                    $(this).remove();
                }
            });
        }


        function syncModelToView() {
            cleanSitesTables();

            var jsonSites = $.evalJSON($("#<%=hdnLocalSites.ClientID%>").val());
            if (jsonSites) {
                for (var i = 0; i < jsonSites.length; i++) {
                    loadSite(jsonSites[i]);
                }
            }
        }

        function loadSelectedSites(sites) {
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    var url = $(this).find("td:last").text();
                    var zone = $(this).attr ("_zone");
                    if (zone){
                        url = url.replace ("(" + zone+ ")", "");                      
                    }
                    else {
                        zone = "";
                    }

                    var site = { Selected: true, URL: url, Zone: zone };
                    sites.push(site);
                }
            });
        }

        function loadAvailableSites(sites) {
            jQuery.each($('#availableSites > tbody > tr'), function () {
                if (this.id != "lastAvailableSitesRow") {
                    var url = $(this).find("td:last").text();
                    var zone = $(this).attr ("_zone");
                    if (zone){
                        url = url.replace ("(" + zone+ ")", "");                      
                    }
                    else {
                        zone = "";
                    }

                    var site = { Selected: false, URL: url, Zone: zone };
                    sites.push(site);
                }
            });
        }

        function syncViewToModel() {
            var sites = [];

            loadSelectedSites(sites);
            loadAvailableSites(sites);

            $("#<%=hdnLocalSites.ClientID%>").val($.toJSON(sites));

            return sites.length > 0 || urlMappings.length > 0;
        }

        

        function getValidationSharepointInfo() {
            var info = {};

            if ('<%=IsOnline%>' == 'True') {
                info.SiteUrl = $("#<%=txtUrl.ClientID%>").val();
            }
            else {
                info.ServerInstance = $("#<%=txtServer.ClientID%>").val();
                info.ServerConfigDb = $("#<%=txtConfigDatabase.ClientID%>").val();
                info.ServerProfileDb = $("#<%=txtProfileDatabase.ClientID%>").val();
            }
            info.UN = $("#<%=hdnUserName.ClientID%>").val();
            info.UP = $("#<%=hdnPassword.ClientID%>").val();
            info.AT = Number($("#<%=hdnAuthType.ClientID%>").val());

            info.Zone = $("#comboZones").val();

            return $.toJSON(info);
        }

        function getExSharepointInfo () {
            var info = getSharepointInfo();
            if (info) {
                info["Version"] = "<%=getVersion()%>";         
                info["TemplatePath"] =  $("#<%=txtTemplatePath.ClientID%>").val();       
            }

            return info;
        }

        function getSharepointInfo() {
            var info = {};

            if ('<%=IsOnline%>' == 'True') {
                info.SiteUrl = $("#<%=txtUrl.ClientID%>").val();
            }
            else {
                info.ServerInstance = $("#<%=txtServer.ClientID%>").val();
                info.ServerConfigDb = $("#<%=txtConfigDatabase.ClientID%>").val();
                info.ServerProfileDb = $("#<%=txtProfileDatabase.ClientID%>").val();
            }
			info.Version = "<%=getVersion()%>";
            info.UN = $("#<%=hdnUserName.ClientID%>").val();
            info.UP = $("#<%=hdnPassword.ClientID%>").val();
            info.AT = Number($("#<%=hdnAuthType.ClientID%>").val());

            info.Zone = $("#comboZones").val();

            return info;
        }

        function markManadatoryError(field, error) {
            var row = field.parent('td').parent('tr');

            var td = row.find('td:eq(0)');
            td.text(error ? '*' : ' ');

            if (error) {
                field.addClass("errbox");
            }
            else {
                field.removeClass("errbox");
            }
        }

        function validateInfo() {
            var validated = true;
            //check name
            if (!$("#<%=txtName.ClientID%>").val()) {
                markManadatoryError($("#<%=txtName.ClientID%>"), true);
                validated = false;
            }

            if ('<%=IsOnline%>' == 'True') {
                if (!$("#<%=txtUrl.ClientID%>").val()) {
                    markManadatoryError($("#<%=txtUrl.ClientID%>"), true);
                    validated = false;
                }
            }
            else {
                
                if (validated) {
                    if (!$("#<%=txtTemplatePath.ClientID%>").val() || 
                        !$("#<%=txtConfigDatabase.ClientID%>").val() ||
                        !$("#<%=txtServer.ClientID%>").val()) {

                        loadMissingSharepointData();
                    }

                    //check template path
                    if (!$("#<%=txtTemplatePath.ClientID%>").val()) {
                        markManadatoryError($("#<%=txtTemplatePath.ClientID%>"), true);
                        validated = false;
                    }

                    //check db config
                    if (!$("#<%=txtConfigDatabase.ClientID%>").val()) {
                        markManadatoryError($("#<%=txtConfigDatabase.ClientID%>"), true);
                        validated = false;
                    }

                    //check db server
                    if (!$("#<%=txtServer.ClientID%>").val()) {
                        markManadatoryError($("#<%=txtServer.ClientID%>"), true);
                        validated = false;
                    }
                }

            }
            return validated;
        }

        function normalizeSites(sites) {
            var selectedSitesMap = {};
            jQuery.each($('#selectedSites > tbody > tr'), function () {
                if (this.id != "lastSelectedSitesRow") {
                    selectedSitesMap[$(this).find("td:last").text()] = 1;
                }
            });

            ///mark selections
            jQuery.each($(sites), function (index, value) {
                if (selectedSitesMap[value.URL]) {
                    value.Selected = true;
                }
            });
        }

        function applyServerSettings() {
            if (!validateInfo()) {
                return;
            }
            onRefreshSites();
        }


        function loadMissingSharepointData() {
            $("#loader").show();
            $.ajax({
                async: false,
                type: "POST",
                url: "/CardioLog/WS/UtilsService.asmx/LoadMissingSharepointData",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                data: "{ exInfo: " + $.toJSON(getExSharepointInfo()) + " }",
                success: function (data) {
                    if (data.d.Error) {
                        //setError(data.d.Error.Message);
                        return;
                    }

                    if (data.d["ServerInstance"]) {
                        $("#<%=txtServer.ClientID%>").val(data.d["ServerInstance"]);
                    }

                    if (data.d["ServerConfigDb"]) {
                        $("#<%=txtConfigDatabase.ClientID%>").val(data.d["ServerConfigDb"]);
                    }

                    if (data.d["TemplatePath"]) {
                        $("#<%=txtTemplatePath.ClientID%>").val(data.d["TemplatePath"]);
                    }
                },
                error: function (sender, args) {
                    if (sender.get_message) {
                        alert(sender.get_message());
                    }
                    else {
                        alert($.evalJSON(sender.responseText).Message);
                    }
                }
            });

            $("#loader").hide();
        }

        function onRefreshSites() {
            $("#loader").show();

            $.ajax({
                async: false,
                type: "POST",
                url: "/CardioLog/WS/UtilsService.asmx/GetSharepointSites",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                data: "{ info: " + $.toJSON(getSharepointInfo()) + " }",
                success: function (data) {
                    if (data.d.Error) {
                        //setError(data.d.Error.Message);
                        return;
                    }

                    normalizeSites(data.d);
                    $("#<%=hdnLocalSites.ClientID%>").val($.toJSON(data.d));

                    syncModelToView();
                },
                error: function (sender, args) {
                    if (sender.get_message) {
                        alert(sender.get_message());
                    }
                    else {
                        alert($.evalJSON(sender.responseText).Message);
                    }
                    //setError(sender.get_message());
                }
            });

            $("#loader").hide();
        }

        $(window).load(function () {
            var id = Number(getparam("id"));
            if (!isNaN(id) && id > 0) {
                syncModelToView();

                $("#<%=deletebutton.ClientID%>").show();
                $("#farmActionSection").show();
            }
            else {
                $("#<%=deletebutton.ClientID%>").hide();
                $("#farmActionSection").hide();
            }

            $("#backLink").attr('href', 'SharepointAdaptorList.aspx');

            $("div.createAdaptorsCollection").styledButton({
                'padding': '5px 20px',
                'font-size': '14px',
                'orientation': 'left',
                'dropdown': { 'element': 'ul' },
                'role': 'select',
                'defaultValue': 'default value',
                'name': 'adaptors',
                'clear': true
            });

            $("#loader").hide();
        });

        parent.setCaption('Administration', false, getparam("type") + " Adaptor");
    </script>
    </form>
</body>
</html>
