﻿<%@ page language="C#" inherits="MarketingSuite_SEO_YammerAdaptor, CardioLog_deploy" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>ProjectName</title>
    <meta name="description" content="ProjectName" />
    <meta name="keywords" content="ProjectName" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />

    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/jquery.wresize.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
    

    <style type="text/css">
        .errmsg
        {
            font: normal 11px arial;
            color: #c82026;
            clear: both;
            margin-top: -10px;
        }
        .errbox
        {
            border: 1px solid #c82026;
        }
    
        .sitesTable
        {
            width: 100%;
            height: 100%;
            table-layout: fixed;
        }
        
        .sitesHeaderRow
        {
            width: 100%;
            height: 20px;
            background-color: #7c9aac;
            border: 1 solid #7c9aac;
        }
        .sitesContainer
        {
            overflow: auto;
            width: 100%;
            height: 90%;
            border: 1 solid #7c9aac;
        }
        
        .sitesActionsButton
        {
            height: 25px;
            width: 27px;
            text-align: center;
            border: 1px solid #6b6d6b;
            background-color: #e6e7e6;
        }
        
        .formbox
        {
            width: 99.5%;
        }
        
        .formbox input.shortest
        {
           width:30%; 
        }
        
        .tdSites
        {
            width: 47%;
        }
        
        .tdActions
        {
            width: 6%;
        }
        
        .tableSites
        {
            width: 100%;
            height: 70%;
            table-layout: fixed;
        }
        
        .tableActions
        {
            margin-left: 30%;
            margin-top: 20%;
        }
        
       
        .refreshloader
        {
            text-align: center;
            background: transparent url("../../Images/loading_box_232x186.png") no-repeat 0 0;
            width: 232px;
            height: 186px;
            z-index: 9999;
        }
        
        .refreshloader IMG
        {
            margin: 61px 0 0 0;
        }
        
        .manadatoryCell
        {
            width: 10px; 
            text-align:center; 
            vertical-align:middle; 
            color:Red;
        }

    	.selected td
    	{
			background-color: #e6eaf1;
    	}
    	
    	.grid_cb
    	{
    	    width: 20px;
    	    padding-left: 5px;
    	}
    </style>

    <script type="text/javascript">
        function notifyOnSaveError(msg) {
            if (document.readyState != "complete") {
                window.setTimeout(function () { notifyOnSaveError(msg); }, 50);
                return;
            }

            alert(msg);
        }

        
    </script>
</head>
<body style="width:100%; height:100%;">
    <form id="Form1" method="post" action="#" class="frmbox" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>

    <asp:HiddenField ID="hdnModel" runat="server" />
    <div class="loader" id="loader" style="display:none; top: 40%;left: 40%;position: absolute;"  >
        <img alt="loading..." src="../../images/ConfigWizard/ajax-loader.gif" />
    </div>
    <div id="overlay">
    </div>
    <div class="wrapper">
        <div class="section">
            <div class="content">
                
                <!--innerbox -->
                <div class="innerbox">
                    <div class="title">
                        <div class="alignleft">
                            <div class="reportTitleLow" id="reportTitle" runat="server">
                            </div>
                        </div>
                    </div>
                    <!--innertop -->
                    <div class="innerboxtop">
                        <div class="tl">
                            <div  class="tr">
                                <h2 id="settingsLable" runat="server"></h2>
                            </div>
                        </div>
                    </div>
                    <!--innersection -->
                    <div class="innersection">
                        <div class="formbox">
                            <table style="table-layout: fixed; width: 100%;">
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="lbl" runat="server" class="block_l"><%=CardioLog.API.Localization.getText("$Status$")%>:</label>
                                    </td>
                                    <td>
                                        <select id="comboActivationStatus" class="shortest alignleft" >
                                            <option value="optNotActive"><%=CardioLog.API.Localization.getText("$Inactive$")%></option>
                                            <option value="optActive"><%=CardioLog.API.Localization.getText("$Active$")%></option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="lblNetwork" runat="server" class="block_l"><%=CardioLog.API.Localization.getText("$Network$")%>:</label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtNetwork" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="lblClientID" runat="server" class="block_l"><%=CardioLog.API.Localization.getText("$Client ID$")%>:</label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtClientID" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="lblClientSecret" runat="server" class="block_l"><%=CardioLog.API.Localization.getText("$Client Secret$")%>:</label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtClientSecret" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td style="width: 250px;">
                                        <label id="lblAccessToken" runat="server" class="block_l"><%=CardioLog.API.Localization.getText("$Access Token$")%>:</label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtAccessToken" CssClass="shortest alignleft" runat="server" Text=""></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="manadatoryCell"></td>
                                    <td>
                                        <label id="authLable" runat="server" class="block_l short_l"></label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtAuth" CssClass="shortest alignleft" runat="server" Text="" Enabled="true"
                                            ReadOnly="true"></asp:TextBox>
                                        <a id="setRef" runat="server" href="javascript:setauth();" class="btn btn-light" style="color: #000; margin-left: 10px;"></a>
                                        <asp:HiddenField ID="hdnUserName" runat="server" />
                                        <asp:HiddenField ID="hdnPassword" runat="server" />
                                        <asp:HiddenField ID="hdnAuthType" runat="server" />
                                    </td>
                                </tr>
                            </table>
                            <br style="clear: both" />
                        </div>
                    </div>
                    <!--innerbottom -->
                    <div class="innerboxbot">
                        <div class="bl">
                            <div class="br">
                            </div>
                        </div>
                    </div>
                </div>
               
                <!--innerbox -->
            </div>
        </div>
        <div class="bigboxbot homepagebot">
            <div class="bl">
                <div class="br">
                    <!--footer -->
                    <div class="footer">
                        <div class="alignleft">
                            <a id="backLink" runat="server" href="SocialAdaptorList.aspx" class="bluelink"></a>
                        </div>
                        <div class="alignright">
                            <ul class="btns">
                                <li id="deletebutton" runat="server" style="display: none;"><a href="javascript:deleteAdaptor();" class="btn btn-brown"><%=CardioLog.API.Localization.getText("$Delete$")%></a></li>
                                <li><a id="savebutton" runat="server" href="javascript:saveAdaptor();" class="btn btn-darkblue"></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>

    <script type="text/javascript">
        showBottomGreyBar();

        $(window).unload(function () {
            showBottomWhiteBar()
        });

        function setauth() {
            var myJSONObject =
			{ "popupArguments": [
                { "treeType": 0, "type": $("#<%=hdnAuthType.ClientID%>").val(),
                    "username": $("#<%=hdnUserName.ClientID%>").val(),
                    "password": $("#<%=hdnPassword.ClientID%>").val(),
                    "callback": setauthpost,
                    "self": parent
                }]
			};

            var url = '/Cardiolog/MarketingSuite/SEO/gen_auth.aspx?type=yammer';
            parent.PopupManager.ShowPopup(url, 275, 400, myJSONObject, 394, 574);
        }

        function setauthpost(obj) {
            $("#<%=txtAuth.ClientID%>").val(obj.username + " (Yammer Credentials)");
            $("#<%=hdnUserName.ClientID%>").val(obj.username);
            $("#<%=hdnPassword.ClientID%>").val(obj.password);
            $("#<%=hdnAuthType.ClientID%>").val(obj.type);
        }


        function saveAdaptor() {
            var m = syncViewToModel();

            if (!validateInfo(m)) {
                return;
            }

            __doPostBack(null, 'Save');
        }


        function loadModel() {
            var m = {};
            m["YammerSupported"] = ($("#comboActivationStatus").val() == "optActive");
            m["YammerClientID"] = $("#<%=txtClientID.ClientID%>").val();
            m["YammerSecret"] = $("#<%=txtClientSecret.ClientID%>").val();
            m["YammerNetwork"] = $("#<%=txtNetwork.ClientID%>").val();
            m["YammerAccessToken"] = $("#<%=txtAccessToken.ClientID%>").val();
            return m;
        }

        function syncModelToView() {
            var m = $.evalJSON($("#<%=hdnModel.ClientID%>").val());
            if (m) {
                $("#comboActivationStatus").val(m["YammerSupported"] ? "optActive" : "optNotActive");

                if (m["YammerClientID"]) {
                    $("#deletebutton").show();

                    $("#<%=txtClientID.ClientID%>").val(m["YammerClientID"]);
                    $("#<%=txtClientSecret.ClientID%>").val(m["YammerSecret"]);
                    $("#<%=txtAccessToken.ClientID%>").val(m["YammerAccessToken"]);
                    $("#<%=txtNetwork.ClientID%>").val(m["YammerNetwork"]);

                    $("#<%=txtAuth.ClientID%>").val($("#<%=hdnUserName.ClientID%>").val());
                }
            }
        }

        function syncViewToModel() {
            var m = loadModel();

            $("#<%=hdnModel.ClientID%>").val($.toJSON(m));

            return m;
        }


        function markManadatoryError(field, error) {
            var row = field.parent('td').parent('tr');

            var td = row.find('td:eq(0)');
            td.text(error ? '*' : ' ');

            if (error) {
                field.addClass("errbox");
            }
            else {
                field.removeClass("errbox");
            }
        }

        function validateInfo(m) {
            var validated = true;
            if (!$("#<%=hdnUserName.ClientID%>").val() || !$("#<%=hdnPassword.ClientID%>").val()) {
                markManadatoryError($("#<%=txtAuth.ClientID%>"), true);
                validated = false;
            }

            if (!$("#<%=txtClientID.ClientID%>").val()) {
                markManadatoryError($("#<%=txtClientID.ClientID%>"), true);
                validated = false;
            }

            if (!$("#<%=txtClientSecret.ClientID%>").val()) {
                markManadatoryError($("#<%=txtClientSecret.ClientID%>"), true);
                validated = false;
            }

            if (!$("#<%=txtNetwork.ClientID%>").val()) {
                markManadatoryError($("#<%=txtNetwork.ClientID%>"), true);
                validated = false;
            }

            if (!$("#<%=txtAccessToken.ClientID%>").val()) {
                markManadatoryError($("#<%=txtAccessToken.ClientID%>"), true);
                validated = false;
            }

            return validated;
        }

        function deleteAdaptor() {
            var r = confirm("Are you sure you want to delete Yammer Adaptor?");
            if (r == true) {
                __doPostBack(null, 'delete');
            }
        }

        $(window).load(function () {
            syncModelToView();

            $("#backLink").attr('href', '../../MarketingSuite/SEO/SocialAdaptorList.aspx');

            $("#loader").hide();
        });

        parent.setCaption('Administration', false, '<%=CardioLog.API.Localization.getText("$Yammer Adaptor Settings$")%>');
    </script>
    </form>
</body>
</html>
