<%@ Reference Page="~/index.aspx" %>
<%@ page language="c#" inherits="CardioLog.Reports.index, CardioLog_deploy" %>
<% 
    string cardioLogUIVersion;
    try
	{
        cardioLogUIVersion = CardioLog.API.CardioLogUIVersion.UIVersion;
    }
    catch
    {
        cardioLogUIVersion = "2007";
    } 
%>
<html xmlns:CARDIOLOG>
  <head>
    <title>index</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">

		<%if(cardioLogUIVersion=="2007"){ %>
		    <LINK rel="stylesheet" type="text/css" href="../Styles/general.css"></LINK>
		    <?IMPORT namespace="CARDIOLOG" implementation="../Controls/Tree/Tree.aspx">
        <% } if(cardioLogUIVersion=="2010"){ %>
		    <LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css"></LINK>
    		<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_popup_selectscrollpanel.css"></LINK>		    
		    <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Tree/Tree.aspx">    
        <% } %>

		<?IMPORT namespace="CARDIOLOG" implementation="../Controls/RightClick/RightClick.aspx">

		<SCRIPT type="text/javascript" src="../Scripts/Cookies.js"></SCRIPT>
		<SCRIPT type="text/javascript" src="../Scripts/rightClickHelper.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="../Scripts/reportsTreeMenu.aspx"></SCRIPT>
<script>
function getValue(g,c,b){var d=new RegExp("^[^$]*<"+c+">(.*?)</"+c+">[^$]*$","i");var f=g.replace(d,"$1");if(f==g||f.replace(/ /g,"")==""){return b}else{return f}}function getValueFromXML(d,c,b){if(xmlStringObj.selectSingleNode(".//"+c)){return xmlStringObj.selectSingleNode(".//"+c).text}else{return b}}try{document.Ajax=(parent&&parent.document&&parent.document.Ajax)?parent.document.Ajax:false;document.Status=(parent&&parent.document&&parent.document.Status)?parent.document.Status:{print:function(){},clear:function(){}}}catch(e){}function escapeToHebrew(d){if(!d.match(/[?-?]/)){return d}var c="";for(var b=0;b<d.length;b++){if(d.substring(b,b+1).match(/[?-?]/)){var f=parseInt(d.charCodeAt(b),10)-1488+parseInt(224,10);c+="%"+f.toString(16).toUpperCase()}else{c+=d.substring(b,b+1)}}return c}function insideCardiologEnvironment(){try{var c=top.location.href;return true}catch(b){return false}}function getCardioLogParentWindow(){var c=self;try{while(c.location.href!=""){a=c.parent.location.href;if(c==c.parent){return c}c=c.parent}return c}catch(b){return c}}function toggleHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true)}function toggleMeterHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true,true)}function toggleHelpSection(d,b){var c;if(b){c=(b=="true")?false:true}else{c=(d.className.match(/Open$/))?true:false}d.nextSibling.style.display=c?"none":"";d.className="boxHelpSection"+(c?"Close":"Open");return c}function openHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("true","true",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[true,true]);document.scheduler.setPreferences(f,b,false,true,d)}}function findBox(d){var c=document.all.cardioLogBox;if(c&&c.length){for(var b=0;b<c.length;b++){if(c[b]._id==d){return c[b]}}}else{if(c&&c._id==d){return c}}}function closeHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("false","false",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[false,false]);document.scheduler.setPreferences(f+"",b,false,true,d)}}function openPreferences(c,b){event.cancelBubble=true;document.scheduler.openPreferences(c,b);return false};
</script>

		<script>
		    
		    var cardioLogUIVersion = "<%= cardioLogUIVersion%>";
			var treeMenu, reportMenu, folderMenu;

			document.ADSupport = <%= ADSupport %>;
			document.CategorySupport = <%= CategorySupport %>;
			
			window.onload = function() {
            
            if (cardioLogUIVersion == "2007") {
				treeMenu = new RightClickMenu("treeMenu", treeMenuStructure);
				reportMenu = new RightClickMenu("reportMenu", reportMenuStructure);
				folderMenu = new RightClickMenu("folderMenu", folderMenuStructure);
				}
				
			if (cardioLogUIVersion == "2010") {
				treeMenu = new RightClickMenu("treeMenu", treeMenuStructure);
				reportMenu = new RightClickMenu("reportMenu", reportMenuStructure_2010);
				folderMenu = new RightClickMenu("folderMenu", folderMenuStructure_2010);
				}
				
				try {
					resizePane(parent.getPaneWidth());
				} catch (e) {
				}
			}

			var editMode = false;
			
			document.callFromTree = function(entry) {
				if (entry) {
					switch (entry.id) {
						default:
							alert("<%=CardioLog.API.Localization.getText("$You are not authorized$")%>");
					}
				} else {
					try {
						if (document.all["reports"].selectedItem.type.toLowerCase() == "report") {
							var availableWidth = (parseInt(parent.frames[1].document.body.offsetWidth,10));
							if (editMode) 
								parent.frames[1].location.href = "/CardioLog/clpage/index.aspx?entityType="+document.all["reports"].selectedItem.type+"&entityId="+document.all["reports"].selectedItem.id+"&treeType=1&username=CARDIOLOG_REPORTS";
							else 
								parent.frames[1].location.href = "/CardioLog/clreport/index.aspx?entityId="+document.all["reports"].selectedItem.id+"&availableWidth="+availableWidth;

							editMode = false;
                            if (cardioLogUIVersion == "2010") parent.setCaption("<%=CardioLog.API.Localization.getText("$Report Center$")%>");
						} else {
							parent.frames[1].location.href = "/CardioLog/clreport/blank.aspx";
							if (cardioLogUIVersion == "2007") parent.setCaption(document.all["reports"].selectedItem.path);
							if (cardioLogUIVersion == "2010") parent.setCaption(document.all["reports"].selectedItem.name);
						}
					} catch (e) {
					}
				}
			}		

			function checkForErrors(status, action) {
				try {
					if (status.errorCode != 0) throw {description:status.reason}
					var statusNode = status.ResponseXml.selectSingleNode(".//STATUS");
					if (statusNode != null && statusNode.getAttribute("id") != "0") throw {description:statusNode.text}

					return false;
				} catch (e) {
					document.Status.print("Error in "+action+". Server response was '"+e.description+"'", "status");
					return true;
				}
			}
			
			function addFolderPostCallback(status) {
				if (!checkForErrors(status, "addFolder")) document.all["reports"].updateBranches(status.ResponseXml);
			}
			function editFolderPostCallback(status) {
				if (!checkForErrors(status, "editFolder")) document.all["reports"].updateBranches(status.ResponseXml);
			}
			function removeFolderPostCallback(status) {
				if (!checkForErrors(status, "removeFolder")) document.all["reports"].updateBranches(status.ResponseXml, true);
			}
			function addReportPostCallback(status){
				if (!checkForErrors(status, "addReport")) {
					editMode = true;
					document.all["reports"].updateBranches(status.ResponseXml, true);
				}
			}
			function removeReportHistoryPostCallback(status) {
				if (!checkForErrors(status, "removeHistoryReport")) {
					executeTreeMenu({id:"open"});
				}
			}
			function removeReportPostCallback(status) {
				if (!checkForErrors(status, "removeReport")) document.all["reports"].updateBranches(status.ResponseXml, true);
			}
			function editReportPostCallback(status) {
				if (!checkForErrors(status, "editReport")) {
					editMode = true;
					document.all["reports"].updateBranches(status.ResponseXml, true);
				}
			}

            function copyReportPostCallback(status) {
				if (!checkForErrors(status, "copyReport")) {
					editMode = true;
					document.all["reports"].updateBranches(status.ResponseXml, true);
				}
			}

			function permissionPostCallback(status) {
				if (!checkForErrors(status, "get")) document.all["reports"].updateBranches(status.ResponseXml);
			}
			
			function addFolderPost(parentId, folderName) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=add&username=CARDIOLOG_REPORTS&entityParentId="+parentId+"&entityType=5&entityName="+encodeURIComponent(folderName)+"&entityUrl=%20&treeType=1", true, false, addFolderPostCallback);
			}
			function editFolderPost(id, folderName) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=edit&username=CARDIOLOG_REPORTS&id="+id+"&entityName="+encodeURIComponent(folderName)+"&entityUrl=%20&treeType=1", true, false, editFolderPostCallback);
			}
			function removeFolderPost(id) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=remove&username=CARDIOLOG_REPORTS&treeType=1&entityId="+id, true, true, removeFolderPostCallback);
			}
			function addReportPost(isBlank, item, name, description, columns, scheduleType, isTemplateBased, templateId) {
				var url = '';
				if (isBlank)
					url = "action=newReport&treeType=1&username=CARDIOLOG_REPORTS&entityParentId="+document.all["reports"].selectedItem.id+"&entityName="+encodeURIComponent(name)+"&entityDescription="+encodeURIComponent(description)+"&numOfColumns="+columns+"&scheduleType="+scheduleType;
				else if (isTemplateBased)
					url = "action=createReportFromTemplate&treeType=1&username=CARDIOLOG_REPORTS&entityParentId="+document.all["reports"].selectedItem.id+"&entityName="+encodeURIComponent(name)+"&entityDescription="+encodeURIComponent(description)+"&numOfColumns="+columns+"&scheduleType="+scheduleType+"&basedOnEntityType="+item.type+"&basedOnId="+item.id+"&basedOnTemplateId="+templateId;
				else
					url = "action=createReport&treeType=1&username=CARDIOLOG_REPORTS&entityParentId="+document.all["reports"].selectedItem.id+"&entityName="+encodeURIComponent(name)+"&entityDescription="+encodeURIComponent(description)+"&numOfColumns="+columns+"&scheduleType="+scheduleType+"&basedOnId="+item.id;

				// TreeData is getting cached which for some reason breaks adding a report with the same name after deleting one.
				document.Ajax.Request("GET", "Tree/TreeData.aspx", url + "&clearcache=" + (Math.random() * 100000), true, false, addReportPostCallback);
			}
			function removeReportHistoryPost(id) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=removeHistoryReport&username=CARDIOLOG_REPORTS&treeType=1&entityId="+id, true, false, removeReportHistoryPostCallback);
			}
			function removeReportPost(id) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=removeReport&username=CARDIOLOG_REPORTS&treeType=1&entityId="+id, true, false, removeReportPostCallback);
			}
			function editReportPost(name, description, columns, scheduleType) {
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=editReport&treeType=1&username=CARDIOLOG_REPORTS&entityId="+document.all["reports"].selectedItem.id+"&entityName="+encodeURIComponent(name)+"&entityDescription="+encodeURIComponent(description)+"&&numOfColumns="+columns+"&scheduleType="+scheduleType, true, false, editReportPostCallback);
			}
			function copyReportPostCallback(status) {
				if (!checkForErrors(status, "copyReport")) {
					editMode = true;
					document.all["reports"].updateBranches(status.ResponseXml, true);
				}
			}
			function permissionPost() {
//			alert(document.all["reports"].selectedItem.parentId);
				var id = document.all["reports"].selectedItem.parentId;
				document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=get&username=CARDIOLOG_REPORTS&id="+id+"&treeType=1", true, false, permissionPostCallback);
			}

			function executeTreeMenu(entry) {
				try {
					switch (entry.id) {
						case "refresh":
							document.location.reload();
							break;
						case "viewSource":
							document.location.href = "view-source:"+document.location.href;
							break;
						case "addFolder":
							var myJSONObject  = 
	                        { "popupArguments":
	                        [		
	                             {title:"Folder Preferences", href:"folder.aspx", item:document.all["reports"].selectedItem, callback:addFolderPost}
	                         ]
	                         };	
            	  			if (cardioLogUIVersion == "2010") 			
	                        parent.PopupManager.ShowPopup("/CardioLog/2010/Reports/folder.aspx",130,350,myJSONObject);
	                        else 
							var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Folder Preferences$")%>", href:"folder.aspx", item:document.all["reports"].selectedItem, callback:addFolderPost}, "dialogHeight:130px; dialogWidth:350px; status:no; help:no;");
							break;
						case "removeFolder":
							if (confirm("<%=CardioLog.API.Localization.getText("$Delete Folder Confirm$")%> ("+document.all["reports"].selectedItem.name+")")) 
								removeFolderPost(document.all["reports"].selectedItem.id);
							break;
						case "properties":
							if (document.all["reports"].selectedItem.type.toLowerCase() == "folder")
							{
							var myJSONObject  = 
	                        { "popupArguments":
	                        [		
	                             {title:"Folder Preferences", href:"folder.aspx",  action:"edit", item:document.all["reports"].selectedItem, callback:editFolderPost}
	                         ]
	                         };		                         
            	  			if (cardioLogUIVersion == "2010") 		
								parent.PopupManager.ShowPopup("/CardioLog/2010/Reports/folder.aspx",130,350,myJSONObject);
								else
								var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Folder Preferences$")%>", href:"folder.aspx", action:"edit", item:document.all["reports"].selectedItem, callback:editFolderPost}, "dialogHeight:130px; dialogWidth:350px; status:no; help:no;");
							}
							else
							{
							var myJSONObject  = 
	                        { "popupArguments":
	                        [		
	                             {title:"Report Preferences", href:"report.aspx?entityId="+document.all["reports"].selectedItem.id, action:"edit", item:document.all["reports"].selectedItem, self:document, callback:editReportPost}
	                         ]
	                         };	
            	  			if (cardioLogUIVersion == "2010") 						
	                        parent.PopupManager.ShowPopup("/CardioLog/2010/Reports/report.aspx?entityId="+document.all["reports"].selectedItem.id,300,350,myJSONObject);
							else
							var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Report Preferences$")%>", href:"report.aspx?entityId="+document.all["reports"].selectedItem.id, action:"edit", item:document.all["reports"].selectedItem, self:document, callback:editReportPost}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
							}
							break;
						case "distributionList":
							var item = document.all["reports"].selectedItem;
							var url = "../clreport/distributionList.aspx?entityId="+item.id;
							var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Distribution List$")%>", href:url, self:document}, "dialogHeight:260px; dialogWidth:350px; status:no; help:no;");
							break;
						case "addReport":
							if (document.all["reports"].selectedItem) {
							var myJSONObject  = 
	                        { "popupArguments":
	                        [		
	                             {title:"Report Preferences", href:"/CardioLog/2010/Reports/report.aspx", item:document.all["reports"].selectedItem, self:document, callback:addReportPost}
	                         ]
	                         };
            	  			if (cardioLogUIVersion == "2010") 							
	                        parent.PopupManager.ShowPopup("/CardioLog/2010/Reports/report.aspx",300,350,myJSONObject);
	                        else 
								var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Report Preferences$")%>", href:"report.aspx", item:document.all["reports"].selectedItem, self:document, callback:addReportPost}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
							}
							break;
						case "updateReport":
							parent.frames[1].location.href = "/CardioLog/clpage/index.aspx?entityType="+document.all["reports"].selectedItem.type+"&entityId="+document.all["reports"].selectedItem.id+"&treeType=1&username=CARDIOLOG_REPORTS";
							if (cardioLogUIVersion == "2007") parent.setCaption(document.all["reports"].selectedItem.path);
							//if (cardioLogUIVersion == "2010") parent.setCaption(document.all["reports"].selectedItem.name);
                            if (cardioLogUIVersion == "2010") parent.setCaption("<%=CardioLog.API.Localization.getText("$Report Center$")%>");
							break;
						case "copyReport":
                            function chooseLocationPost(entry, newReportName, sourceId, sourceName, reportFolderId) {
                            	document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=copyReport&treeType=1&username=CARDIOLOG_REPORTS&reportId="+reportId+"&entityId="+sourceId+"&entityName="+encodeURIComponent(sourceName)+"&location="+reportFolderId+"&newreportName="+newReportName + "&clearcache=" + (Math.random() * 100000), true, false, copyReportPostCallback);							    
							}

							function chooseObjectPost(entry, treeType, multiple) {
								if (multiple) {
									for (var i=0;i<entry.length;i++) {
										entityId += entry[i].id+",";
										entityName += entry[i].name+",";
									}
									entityId = entityId.replace(/,$/, "");
									entityName = entityName.replace(/,$/, "");
									
									// Choose location
									var md = window.showModalDialog("/CardioLog/Tree/treeChooserCont.aspx", {href:"treeChooser.aspx", id:2, treeType:2, title:"Choose Location", callback:chooseLocationPost, selectedSource:null, multiple:true, self:document}, "dialogWidth:300px; dialogHeight:400px; status:no; help:no;");
								}
							}

							var reportId = document.all["reports"].selectedItem.id;
							var entityId = "";
							var entityName = "";
							var parentId = document.all["reports"].selectedItem.parentId;
							var parentName = "";

							parentName = document.all["reports"].selectedItem.path;
							parentName = parentName.split(' > ');
							parentName = parentName[parentName.length - 2];

							// Choose entities
                            if (cardioLogUIVersion == "2007") {
							    var md = window.showModalDialog("/CardioLog/Tree/treesChooserCont.aspx", {href:"treesChooser.aspx", id:2, treeType:2, callback:chooseObjectPost, selectedSource:null, multiple:true, self:document}, "dialogWidth:300px; dialogHeight:400px; status:no; help:no;");
                            } else if (cardioLogUIVersion == "2010") {
                                // Choose title, portal item and location
                                var myJSONObject  = 
                                    { "popupArguments":
                                    [		
                                         {title:"<%=CardioLog.API.Localization.getText("$Copy Report$")%>", href:"/CardioLog/2010/Reports/copyreport.aspx", item:document.all["reports"].selectedItem, self:document, callback:addReportPost, entityName:entityName, save:chooseLocationPost, entry:entry, parentId: parentId, parentName: parentName }
                                     ]
                                    };
                                parent.PopupManager.ShowPopup("/CardioLog/2010/Reports/copyreport.aspx",160,350,myJSONObject);
							}
					        
							break;
						case "removeReport":
							if (confirm("<%=CardioLog.API.Localization.getText("$Delete Report Confirm$")%> ("+document.all["reports"].selectedItem.name+")")) 
								removeReportPost(document.all["reports"].selectedItem.id);
							break;
						case "sendTo":
						case "export":
						case "open":
							var availableWidth = (parseInt(parent.frames[1].document.body.offsetWidth,10));
							parent.frames[1].location.href = "/CardioLog/clreport/index.aspx?action="+entry.id+"&entityId="+document.all["reports"].selectedItem.id+"&availableWidth="+availableWidth;
                            if (cardioLogUIVersion == "2010") parent.setCaption("<%=CardioLog.API.Localization.getText("$Report Center$")%>");
							break;
						case "openInNewWindow":
    						//var availableWidth = (parseInt(parent.frames[1].document.body.offsetWidth,10)-100);
							window.open("/CardioLog/clreport/index.aspx?entityId="+document.all["reports"].selectedItem.id, "newWindow");
	   						//parent.setCaption(document.all["reports"].selectedItem.path);
							break;
						case "permissions":
							var myJSONObject  = 
	                        { "popupArguments":
	                        [		
	                             {title:"Permissions", href:"/CardioLog/2010/Tree/permissions.aspx?EntityType="+document.all["reports"].selectedItem.type+"&EntityName="+encodeURIComponent(document.all["reports"].selectedItem.name)+"&EntityId="+document.all["reports"].selectedItem.id+"&UserName=CARDIOLOG_REPORTS", item:document.all["reports"].selectedItem, callback:permissionPost, self:self}
	                         ]
	                         };	                         
            	  			if (cardioLogUIVersion == "2010") {							
	                            parent.PopupManager.ShowPopup("/CardioLog/2010/Tree/permissions.aspx?EntityType="+document.all["reports"].selectedItem.type+"&EntityName="+encodeURIComponent(document.all["reports"].selectedItem.name)+"&EntityId="+document.all["reports"].selectedItem.id+"&UserName=CARDIOLOG_REPORTS",360,410,myJSONObject);
	                        }
							else
							    var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Permissions$")%>", href:"/CardioLog/Tree/permissions.aspx?EntityType="+document.all["reports"].selectedItem.type+"&EntityName="+encodeURIComponent(document.all["reports"].selectedItem.name)+"&EntityId="+document.all["reports"].selectedItem.id+"&UserName=CARDIOLOG_REPORTS", item:document.all["reports"].selectedItem, callback:permissionPost, self:self}, "dialogHeight:325px; dialogWidth:410px; status:no; help:no;");
							break;
						case "removeReportHistory":
							if (confirm("<%=CardioLog.API.Localization.getText("$Delete Historical Data Confirm$")%> ("+document.all["reports"].selectedItem.name+")")) 
								removeReportHistoryPost(document.all["reports"].selectedItem.id);
							break;
						default:
							//alert("You are not authorized to perform this action");
							break;
					}
				} catch (e) {
				}
			}

			if (cardioLogUIVersion == "2007") {
			    document.oncontextmenu = function() {
				    if (event.ctrlKey && event.shiftKey) return true;
				    event.returnValue = false;
				    event.cancelBubble = true;
				    if ((event.ctrlKey && !treeMenu.debug) || (!event.ctrlKey && treeMenu.debug)) 
					    treeMenu.create(event.ctrlKey);
				    treeMenu.show(document.body, executeTreeMenu, event);

				    return false;
			    }
			}

			document.rightClickFromTree = function() {
				event.returnValue = false;
				event.cancelBubble = true;
				var menu = false;
				switch (document.all["reports"].selectedItem.type.toLowerCase()) {
					case "folder":
						if (document.all["reports"].selectedItem.permissions.add) {
							folderMenu.enableEntry("addReport", true, event.ctrlKey);
							folderMenu.enableEntry("addFolder", true, event.ctrlKey);
						} else {
							folderMenu.disableEntry("addReport", true, event.ctrlKey);
							folderMenu.disableEntry("addFolder", true, event.ctrlKey);
						}
						if (document.all["reports"].selectedItem.permissions.remove) {
							folderMenu.enableEntry("removeFolder", true, event.ctrlKey);
						} else {
							folderMenu.disableEntry("removeFolder", true, event.ctrlKey);
						}						
						if (document.all["reports"].selectedItem.permissions.modify) {
							folderMenu.enableEntry("properties", true, event.ctrlKey);
							folderMenu.enableEntry("permissions", true, event.ctrlKey);
						} else {
							folderMenu.disableEntry("properties", true, event.ctrlKey);
							folderMenu.disableEntry("permissions", true, event.ctrlKey);
						}
						if (!document.ADSupport)
							folderMenu.disableEntry("permissions", true, event.ctrlKey);

						menu = folderMenu;
						break;
					case "report":
						if (document.all["reports"].selectedItem.generated) {
                            reportMenu.enableEntry("openInNewWindow", true, event.ctrlKey);
                        }
                        else{
                            reportMenu.disableEntry("openInNewWindow", true, event.ctrlKey);
                        }

						if (document.all["reports"].selectedItem.permissions.remove) {
							reportMenu.enableEntry("removeReport", true, event.ctrlKey);
							reportMenu.enableEntry("removeReportHistory", true, event.ctrlKey);
						} else {
							reportMenu.disableEntry("removeReport", true, event.ctrlKey);
							reportMenu.disableEntry("removeReportHistory", true, event.ctrlKey);
						}
						if (document.all["reports"].selectedItem.permissions.modify) {
							reportMenu.enableEntry("permissions", true, event.ctrlKey);
							reportMenu.enableEntry("properties", true, event.ctrlKey);
							reportMenu.enableEntry("distributionList", true, event.ctrlKey);
						} else {
							reportMenu.disableEntry("permissions", true, event.ctrlKey);
							reportMenu.disableEntry("properties", true, event.ctrlKey);
							reportMenu.disableEntry("distributionList", true, event.ctrlKey);
						}

						if (document.all["reports"].selectedItem.permissions.add){
							reportMenu.enableEntry("updateReport", true, event.ctrlKey);
							reportMenu.enableEntry("copyReport", true, event.ctrlKey);
						}
						else {
							reportMenu.disableEntry("updateReport", true, event.ctrlKey);
							reportMenu.disableEntry("copyReport", true, event.ctrlKey);
						}
						if (!document.ADSupport)
							reportMenu.disableEntry("permissions", true, event.ctrlKey);

						menu = reportMenu;
						break;
					case "rootfolder":
						folderMenu.disableEntry("removeFolder", true, event.ctrlKey);
						folderMenu.disableEntry("properties", true, event.ctrlKey);
						menu = folderMenu;	
						break;					
					default:
						alert('unknown type:'+document.all["reports"].selectedItem.type);
						break;
				}
				if (menu) {
					if ((event.ctrlKey && !menu.debug) || (!event.ctrlKey && menu.debug)) menu.create(event.ctrlKey);
					
    		        if (cardioLogUIVersion == "2007") {
					    menu.show(document.all["reports"].selectedItem.span, executeTreeMenu, event);
			        }
    		        if (cardioLogUIVersion == "2010") {
					    menu.show(document.all["reports"].selectedItem.span, executeTreeMenu, {x:event.srcElement.offsetLeft, y: event.srcElement.offsetTop + event.srcElement.offsetHeight});
			        }
					return false;
				}
			}			

			function resizePane(size) {
    		    if (cardioLogUIVersion == "2007") {
			        document.all["reportsDIV"].style.width = (parseInt(size, 10)-1)+"px";
			    }
    		    if (cardioLogUIVersion == "2010") {
			        document.all["reportsDIV"].style.width = (parseInt(size, 10)-35)+"px";
			    }
			}
		</script>
  </head>
  <body class="treeBODY" scroll="no">  
    <%if (cardioLogUIVersion == "2007") { %>
    		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr><td height="100%" valign="top">
						<div id="reportsDIV" style="padding:10px;height:100%; width:199px; overflow:auto; display:;">
							<CARDIOLOG:TREE type="0" source="Tree/TreeData.aspx?username=CARDIOLOG_REPORTS&treeType=1" id="reports" callback="callFromTree" imagesPath="/CardioLog/Images/Tree/" rccallbackpre="rightClickFromTree">
								<%= drawTree()%>
							</CARDIOLOG:TREE>
						</div>
					</td>
			</tr>
		</table>
	<%} else if (cardioLogUIVersion == "2010"){%> 
	    <table border="0" cellpadding="0" cellspacing="0" width="214px" height="100%">
    	    <tr valign="top">
    	        <td> 
	                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="7px">
                        <td><img src="/CardioLog/images/2010/LeftLBlueBarTopLeft.gif" /></td>
                        <td style=" background-image:url(/CardioLog/images/2010/LeftLBlueBarTopMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
                        <td align="right"><img src="/CardioLog/images/2010/LeftLBlueBarTopRight.gif" /></td>
                    </table>
                </td> 
            </tr>
            <tr valign="top" height="100%">
    	        <td> 
		            <table border="0" cellpadding="0" cellspacing="0"  width="214px" height="100%" style="border-left:solid 1px #8698aa; border-right:solid 1px #8698aa;">
			            <tr>
			                <td height="100%" valign="top">
					            <div class="2010_treeLBG 2010_popup_selectscrollpanelScrollWin" id="reportsDIV" style="padding-left:0px;height:100%; width:199px; overflow:auto; display:;">
									<CARDIOLOG:TREE type="0" source="/Tree/TreeData.aspx?username=CARDIOLOG_REPORTS&treeType=1" id="reports" callback="callFromTree" imagesPath="/CardioLog/Images/Tree/" rccallbackpre="rightClickFromTree">
							            <%= drawTree()%>
						            </CARDIOLOG:TREE>
					            </div>
				            </td>
			            </tr>
		            </table>
		        </td>
		    </tr>
		    <tr valign="bottom">
    	        <td>
	                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="7px">
	                    <tr>	
                            <td><img src="/CardioLog/images/2010/LeftWhiteBarBottomLeft.gif" /></td>
                            <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
                            <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarBottomRight.gif" /></td>
                        </tr>
                    </table>
                </td>
            </tr>
      </table>
	<% } %>
     <form id="Form1" method="post" runat="server"></form>	
  </body>
</html>
