<%@ OutputCache Duration="864000" VaryByHeader="Host" VaryByParam="none" Location="any"%>
<%@ Page language="c#" %>
document.Ajax = {
	getTransport: function() {
		var transports = new Array(function() { return new ActiveXObject("Msxml2.XMLHTTP"); }, 
									function() { return new ActiveXObject("Microsoft.XMLHTTP"); });

		for (var i=0;i<transports.length;i++) {
			try {
				var x = transports[i]();
				return {id:Math.random()*100000, meta:{}, obj:x}; 
			} catch (e) {
			}
		}
		return false;
	},
	PleaseWait:false
}

document.Ajax.transport = document.Ajax.getTransport();

document.Ajax.transports = new Array();

document.Ajax.createTransport = function() {
// Microsoft.XMLHTTP bug (cannot reuse same component for multiple calls)
/*	for (var i=this.transports.length-1;i>=0;i--) {
		if (this.transports[i].obj.readyState == 4) {
			this.transports[i].meta = {};
			return this.transports[i];
		}
	}
*/	var position = this.transports.length;
	this.transports[position] = document.Ajax.getTransport();
	return this.transports[position];
}
document.Ajax.disposeTransport = function(transport) {
	for (var i=0;i<this.transports.length;i++) {
		if (this.transports[i].id == transport.id) {
			delete this.transport[i];
		}
	}
	delete transport;
}

document.Ajax.Request = function AjaxRequest(method, url, parameters, async, catchError, callback, meta, headers) {
	if (this.pleaseWaitMessage) this.pleaseWaitMessage.close();
	if (this.errorMessage) this.errorMessage.close();

	if (this.PleaseWait != "") {
		this.pleaseWaitMessage = this.createPleaseWaitMessage(this.PleaseWait);
		this.PleaseWait = "";
	}
	
	url = "/CardioLog/"+url;
	if (method == "GET") url += (url.match(/\?/) ? "&" : "?")+parameters;
	var transport = this.createTransport();
	transport.meta.url = url;
	for (var i in meta) transport.meta[i] = meta[i];
	transport.meta.callback = callback;
	transport.meta.catchError = catchError;
	
	
	transport.obj.open(method, url, async);
	if (async) transport.obj.onreadystatechange = function() { document.Ajax.HandleOnreadystatechange(transport); }; 
	if (method == "POST" && typeof headers == "undefined") transport.obj.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	if(headers)
	for(i = 0; i<headers.length; i++)
	{
		transport.obj.setRequestHeader(headers[i].title, headers[i].value);
	}
	
	if (document.Status) document.Status.print("<textarea style='width:100%; height:100px;'>"+parameters+"</textarea>");
	if (document.Status) document.Status.print(url+((method == "POST") ? "?"+parameters : ""), "url");
	transport.obj.send((method == "POST") ? parameters : "");
	
	if (!async) this.HandleResponse(transport);
}

document.Ajax.HandleOnreadystatechange = function(transport) {
	if (transport.obj.readyState == 4) {
		document.Ajax.HandleResponse(transport);
	}
}

document.Ajax.HandleResponse = function(transport) {
	var status = {errorCode:0, reason:""};
	
	if (this.pleaseWaitMessage) this.pleaseWaitMessage.close();
	if (this.errorMessage) this.errorMessage.close();
	
	if (transport.obj.status != 200) {
		status.errorCode = "-1";
		status.reason = transport.obj.status+" - "+transport.obj.statusText;
	} else {
		//if (document.Status) document.Status.print("<textarea style='width:100%; height:100px;'>"+transport.obj.ResponseText+"</textarea>");
		if (transport.obj.ResponseXml) {
			if (transport.obj.ResponseXml.parseError && transport.obj.ResponseXml.parseError.errorCode != 0) {
				status.errorCode = transport.obj.ResponseXml.parseError.errorCode;
				status.reason = transport.obj.ResponseXml.parseError.reason;
			} else {
				var statusNode = transport.obj.ResponseXml.selectSingleNode(".//status");
				if (statusNode) {
					status.errorCode = statusNode.getAttribute("id");
					status.reason = statusNode.text;
				}
			}
		}
	}
	status.ResponseText = transport.obj.ResponseText;
	status.meta = transport.meta;
	
	if (transport.obj.ResponseXml && transport.obj.ResponseXml.xml != "") status.ResponseXml = transport.obj.ResponseXml;

	if (transport.meta.catchError && status.errorCode != 0) {
		if (this.errorMessage) this.errorMessage.close();
		this.errorMessage = this.createErrorMessage(status.reason);
		if (document.Status) document.Status.print(status.reason);
	}
	try { transport.meta.callback(status); } catch (e) { }
	this.disposeTransport(transport);
}

document.Ajax.createErrorMessage = function(message) {
	return window.showModelessDialog("AjaxError.aspx", {message:message}, "dialogHeight:200px; dialogWidth:350px; help:no; status:no;");
}

document.Ajax.createPleaseWaitMessage = function(message) {
	return window.showModelessDialog("AjaxLoading.aspx", {message:message}, "dialogHeight:200px; dialogWidth:350px; help:no; status:no;");
}
		

document.Ajax.Dispose = function() {
}
